# Android game dev’s Google Drive misconfig highlights cloud security risks
## Japanese game developer Ateam has proven that a simple Google Drive configuration mistake can result in the potential but unlikely exposure of sensitive information for nearly one million people over a period of six years and eight months.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/android-game-devs-google-drive-misconfig-highlights-cloud-security-risks/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 31 December 2023, 10:09
+ Date scraped: 31 December 2023, 16:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/09/08/data-leak-header.jpg)



Japanese game developer Ateam has proven that a simple Google Drive configuration mistake can result in the potential but unlikely exposure of sensitive information for nearly one million people over a period of six years and eight months.


The Japanese firm is a mobile games and content creator, encompassing Ateam Entertainment, which has multiple games on Google Play like [War of Legions](https://play.google.com/store/apps/details?id=jp.co.a_tm.wol.en), [Dark Summoner](https://play.google.com/store/apps/details?id=com.darksummoner), [Hatsune Miku – Tap Wonder](https://play.google.com/store/apps/details?id=jp.co.atm.wonder), and tools like [Memory Clear | Game Boost Master](https://play.google.com/store/apps/details?id=com.gameboostmaster), and [Good Night's Sleep Alarm](https://play.google.com/store/apps/details?id=jp.zeroapp.alarm).


Earlier this month, Ateam [informed users](https://www.a-tm.co.jp/en/news/44383/) of its apps and services, employees, and business partners that on November 21, 2023, it discovered that it had incorrectly set a Google Drive cloud storage instance to "Anyone on the internet with the link can view" since March 2017.


The insecurely configured Google Drive instance contained 1,369 files with personal information on Ateam customers, Ateam business partners, former and current employees, and even interns and people who applied for a position at the company.


Ateam has confirmed that 935,779 individuals had their data exposed, with 98.9% being customers. For Ateam Entertainment specifically, 735,710 people have been exposed.



![Analysis of exposed individuals](https://www.bleepstatic.com/images/news/u/1220909/2023/Android/numbers.png)**Analysis of exposed individuals** *(Ateam)*


The data exposed by this misconfiguration varies depending on the type of relationship each individual had with the company and may include the following:


* Full names
* Email addresses
* Phone numbers
* Customer management numbers
* Terminal (device) identification numbers

The company says it has seen no concrete evidence of threat actors having stolen the exposed information but urges people to remain vigilant for unsolicited and suspicious communications.


Secure your cloud services
--------------------------


Setting Google Drive to "Anyone with the link can view" makes it viewable only to those with the exact URL, typically reserved for collaboration between people working with non-sensitive data.


If an employee, or someone else with the link, mistakenly exposed it publicly, it could get indexed by search engines and become broadly accessible.


While it's unlikely that anyone found an exposed Google Drive URL on their own, this notification demonstrates a need for companies to properly secure their cloud services to prevent data from being mistakenly exposed.


It is very common for threat actors and researchers to find exposed cloud services, such as databases and storage buckets, and download the data contained in them.


While researchers usually responsibly disclose the exposed data, if threat actors find it, it can lead to bigger problems as they use it to extort companies or sell it to other hackers to use in their own attacks.


In 2017, security researcher Chris Vickery found misconfigured Amazon S3 buckets exposing databases containing [1.8 billion social and forum posts](https://www.bleepingcomputer.com/news/security/us-military-database-holding-web-monitoring-data-left-exposed-online/) made by users worldwide.


Ten days later, the same researcher discovered another misconfigured S3 bucket that exposed what appeared to be [classified information from INSCOM](https://www.bleepingcomputer.com/news/security/top-secret-us-army-and-nsa-files-left-exposed-online-on-amazon-s3-server/).


While those breaches were responsibly disclosed, other cloud service misconfigurations have led to the data [being leaked](https://www.bleepingcomputer.com/news/security/truthfinder-instant-checkmate-confirm-data-breach-affecting-20m-customers/) or [sold on hacker forums](https://www.bleepingcomputer.com/news/security/exposed-frost-and-sullivan-databases-for-sale-on-hacking-forum/).


Misconfigured Amazon S3 buckets have become a big enough problem that researchers have released [tools that scan for exposed buckets](https://www.bleepingcomputer.com/news/security/new-open-source-tool-scans-public-aws-s3-buckets-for-secrets/).


The US Cybersecurity and Infrastructure Security Agency (CISA) has also [released guidance](https://www.cisa.gov/news-events/news/cisa-releases-cloud-services-guidance-and-resources) for companies on how to properly secure cloud services.





## Tags:


### Autogenerated tags:
ateam google cloud misconfigured s3
