# Bitwarden releases free and open-source E2EE Secrets Manager
## Bitwarden, the maker of the popular open-source password manager tool, has released 'Secrets Manager,' an end-to-end encrypted secrets manager for IT professionals, software development teams, and the DevOps industry.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/bitwarden-releases-free-and-open-source-e2ee-secrets-manager/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 23 August 2023, 15:04
+ Date scraped: 23 August 2023, 21:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/03/08/Bitwarden_headpic.jpg)



Bitwarden, the maker of the popular open-source password manager tool, has released ‘Secrets Manager,’ an end-to-end encrypted secrets manager for IT professionals, software development teams, and the DevOps industry.


The tool aims to act as a secure alternative to hard-coding secrets or sharing ‘.env’ files over email, giving users flexibility, scalability, and keeping their secrets safe in the case of a data breach.


Those secrets typically include API keys, user authentication certificates, database passwords, SSL and TLS certificates, private encryption keys, SSH keys, etc.


These secrets are inadvertently exposed online following cyberattacks or publicly leaked due to poor security practices in the development lifecycle.


Last year, [Symantec reported](https://www.bleepingcomputer.com/news/security/over-1-000-ios-apps-found-exposing-hardcoded-aws-credentials/) that over 1,800 apps for the iOS platform contained hard-coded AWS credentials, exposing their developers and users to varying risk levels.


The problem is so widespread that [GitHub launched](https://www.bleepingcomputer.com/news/security/github-s-secret-scanning-alerts-now-available-for-all-public-repos/) a system that would alert repository owners of misconfigurations leading to the exposure of secrets, and [independent security researchers](https://www.bleepingcomputer.com/news/security/new-open-source-tool-scans-public-aws-s3-buckets-for-secrets/) wrote open-source tools dedicated to scanning for secrets in publicly exposed AWS S3 storage buckets.


Bitwarden Secrets Manager is poised to solve this problem by giving users an easy and secure way to retrieve, share, and deploy them across development teams while also supporting granular access permissions for individuals or groups.



Secrets Manager follows the same [open-source approach](https://github.com/bitwarden/sdk) as the password manager, so its codebase, CLI, SDK, and integration code are subject to scrutiny and also allow the flexibility of custom implementations.


The tool is offered in three tiers, depending on the needs of development teams, but there’s a [free version](https://bitwarden.com/products/secrets-manager/) supporting unlimited secrets, two users, three projects, and three service accounts.


The ‘Teams’ and ‘Enterprise’ tiers that cost $6 and $12 per month, respectively, raise those limits and offer additional business functionalities like support for FIDO2 authentication, automated provisioning, SSO integration, and more advanced administrative capabilities.


For now, Bitwarden Secrets Manager supports integration with GitHub Actions, but support for Kubernetes, Terraform, and Ansible integrations is [expected](https://bitwarden.com/blog/secrets-manager-general-availability/) to land in future versions.


Also, more languages are to be added to the tool’s SDK, and access management will be enhanced with additional options for individual secret assignments to specific accounts.





## Tags:


### Autogenerated tags:
bitwarden open-source teams
