# Microsoft announces new endpoint security solution for SMBs
## Microsoft today announced a new endpoint security solution dubbed Microsoft Defender for Business, specially built for small and medium-sized businesses.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-new-endpoint-security-solution-for-smbs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 02 November 2021, 11:37
+ Date scraped: 11 December 2023, 12:14

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/02/11/Microsoft-Defender.jpg)




Microsoft today announced a new endpoint security solution dubbed Microsoft Defender for Business, specially built for small and medium-sized businesses.


[Microsoft Defender for Business](https://www.microsoft.com/en-us/security/business/threat-protection/microsoft-defender-business) is an endpoint security solution that helps businesses with up to 300 employees protect against cybersecurity threats, including malware and ransomware, in an easy-to-use, cost-effective package.


This endpoint protection solution was released in response to the 300% increase in ransomware attacks in the past year, with [more than 50% of them impacting SMBs](https://abcnews.go.com/Politics/dhs-secretary-warns-ransomware-attacks-rise-targets-include/story?id=77512872), according to Secretary of Homeland Security Alejandro Mayorkas.


Defender for Business helps SMBs protect against cybersecurity threats, including but not limited to malware and ransomware across Windows, macOS, iOS, and Android devices.


It also comes with simplified client configuration via wizard-driven setup and recommended security policies activated out-of-the-box to make it easier to manage even for businesses without a dedicated security team.


"We're excited to introduce Microsoft Defender for Business, a new endpoint security solution that's coming soon in preview," said Jon Maunder, a Senior Product Marketing Manager at Microsoft.


"Microsoft Defender for Business is specially built to bring enterprise-grade endpoint security to businesses with up to 300 employees, in a solution that is easy-to-use and cost-effective."



![Microsoft Defender for Business capabilities](https://www.bleepstatic.com/images/news/u/1109292/2021/Microsoft%20Defender%20for%20Business.png)*Defender for Business capabilities (Microsoft)*


Key features bundled with Defender for Business include:


* **Simplified deployment and management** for IT administrators who may not have the expertise to address today's evolving threat landscape.
* **Next-generation antivirus protection and endpoint detection and response** to detect and respond to sophisticated attacks with behavioral monitoring.
* **Automated investigation and remediation** to help customers react quickly to threats.
* **Threat and vulnerability management** proactively alerts users to weaknesses and misconfigurations in software.
* **Microsoft 365 Lighthouse integration** **with Microsoft Defender for Business** for IT service providers to view security events across customers, with additional capabilities coming.

"Small and medium businesses will be empowered to elevate their security by moving from traditional antivirus to next-generation protection, endpoint detection and response, and threat and vulnerability management—all while taking advantage of simplified setup and management," added Vasu Jakkal, Corporate Vice President, Security, Compliance, and Identity at Microsoft.


"Additionally, Defender for Business also works with [Microsoft 365 Lighthouse](https://cloudpartners.transform.microsoft.com/products/m365-lighthouse)—so, IT service providers can add this powerful endpoint protection to their multi-customer view of security events."


Microsoft says the new endpoint security solution will be coming soon to preview for customers and IT partners.


Once it reaches general availability, you will be able to buy Defender for Business directly from Microsoft and via Microsoft Partner Cloud Solution Provider (CSP) channels as a standalone offering, priced at $3 per user per month, or included as part of Microsoft 365 Business Premium.





## Tags:


### Autogenerated tags:
microsoft ransomware
