# Microsoft rolling out new endpoint security solution for SMBs
## Microsoft has started rolling out its new endpoint security solution for small and medium-sized businesses (SMBs) known as Microsoft Defender for Business to Microsoft 365 Business Premium customers worldwide starting today, March 1st.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-rolling-out-new-endpoint-security-solution-for-smbs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 01 March 2022, 19:36
+ Date scraped: 01 March 2022, 20:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/02/10/0_Microsoft-Defender.jpg)



Microsoft says its new endpoint security solution for small and medium-sized businesses (SMBs) known as Microsoft Defender for Business has hit general availability.


It has started rolling out to new and existing Microsoft 365 Business Premium customers worldwide starting today, March 1st.


[Microsoft Defender for Business](https://www.microsoft.com/en-us/security/business/threat-protection/microsoft-defender-business) helps companies with up to 300 employees defend against cybersecurity threats, including malware, phishing, and ransomware in environments with Windows, macOS, iOS, and Android devices.


It comes with simplified client configuration via a wizard-driven setup, and it enables all recommended security policies out-of-the-box, making it easy to use even by organizations without dedicated security teams.


In November, Microsoft [announced](https://www.bleepingcomputer.com/news/microsoft/microsoft-announces-new-endpoint-security-solution-for-smbs/) this new security solution at Microsoft Ignite 2021 in response to a 300% increase in ransomware attacks in the previous year, with [more than 50% of them directly affecting SMBs](https://abcnews.go.com/Politics/dhs-secretary-warns-ransomware-attacks-rise-targets-include/story?id=77512872), according to US Secretary of Homeland Security Alejandro Mayorkas.


Defender for Business [began rolling out in preview worldwide in December](https://www.bleepingcomputer.com/news/security/microsoft-previews-new-endpoint-security-solution-for-smbs/) when Microsoft also announced that it would be available as a standalone license directly from Microsoft and Microsoft Partner Cloud Solution Provider (CSP) channels at $3 per user per month.



Key features bundled with the Microsoft Defender for Business security suite include:


* **Simplified deployment and management** for IT administrators who may not have the expertise to address today's evolving threat landscape.
* **Next-generation antivirus protection and endpoint detection and response** to detect and respond to sophisticated attacks with behavioral monitoring.
* **Automated investigation and remediation** to help customers react quickly to threats.
* **Threat and vulnerability management** proactively alerts users to weaknesses and misconfigurations in software.
* **Microsoft 365 Lighthouse integration** **with Microsoft Defender for Business** for IT service providers to view security events across customers, with additional capabilities coming.

You can get Defender for Business as part of Microsoft 365 Business Premium and will not require onboarding or offboarding devices from Microsoft Defender for Endpoint P1 or P2.


"Defender for Business will be rolled out to existing Microsoft 365 Business Premium customers in the next few weeks. There is no action or additional transactions required and it will show up in the Microsoft 365 Defender portal under the section, Endpoints," Microsoft said.


"Defender for Business will also be offered as a standalone solution and will be coming later this year. You can continue to preview the standalone solution by signing up at [https://aka.ms/MDB-Preview](https://aka.ms/MDBPreview)."





## Tags:
***urls***: https://aka.ms/MDB-Preview

### Autogenerated tags:
microsoft standalone
