# IT downtime cuts enterprise profit by 9%, says study
## CIOs and CSOs would save large enterprises $200 million a year if they could eliminate downtime — and should budget more for dealing with ransomware, according to research by Splunk.
## Information:

+ Link: https://www.cio.com/article/2142257/it-downtime-cuts-enterprise-profit-by-9-says-study.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 11 June 2024, 16:12
+ Date scraped: 11 June 2024, 17:07

## Article:
![Main article image](https://www.cio.com/wp-content/uploads/2024/06/shutterstock_2216535703.jpg?quality=50&strip=all&w=1024)



CIOs and CSOs would save large enterprises $200 million a year if they could eliminate downtime — and should budget more for dealing with ransomware, according to research by Splunk.
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------








Downtime cost large enterprises an average of $200 million annually, cutting 9% from yearly profits, according to a study commissioned by Splunk. And while ransomware accounts for a relatively small proportion of that total, enterprises should really be budgeting more for it.


For the study, titled “The Hidden Costs of Downtime,” Oxford Economics quizzed executives from Global 2000 companies about the causes and costs of downtime in IT systems. They counted any service degradation or unavailability of critical business systems due to cyberattacks as well as technical and operational failures as downtime.


“The true financial impact and nature of downtime are hard to pin down,” said Gary Steele, general manager, Splunk in the report. “Researchers often focus only on downtime caused by traditional IT issues, overlooking incidents brought on by cybersecurity failures, while also leaving secondary economic ramifications out of the equation.”




Almost a quarter of the estimated cost of downtime — $49 million of the estimated $200 million average for Global 2000 companies — was due to lost revenue, the study found. Other big costs of downtime included regulatory fines ($22 million), service level agreement (SLA) penalties ($16 million), and legal costs ($15 million).


The large enterprises surveyed also spent an average of $19 million on ransomware and data extortion payouts — although they only budgeted $13.4 million.


Dave Gruber, principal analyst at Enterprise Strategy Group, and unconnected with the study, said his own research showed that around 56% of ransomware victims paid ransoms to accelerate recovery in 2023, yet those most prepared paid up to 20% less often.




Human error
-----------


So much for the costs, but what about the causes of downtime? The leading cause was human error, such as software or infrastructure misconfigurations, identified as often or very often to blame by half of respondents. Human errors were also found to take the longest to fix.


Malware and phishing attacks were the next-most-frequent cause cybersecurity downtime,  while software failure was the next biggest cause of downtime related to IT operations. Splunk — a vendor of observability tools — suggested in the study that investing in better visibility and cybersecurity tools can help avoid downtime.


ESG’s Gruber didn’t disagree: “Visibility is king here, but so are risk-mitigation strategies that can be applied timely and in alignment with business risk objectives,” he said. “Visibility sets the foundation for rapid detection and response activities, which include IT, security, and line-of-business leaders.”




Global 2000 companies are spending an average of $23.8 million on cybersecurity tools and $19.5 million on observability tools, the study found.




#### Explore related questions




* [What are the emerging trends in observability and cybersecurity?](/smart-answers?q=What%20are%20the%20emerging%20trends%20in%20observability%20and%20cybersecurity%3F&qs=article_cio_2142257)
* [What are the most common causes of IT downtime in large enterprises?](/smart-answers?q=What%20are%20the%20most%20common%20causes%20of%20IT%20downtime%20in%20large%20enterprises%3F&qs=article_cio_2142257)
* [What are the most effective risk-mitigation strategies for IT downtime?](/smart-answers?q=What%20are%20the%20most%20effective%20risk-mitigation%20strategies%20for%20IT%20downtime%3F&qs=article_cio_2142257)
* [How can enterprises reduce the cost of downtime?](/smart-answers?q=How%20can%20enterprises%20reduce%20the%20cost%20of%20downtime%3F&qs=article_cio_2142257)
* [How can enterprises balance security with business operations?](/smart-answers?q=How%20can%20enterprises%20balance%20security%20with%20business%20operations%3F&qs=article_cio_2142257)




Ask







## Tags:


### Autogenerated tags:
ransomware splunk cybersecurity
