# Google Revealed RETVec to Defend Malicious Emails & Spam for Gmail Users
## Researchers at Google recently developed and unveiled a new resilient and efficient text vectorizer dubbed as "RETVec,".
## Information:

+ Link: https://cybersecuritynews.com/?p=52385
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 02 December 2023, 13:16
+ Date scraped: 02 December 2023, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhYTD114z0dAgD_V7CkWldKgOG_Ewg2iN_ezaZ8mTcx0lypZJyaFxEPNMDv76faPi4Ce8n36FwJsafgcPq2TyXr6ZJJR7x_O0mQtEoCez52_BkYnNiujHU34CMTflXTh5e27agtx52LJ53uTpeynE79rY8P-bcoSU4lAzIG9dMEbsMZUljVWnjEDQZob9dl/s1600/Google%20Revealed%20RETVec%20to%20Defend%20Malicious%20Emails%20&%20Spam%20for%20Gmail%20Users.webp)


The text-to-dense representation techniques vary, evolving from character bi-grams to advanced subword vectorizers, combating OOV challenges like adversarial attacks and typos.


As the strategies include subword-level tokenization and decomposing unknown words into n-grams for effective neural network training.


Researchers at Google recently developed and [unveiled](https://arxiv.org/pdf/2302.09207.pdf) a new resilient and efficient text vectorizer dubbed “RETVec,” which will defend Gmail users against malicious emails and spam.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


**RETVec**
----------


RETVec is an efficient, multilingual, next-gen text vectorizer with built-in adversarial resilience. This next-gen text vectorizer is resilient to character-level manipulations like-


* Insertion
* Deletion
* Typos
* Homoglyphs
* LEET substitution


There are two layers in the RETVec character encoder, and here below, we have mentioned those layers:-


* Integerizer layer
* Binarizer layer


![RETVec architecture (Source - Arxiv)](https://lh7-us.googleusercontent.com/BqpAkhSDE_E7jpiyjHIJGzZmn8NvkDuOAyaKgfA1FRPmb0hxuqqi3J_kBiVdEsc-rdwMlqzmGAijpvD2Rn1LcgYr1dn7bR-HGb3HBYceg9biROfHq2EM2ybLh8JFpytsImpyuv93NM_tgKyhyl0xDKMKG15ycjnBEDY764dJOzf9HK13ujoXruZAUhFePA)RETVec architecture (Source – Arxiv)


RETVec uses a unique character encoder, handling UTF-8 efficiently. It effortlessly supports 100+ languages without lookup tables or fixed vocabulary. Also, being a layer, it seamlessly fits into any TF model without extra pre-processing.


RETVec Binarizer boosts word representation but lacks competitiveness. Researchers enhance it with a small model, boosting accuracy and outperforming others.


TensorFlow models easily employ RETVec for string vectorization in just one line. Besides this, the raw strings were handled with built-in pre-processing.


Moreover, this system also works perfectly for on-device mobile and web use cases since it supports the:-


* TFJS
* TF Lite


Researchers tested RETVec against adversarial content using a Google [spam filter](https://cybersecuritynews.com/email-spoofing/). Swapping SentencePiece with RETVec improved spam detection by 38% at a 0.80% false positive rate, reducing latency by 30%. 


This suggests RETVec is competitive for real-world tasks, boosting confidence in its effectiveness.


How to optimize RETVec for better multilingual skills, robustness, and smaller models in [large language models](https://cybersecuritynews.com/how-llm-like-models-like-chatgpt/) (LLMs) is a key question. For smaller LLMs, where the vocabulary layer can be over 20% of the parameters, RETVec eliminates it. 


Yet, using RETVec in generative models poses challenges, as its 256-float embedding doesn’t directly convert to softmax output. A new training method compatible with text generation is needed.


Experimenting with character-by-character decoding and the VQ-VAE model renders indecisive results. Future work addresses these limitations and explores RETVec’s use as a word embedding, replacing GloVe and word2vec and training text similarity models with its character encoder.


**Installation**
----------------


To install the latest TensorFlow version of RETVec, you can use “pip”:-


* ***pip install retvec***


Besides this, on TensorFlow 2.6+ and Python 3.8+, the RETVec has already been tested.





## Tags:


### Autogenerated tags:
retvec vectorizer tensorflow
