# Thousands of Apache Superset Servers Open to RCE Attacks
## cybersecurity analysts at Horizon3 detected that at default configurations thousands of Apache Superset servers are exposed to RCE attacks.
## Information:

+ Link: https://cybersecuritynews.com/?p=17093
+ Source: Cyber Security News
+ Author: Balaji N
+ Date published: 27 April 2023, 20:53
+ Date scraped: 27 April 2023, 21:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj8LYdZhY5ByAmj2Scoj-0iZsqaVtKibKTK4P40c1xWEFkcq7_yCZAF5ArAJqJkrEArngOuddSCGKdN5xaHrgqvSkpkBanLfZFHvIUyHYnGcuKuZviSyEH4f7mR6o1y3Sd6Qwuusf33-neGIDOs2K6Q_yprQVPDIycff6QK9rJ1KZaElp5VWru3AqV1/s16000/Thousands%20of%20Apache%20Superset%20Servers%20Open%20to%20RCE%20Attacks.webp)


Recently, cybersecurity analysts at Horizon3 detected that at default configurations, thousands of Apache Superset servers are exposed to RCE attacks.





This could allow the threat actors to perform the following illicit activities:-


* Access data
* Modify data
* Harvest credentials
* Execute commands


Apache Superset is an open-source tool that is used for:-


* Data visualization
* Data exploration


Initially, this tool was developed for Airbnb, but in 2021, it became a top-level project at the Apache Software Foundation.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhYTdWaAHI4R8GVnbgpzMXrfzxErI_C7Pp67seaIFz1vTXLPXzizDpWWnaiT9Ol-sYJqKutNjLnR14N-bVTw6rYqFXBukMapFSW1Jj0nZHiL2szN4RHd6njc47UJhqDQhf4Xe233xmD2Eu-lWGKg2S8pJeftNqW8X0QdyU2exxX5fEoznBWez6zRSQuxw/s16000/Free%20automated%20API%20security%20testing.webp
)](https://bit.ly/3TgO25c)
## **Technical Analysis**


Attackers could take advantage of the default Flask Secret Key utilized by [Apache Superset](https://superset.apache.org/) for signing authentication session cookies to create fake session cookies.


Consequently, servers that haven’t altered the key may be susceptible to unauthorized access with elevated privileges.



![](https://cybersecuritynews.com/wp-content/uploads/2023/04/image-60-1024x252.png)


While Horizon3 [affirmed](https://www.horizon3.ai/cve-2023-27524-insecure-default-configuration-in-apache-superset-leads-to-remote-code-execution/) that they have identified this vulnerable default configuration in 2,000 internet-exposed servers. Most of these exposed servers are belongs to several organizations:-


* Universities
* Corporations of varying sizes
* Government organizations


Superset facilitates the exploration of data and the creation of visualizations by supporting integrations with multiple databases.


Attackers can execute arbitrary SQL statements against linked databases using the powerful SQL Lab interface.


![](https://cybersecuritynews.com/wp-content/uploads/2023/04/image-61-1024x678.png) ***SQL Lab interface.***


While apart from this, administrators can avoid this attack by changing the default key to an unknown value unfamiliar to the attackers.


## **Impact**


On October 11, 2021, Horizon3 discovered and reported the flaw to the Apache Security team.


The developers released version 1.4.1 of the software on January 11, 2022, which replaced the default ‘SECRET\_KEY’ with a new string.


In addition, a warning was included in the logs to indicate the detection of the default string during startup.


Horizon3 found 2 default keys, used Shodan to search instances using them, and found 67% were misconfigured which totals around 2,124 total.


![](https://cybersecuritynews.com/wp-content/uploads/2023/04/image-59-1024x695.png)***SECRET\_KEY***


Horizon3 contacted Apache again and warned organizations to change their configuration in February 2023.


On April 5, 2023, the Superset team released version 2.1 which blocks default ‘SECRET\_KEY’ at server startup.


Version 2.1 of Superset prevents new risky deployments but doesn’t fix over 2,000 existing misconfigurations.


## **Timeline**


Here below, we have mentioned the complete timeline:-


* Oct. 11, 2021: Initial communication to the Apache Security team
* Oct. 12, 2021: Superset team says they will look into the issue
* Jan. 11, 2022: Superset team changes default SECRET\_KEY and adds warning to logs with this Git commit
* Feb. 9, 2023: Email to the Apache Security team about new data related to the insecure default configuration. Started notifying specific organizations.
* Feb. 24, 2023: Superset team confirms code change will be made to address default SECRET\_KEY
* Mar. 1, 2023: Pull request merged with a code change to address default SECRET\_KEY
* Apr. 5, 2023: Superset 2.1 release
* Apr. 24, 2023: CVE disclosed


**Struggling to Apply The Security Patch in Your System? –**  
**[Try All-in-One Patch Manager Plus](https://www.manageengine.com/patch-management/?utm_source=GBHackers&utm_medium=Website-CPM&utm_campaign=PMP-Link)**






## Tags:


### Autogenerated tags:
horizon3 secret_key sql
