# Most organizations had a cloud-related security incident in the past year
## Security leaders consider the risk of cloud-based incidents higher than on-premises incidents, yet they expect to move more applications to the cloud.
## Information:

+ Link: https://www.cybersecuritydive.com/news/cloud-security-incident/632868/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 28 September 2022, 00:00
+ Date scraped: 30 September 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/WIiR_o54zhk9ac0fnjffNhjQKW3J0wloq0nP3guKBPI/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMzg3OTgxMTguanBn.jpg)


### Dive Brief:


* More than 80% of organizations have experienced a cloud-related security incident over the past 12-month period, according to[research from Venafi](https://www.venafi.com/blog/81-companies-have-had-had-cloud-security-incident-last-year-venafi-research). Almost half of those organizations reported at least four incidents over the same period.
* Companies are rapidly undergoing digital transformation to the cloud. Organizations in the study currently host 2 in 5 applications in the cloud, however that figure is expected to reach 3 in 5 over the next 18 months.
* Despite those rapid changes, more than half of all organizations said they consider the risk of security incidents higher in the cloud, compared with on-premises environments.


### Dive Insight:


The operational and security concerns that emerge from moving to the cloud include hijacking of accounts, ransomware, data privacy issues and nation-state attacks.


Organizations most commonly encountered security incidents during runtime, unauthorized access and misconfigurations. All were cited by about one-third of respondents.


“Attackers are now on board with businesses’ shift to cloud computing,” Kevin Bocek, VP of security strategy and threat intelligence at Venafi, said in a blog post. “The ripest target of attack in the cloud is identity management, especially machine identities.”


Responsibility for maintaining cloud security has also shifted within organizations, as 25% of enterprise security teams are the most likely to manage cloud security. Operations teams accountable for cloud infrastructure account for 23%, followed by collaborative teams and DevSecOps.


The study of 1,100 security decision makers was conducted by Sapio in July. The officials were based in a range of international markets, including the U.S., U.K., France, Germany, the Benelux countries and Australia.





## Tags:


### Autogenerated tags:
cloud teams
