# Worried about data breaches? Blame the information sector
## Three in five records exposed in a data breach last year came from software, telecom, data processing and web hosting companies, Flashpoint found.
## Information:

+ Link: https://www.cybersecuritydive.com/news/information-sector-fuels-data-breaches/644536/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 08 March 2023, 23:00
+ Date scraped: 13 March 2023, 17:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/BL3o4RtIMbXVOjy_tai1M1bqAm0g86t1xgB_I2k4lS4/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExOTc2NDYwNjUuanBn.jpg)


### Dive Brief:


* The majority of credentials and personal records stolen in 2022 were held by organizations in the information sector, which comprises software, telecommunications, data processing and web hosting, according to Flashpoint.
* Of the 22.6 billion credentials and personal records exposed or stolen by threat actors last year, 13.8 billion came from the information sector, according to Flashpoint. This accounts for 3 in 5 of all records exposed by data breaches last year.
* “This data shows that once organizations employ vendors to perform these services on their behalf, those same vendors leave sensitive customer and employee data out in the open,” Flashpoint said in its “[State of Cyber Threat Intelligence](https://flashpoint.io/resources/report/state-of-cyber-threat-intel-2023)” report released Thursday.


### Dive Insight:


Misconfigured databases and web-based services accounted for 5% of all reported data breaches last year, but were responsible for leaking 71% of all personal records, the report found.


The number of records exposed by misconfigurations ultimately surpassed 16 billion credentials or PII by year’s end, according to Flashpoint.



#### The vast majority of breached records come from the information sector


Number of credentials and personal records stolen in 2022, by sector

“The most striking thing about misconfigurations leading to breaches and leaks is that it continues to happen at astronomical rates year to year,” Ian Gray, director of analysis and research at Flashpoint, said via email.


These breaches are attributed to misconfigurations in cloud-based infrastructure and services, public sites and search engines.


“While misconfigurations within the organization are the easiest to handle, it becomes considerably more difficult to ensure that vendors within your digital supply chain are doing the same,” Gray said.


Organizations in the information sector process or store data for many businesses and industries, compounding downstream risk when they experience data breaches and leaks. Flashpoint’s threat intelligence platform observed 4,518 data breaches last year.





## Tags:


### Autogenerated tags:
flashpoint misconfigurations
