# CISA and NSA Publish Top 10 Misconfigurations
## Data was compiled from real-world read and blue team engagements
## Information:

+ Link: https://www.infosecurity-magazine.com/news/cisa-nsa-publish-top-10/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 06 October 2023, 10:30
+ Date scraped: 06 October 2023, 10:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/5f8a68db-5c3d-4984-a978-cd1fa3dff4ad.jpg)


Two leading US government security agencies have shared the top 10 most common cybersecurity misconfigurations, in a bid to improve baseline security among public and private sector organizations.


The report from the NSA and Cybersecurity and Infrastructure Security Agency (CISA) was compiled from their red and blue team assessments, as well agency hunt and incident response team activities across government and private sector organizations.


“These most common misconfigurations illustrate a trend of systemic weaknesses in several large organizations and the importance of software manufacturers embracing secure-by-design principles to reduce the risk of compromise,” the agencies noted.


“Some of the misconfigurations mentioned in the CSA include default configurations of software and applications, weak or misconfigured multifactor authentication (MFA) methods, and unrestricted code execution.”


[*Read more on misconfiguration: Misconfiguration Accounts for 82% of Security Vulnerabilities.*](https://www.infosecurity-magazine.com/news/misconfiguration-82-security/)


**Top 10 Common Misconfigurations**
-----------------------------------


The list in full is as follows:


* Default configurations of software and applications
* Improper separation of user/administrator privilege
* Insufficient internal network monitoring
* Lack of network segmentation
* Poor patch management
* Bypass of system access controls
* Weak or misconfigured multifactor authentication (MFA) methods
* Insufficient access control lists (ACLs) on network shares and services
* Poor credential hygiene
* Unrestricted code execution


The report also contains a long and useful list of mitigations for both network defenders and software manufacturers, which the government hopes will help to improve cybersecurity across the nation.


“The misconfigurations described above are all too common in assessments and the techniques listed are standard ones leveraged by multiple malicious actors, resulting in numerous real network compromises,” [the report concluded.](https://media.defense.gov/2023/Oct/05/2003314578/-1/-1/0/JOINT_CSA_TOP_TEN_MISCONFIGURATIONS_TLP-CLEAR.PDF)


“Learn from the weaknesses of others and implement the mitigations above properly to protect the network, its sensitive information, and critical missions.”


The question is whether organizations, especially in the private sector, will have the time and resource to prioritize such efforts at a time when budgets are coming under pressure.







## Tags:


### Autogenerated tags:
misconfigurations cybersecurity
