# Most Small Biz IaaS Users Seeing Surge in Attacks
## A further 67% were hit by ransomware in past year
## Information:

+ Link: https://www.infosecurity-magazine.com/news/small-biz-iaas-users-surge-attacks/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 30 November 2022, 09:00
+ Date scraped: 30 November 2022, 11:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/915201a5-fa84-4aff-89fb-6dacd0a62568.png)

SMBs are increasingly exposed via their cloud infrastructure, with over half experiencing an increase in the volume (56%) and complexity (59%) of attacks over the past year, according to [Sophos](https://www.sophos.com/).


The findings come from the security vendor’s new report, *The Reality of SMB Cloud Security in 2022,* which is based on a survey of 4984 IT professionals across 31 countries whose organizations use Infrastructure as a Service (IaaS).


Most (53%) respondents claimed they also experienced an increased impact from the attacks they suffered over the past year, while two-thirds (67%) admitted that they were hit by ransomware.


[The report offered a few clues](https://news.sophos.com/en-us/2022/11/29/the-reality-of-smb-cloud-security-in-2022/) as to why this might be: only 37% of respondents said they track and detect resource misconfigurations, and only 43% routinely scan IaaS resources for software vulnerabilities.


Two-thirds (66%) don’t have visibility of all resources and their configurations, while just a third (33%) said they’re able to continuously detect, investigate and remove IaaS cyber-threats.


Securing access to cloud resources is also an issue for many. Only two-thirds (40%) of surveyed SMBs have intrusion prevention (IPS) in place and only slightly more (44%) use a web application firewall (WAF) to protect their web-facing applications and APIs.


With the market for public cloud services [set to grow](https://www.gartner.com/en/newsroom/press-releases/2022-10-31-gartner-forecasts-worldwide-public-cloud-end-user-spending-to-reach-nearly-600-billion-in-2023) to nearly $600bn next year, SMBs must prioritize security, according to Sophos senior security advisor, John Shier.


“This includes implementing traditional threat-based protections, as well as risk-based mitigations. Unpatched vulnerabilities and misconfigured resources are both preventable mistakes and avoidable risks that make life easier for attackers,” he added.


“The survey found that more advanced IaaS users are twice as likely to report a decrease in attack impact than beginners, suggesting the appropriate defense mechanisms can go a long way in deterring threat actors.”


By making just modest improvements to their security posture, SMBs could see a big return by dissuading opportunistic attackers.


Shier argued that “most attackers are not unstoppable criminal masterminds, but rather opportunistic cyber-thugs looking for an easy payday.”





## Tags:


### Autogenerated tags:
smbs cloud iaas two-thirds
