# <strong>Lionsgate streaming platform with 37m subscribers leaks user data</strong>
## Entertainment industry giant Lionsgate leaked users’ IP addresses and information about what content they watch on its movie-streaming platform, according to research from Cybernews. Original post at https://cybernews.com/security/lionsgate-data-leak/ During their investigation, our researchers discovered that the video-streaming platform Lionsgate Play had leaked user data through an open ElasticSearch instance. The Cybernews research team discovered an […]
## Information:

+ Link: https://securityaffairs.com/143886/security/lionsgate-data-leak.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 22 March 2023, 22:42
+ Date scraped: 23 March 2023, 00:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-49.png?resize=300%2C300&ssl=1)


## Entertainment industry giant Lionsgate leaked users’ IP addresses and information about what content they watch on its movie-streaming platform, according to research from Cybernews.


**Original post at <https://cybernews.com/security/lionsgate-data-leak/>**


During their investigation, our researchers discovered that the video-streaming platform Lionsgate Play had leaked user data through an open ElasticSearch instance.


The Cybernews research team discovered an unprotected 20GB of server logs that contained nearly 30 million entries, with the oldest dated May 2022. The logs exposed subscribers’ IP addresses and user data concerning device, operating system, and web browser.


Logs also leaked the platform’s usage data, typically used for analytics and performance tracking. URLs found in logs contained titles and IDs of what content users watched on the platform, along with search queries entered by the users.


Researchers also found unidentified hashes with logged HTTP GET requests, records of requests made by clients that are usually used to get data from a web server: when these requests are made, they get stored in log files on the server.


Researchers could not determine the exact purpose or usage of the hashes. However, the hashes all containing more than 156 characters indicates they were intended to remain unchanged for long periods of time.


“Hashes didn’t match any commonly used hashing algorithms. Since these hashes were included in the HTTP requests, we believe they could have been used as secrets for authentication, or just user IDs,” said researchers.


Cybernews reached out to Lionsgate about the leak, and the company responded by closing an open instance. However, at the time of writing, it has yet to provide an official response.


**Big hitter at risk**


Lionsgate Entertainment Corporation, the Canadian-American entertainment company operating the platform, owns several well-known movie and TV franchises that have gained worldwide recognition, including *Twilight Saga*, *Saw*, *Terminator*, *The Hunger Games*, and *The Divergent Series*.


While Netflix stays at the top of all streaming platforms with over 230 million subscribers, Lionsgate has over 37 million global subscribers and generated $3.6 billion in revenue last year.


Accelerated by COVID-19, the popularity of online streaming platforms has been growing. In 2022, the subscription rates to video-on-demand platforms reached 83% in the US, showing an increase of more than 30% during eight years.


But, as the number of users on platforms increases, they are becoming a tempting target for cybercriminals. Even minor security loopholes might cause serious damage, yet security is often overlooked. The research by Cybernews is a stellar example of this tendency.


**Data could aid cyberattacks**


“With the growing number of new streaming services, we can see that the risk of misconfigurations and data breaches also grows,” said Cybernews researchers.


According to them, the leaked information in this particular case is not typically shared in hacker communities. Nevertheless, it is still sensitive.


“It can be useful in targeted attacks, especially when combined with other leaked or publicly available information,” researchers explained.


The combination of users’ IP addresses and device data can be exploited by malicious actors to create targeted attacks against them, delivering harmful payloads to their devices.


User agents could have provided attackers insight into what operating system or services the user is running, helping crooks to identify potential vulnerabilities that can be exploited for malicious purposes.


User agents are information about a user’s device operating system, browser, and sometimes screen resolution and size. They also help ensure that a webpage is displayed correctly on a device.


“Threat actors can cross-reference a user’s search queries and viewed content with their IP address to build a more comprehensive profile of the individual,” researchers said.


Along with usage data, threat actors can identify patterns of behaviour and potentially use this information to craft more accurate, targeted phishing attacks aimed at stealing personal information.


[![Lionsgate](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-49.png?resize=1024%2C477&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/03/image-49.png?ssl=1)


**If you want to know about other streaming platforms affected by data leaks give a look at the original post** **at <https://cybernews.com/security/lionsgate-data-leak/>**


**About the author: [Paulina Okunytė](https://cybernews.com/author/paulinaokunyte/), Journalist at Cybernews**


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Lionsgate)**



  


---


  




## Tags:
***urls***: https://cybernews.com/security/lionsgate-data-leak/

### Autogenerated tags:
lionsgate cybernews ip
