# Misconfigurations drive 80% of security exposures
## An analysis of more than 40 million exposures provides a view the current exposure landscape, revealing 80% are driven by misconfigurations.
## Information:

+ Link: https://www.securitymagazine.com/articles/100630-misconfigurations-drive-80-of-security-exposures
+ Source: Security Magazine
+ Author: Security Staff
+ Date published: 06 May 2024, 12:00
+ Date scraped: 06 May 2024, 17:11

## Article:
![Main article image](https://www.securitymagazine.com/ext/resources/2024/05/02/Blue-connections-UNSPLASH.png?height=635&t=1714674891&width=1200)

A report from [XM Cyber](https://info.xmcyber.com/2024-state-of-exposure-management) analyzes more than 40 million exposures in order to provide a thorough understanding of the current exposure landscape. The report found that [80% of exposures](https://www.securitymagazine.com/articles/100305-62-of-it-and-security-teams-are-remediating-exposures) are caused by identity and credential misconfigurations. Out of these exposures, one-third of them put critical assets at risk of a breach.

According to the report, a majority of the exposure is within an organization’s active directory, a critical component for connecting users to network resources. However, it is also a target for malicious actors seeking access and elevated privileges. Misconfigurations and credential attacks are the top exposures, creating blind spots that conventional security tools can often miss. This includes issues with resetting login information or managing members. Furthermore, inadequate endpoint hygiene is an issue in many environments with cached credentials or lacking EDR coverage on more than 25% of devices. This provides malicious actors with initial entry points.

Cloud environments are also at risk of exposure. The report found that 56% of exposures that impact critical assets are [within cloud platforms](https://www.securitymagazine.com/articles/100602-88-of-respondents-will-focus-security-investments-on-cloud-security). Malicious actors can travel between on-premises systems and cloud environments with relative ease, thus compromising critical cloud assets. 




## Tags:


### Autogenerated tags:
cloud
