# AuthMind Scores $8.5M Seed Funding for ITDR Tech
## Maryland startup scores $8.5 million in seed-stage funding to compete in the Identity Threat Detection and Response (ITDR) category.
## Information:

+ Link: https://www.securityweek.com/authmind-scores-8-5m-seed-funding-for-itdr-tech/
+ Source: SecurityWeek
+ Author: Ryan Naraine
+ Date published: 13 September 2023, 17:24
+ Date scraped: 13 September 2023, 18:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Maryland startup AuthMind has raised $8.5 million in seed-stage funding to build security software in the competitive Identity Threat Detection and Response (ITDR) category.**


AuthMind said the funding round was led by Ballistic Ventures, the cybersecurity-focused venture capital firm that has invested heavily in cloud and data security startups. IBM Ventures also made a strategic investment.

The Bethesda company said it is building an  ITDR product that provides end-to-end visibility into user activity across the integrated application landscape to help defenders plug hidden security gaps such as shadow access, exposed assets, compromised identities, unknown SaaS apps, shadow accesses and the absence of MFA (multi-factor authentication) protection.

AuthMind said its software works in any cloud or network and can serve as an extension to existing security tools by analyzing and providing identity risk information mitigation.

Authmind co-founder chief executive Shlomi Yanai described the identity infrastructure as a prime target for hackers despite major investments in identity security. In response, the company is building technology to help in multiple areas:

* Identity & Access Blind Spots – AuthMind said it can detect and enable  remediation of identity-related blind spots such as shadow assets, unauthorized local accounts, missing multi-factor authentication (MFA), and usage of unauthorized SaaS apps across any cloud or platform.
* Identity Infrastructure Security Gaps – AuthMind is promising Identity Threat Detection & Response (ITDR) capabilities with detailed contextual analysis that identifies exposures, threats and attacks in real-time, across the various tools that create an identity infrastructure, including cloud Identity Providers (IdPs), On-Premises or Hybrid directories, MFA solutions, SSO, PAM solutions and more.
* Identity Systems Misconfigurations and Non-Compliance – AuthMind said its product can identify dangerous misconfigurations caused by human error, hazardous deviations from policy, and inadequate implementations of identity tools such as MFA, privileged access, and IAM tools.


AuthMind is entering an ITDR market that is highly competitive as investors continue to place big bets on security startups solving identity-related security problems. Earlier this year, [Cisco acquired Oort](https://www.securityweek.com/cisco-shopping-spree-adds-oort-id-threat-detection-tech/) to add ITDR capabilities to its security portfolio, further validating the market for early-stage innovation.


**Related:** [Cisco Shopping Spree Adds Oort ITDR Tech](https://www.securityweek.com/cisco-shopping-spree-adds-oort-id-threat-detection-tech/)


**Related:** [Investors Bet $31M on Sphere for Identity Hygiene Tech](https://www.securityweek.com/investors-bet-31-million-sphere-identity-hygiene-tech/)


**Related:** [BalkanID Raises $6M for Intelligent IGA Technology](https://www.securityweek.com/balkanid-raises-6m-intelligent-iga-technology/)


**Related:** [Tenable Launches $25 Million Early-Stage Venture Fund](https://www.securityweek.com/tenable-launches-25-million-early-stage-venture-fund/)





## Tags:


### Autogenerated tags:
authmind itdr cloud mfa
