# Customer Information of Toyota Insurance Company Exposed Due to Misconfigurations
## Exposed credentials for an email address at an Indian Toyota insurance broker led to customer information compromise.
## Information:

+ Link: https://www.securityweek.com/customer-information-of-toyota-insurance-company-exposed-due-to-misconfigurations/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 18 January 2024, 11:58
+ Date scraped: 18 January 2024, 12:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**A series of misconfigurations and security vulnerabilities allowed a researcher to access customer information stored in an email account at Toyota Tsusho Insurance Broker India (TTIBI).**


The unauthorized access, US-based researcher [Eaton Zveare explains](https://eaton-works.com/2024/01/17/ttibi-email-hack/), was possible because the TTIBI site had a dedicated Eicher Motors subdomain, with a premium calculator.


TTIBI is an insurance broker under the Toyota Tsusho Insurance Management Corporation in Japan, and appears to have a close partnership with Eicher Motors, an Indian automotive company that makes motorcycles and commercial vehicles.

According to Zveare, he gained access to the noreplyeicher@ttibi.co.in email address after discovering that the Eicher Android application contained a link to a premium calculator on ttibi.co.in, which exposed a client-side email-sending mechanism in the page source.

The researcher created an API request to check whether authentication was required, and was able to successfully send an email, but also received a server error that included the base64 encoded password for the ‘noreply’ email account.

“The noreply account could be the most important account in an organization because it could potentially have a record of everything they have ever sent to customers. In TTIBI’s case, that is exactly what it is and the amount of information revealed is enormous,” Zveare notes.

Within the email account, the researcher found records of all messages sent to customers, which included customer information, password reset links, one-time passwords (OTPs), and insurance policy documents.

Additionally, access to the email account also provided access to TTIBI’s Microsoft cloud account, including to the corporate directory and to SharePoint and Teams services.


The extended level of access, Zveare points out, was the result of five security issues and misconfigurations: the client-side email-sending mechanism, the lack of API authentication, the API response leaking information, the lack of two-factor authentication, and the retention of all emails that were sent and received from the account.

According to Zveare, it took TTIBI two months to take the Eicher subdomain offline and require an authentication mechanism for the exposed API. However, the password for the ‘noreply’ email account was still the same when the researcher verified access on January 17.

**Related:** [Vulnerabilities in Honda eCommerce Platform Exposed Customer, Dealer Data](https://www.securityweek.com/vulnerabilities-in-honda-ecommerce-platform-exposed-customer-dealer-data/)


**Related:** [Vulnerability in Toyota Management Platform Provided Access to Customer Data](https://www.securityweek.com/vulnerability-in-toyota-management-platform-provided-access-to-customer-data/)


**Related:** [Vulnerability Provided Access to Toyota Supplier Management Network](https://www.securityweek.com/vulnerability-provided-access-to-toyota-supplier-management-network/)





## Tags:
***email-adresses***: thenoreplyeicher@ttibi.co.in

### Autogenerated tags:
ttibi zveare eicher api
