# 4-Step Approach to Mapping and Securing Your Organization's Most Critical Assets
## Not all technology assets are created equal. Identifying business-critical assets is essential for effective cybersecurity governance.
## Information:

+ Link: https://thehackernews.com/2024/05/4-step-approach-to-mapping-and-securing.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 28 May 2024, 16:42
+ Date scraped: 28 May 2024, 12:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhmScmMuAAFtAX9Zy8B3N4TInCEmeZtaRH_o6npQ5vvi_E_tJ5MItUaEqq5EByZLxsmLpSouPp-c45xLkWRvm9ezLjBvKLDIwsVf5UhyphenhyphenzIA8-gHFJzUdW6tnTpKYrcre5JgSTqdrNvzjk6iZq3_FPeJPv43Pdpn-9zC-fNT1sYzn72XU7pei9USGu3AKSc/s728-rw-e365/main.png)


You're probably familiar with the term "critical assets".


These are the technology assets within your company's IT infrastructure that are essential to the functioning of your organization. If anything happens to these assets, such as application servers, databases, or privileged identities, the ramifications to your security posture can be severe.


But is every technology asset considered a critical asset?


Moreover, is every technology asset considered a *business*-critical asset?


How much do we really know about the risks to our *business*-critical assets? 


Business-critical assets are the underlying technology assets of your business in general – and we all know that technology is just one of the 3 essential pillars needed for a successful business operation. In order to have complete cybersecurity governance, organizations should consider: 1) Technology, 2) Business processes, and 3) Key People. When these 3 pillars come together, organizations can begin to understand their business-critical assets – or the ones that are essential to the successful operation of your business.


[![Protecting Critical Assets](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiHv9lkP_JXzX-DSRxqEaeaTqkdUVCdxgISIAVmr86g4ZSbkcYqtR-8OX4G8kDtDEP9synmBFEXLnrRbGdZgGUK3uabbqgg2KnLXjx_pht6gJ50f1V_SwyB3vW5OobGyxinnrdXinHiKDiFb_wEmy-4gPhUsOcH8GsXpFQ0S6BJ9FIIsCtvl2kKiXL-bh0/s728-rw-e365/1.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiHv9lkP_JXzX-DSRxqEaeaTqkdUVCdxgISIAVmr86g4ZSbkcYqtR-8OX4G8kDtDEP9synmBFEXLnrRbGdZgGUK3uabbqgg2KnLXjx_pht6gJ50f1V_SwyB3vW5OobGyxinnrdXinHiKDiFb_wEmy-4gPhUsOcH8GsXpFQ0S6BJ9FIIsCtvl2kKiXL-bh0/s1500/1.png)
The Importance of Focusing on Business-Critical Assets [#](#the-importance-of-focusing-on-businesscritical-assets)
------------------------------------------------------------------------------------------------------------------


Today, everyone knows it's not possible to fix everything.


There are simply too many issues that are in need of remediation - from CVEs to misconfigurations, to overly permissive identities, and so much more. In this situation, organizations are left unable to answer the question of "where should we focus our efforts first?" And without a clear path to fix what matters most first, a lot of organizations take what I call a "cyber security spray 'n pray approach" – without knowing what really matters, or what is the real business impact. They try to fix it all, leading to wasted time, effort, and resources. (If you want to learn more about the sheer impossibility of fixing everything, we suggest reading our recent report, [The State of Exposure Management 2024](https://info.xmcyber.com/research-report-2024-state-of-exposure-management?utm_medium=sponsorarticle&utm_source=hackernews&utm_campaign=xm-cyber-research) – looking at 40 million exposures, it highlights how managing exposures is more complex than ever.)


  Luckily, Gartner has recently published a new framework, the continuous threat exposure management, or CTEM, framework that can help us see where and how to prioritize our efforts with the following statement: "CISOs must consider the following: What are the most critical and exposed IT systems ... in relation to business processes." Read more about it in [Gartner's 2024 Strategic Roadmap for Managing Threat Exposure,](https://info.xmcyber.com/gartner-report-2024-strategic-roadmap-for-managing-threat-exposure?utm_medium=sponsorarticle&utm_source=hackernews&utm_campaign=gartner) by Pete Shoard) This is why it's essential to focus on business-impacting issues. It helps organizations become more effective and efficient, ensuring better usage of resources and efforts. 


Another huge advantage, which may be even more important than the previous benefit? It ensures that security folks are aligned with the issues that concern the most for your company's senior leadership. This leads to better communication and alignment with your business objectives, helping demonstrate that cyber security is about far more than protecting the organization's digital footprint and instead is a true business enabler. It ensures that you cover and protect the technology assets that underlie your most important business processes and guarantees continuous risk reduction with strong ROI, related to your business-critical assets. To learn more about how to effectively communicate about risk with your board and CEO, check out our ebook, [Reporting Risk to the Board](https://info.xmcyber.com/en/ebook-ciso-guide-to-report-cyber-risk?utm_medium=sponsorarticle&utm_source=hackernews&utm_campaign=ciso-guide), here.

   **How to Protect Business Critical Assets**[#](#how-to-protect-business-critical-assets)
----------------------------------------------------------------------------------------


There are 4 key steps when it comes to protecting your business-critical assets:


### **Step 1: Identifying Business Processes**[#](#step-1-identifying-business-processes)


While it's very nice to talk about focusing on business-critical assets, how do you actually know what's business-critical and what's not?


Identifying the most important business processes might be challenging if your company has not performed a proper business risk assessment. Having such reports from your risk management team should be very helpful for you to understand your most important business drivers and therefore your greatest areas for risk to start with.


Let's say you haven't performed a risk assessment in a while, or ever. A) it's not a bad idea to do so, and B) another option which is always a good start, is to use the "follow the money" approach:


* How the company makes revenues (inbound money flow), for example: from selling products, services etc.
* How the company spends money (outbound money flow), for example: spending on operational costs, marketing etc.


Option B will serve you well as an initial discovery of the business processes, along with their related underlying technologies.


[![Protecting Critical Assets](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh2lTqnvXmJldtpD7cHO_VKZf1NjmVv-t4CGUl8E7EvtCiqTrO2lNCQxD213qrcT625mrEcybCMovgGJ9TkOIdahOE-lQKBAwPjeT_UPYjFhKlHdZomgDi_cVCpUnbzGcGK-lgzMTlsyxiR4ag6YBODqZxyOA1arH3tMIDIg2jUOJcQ1JWTjhyLytmUyiI/s1500/2.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh2lTqnvXmJldtpD7cHO_VKZf1NjmVv-t4CGUl8E7EvtCiqTrO2lNCQxD213qrcT625mrEcybCMovgGJ9TkOIdahOE-lQKBAwPjeT_UPYjFhKlHdZomgDi_cVCpUnbzGcGK-lgzMTlsyxiR4ag6YBODqZxyOA1arH3tMIDIg2jUOJcQ1JWTjhyLytmUyiI/s1500/2.png)
### **Step 2: Map from Business Processes to Technology Assets**[#](#step-2-map-from-business-processes-to-technology-assets)


Now that you have a better view of the most important business processes, you can start mapping each process to the underlying technology assets, including application servers, databases, secure file storages, privileged identities, etc. These will be your business-critical assets!


Note, it's a good idea to consider your file storages that hold the most sensitive data as business-critical assets. Once you have accounted for all of these specific assets, you can begin to truly understand what impacts your business's bottom line the most.


[![Protecting Critical Assets](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhy83GV4gzqrVfhiEivsg9fvurP9rn6yECSzxYkxKdOyx0qt2ncjNJFzFNP4scP0bMUGgi3drSR7kx_1No18ofZwezRw1fxHatxBE18pkZnu61M2q0by-CnvUYWO0BKKttan6lFX8u-THGBHujBuJRuTyQg-oScex8h6MDq7GBYKXEjVBifqBRSDknp198/s1500/3.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhy83GV4gzqrVfhiEivsg9fvurP9rn6yECSzxYkxKdOyx0qt2ncjNJFzFNP4scP0bMUGgi3drSR7kx_1No18ofZwezRw1fxHatxBE18pkZnu61M2q0by-CnvUYWO0BKKttan6lFX8u-THGBHujBuJRuTyQg-oScex8h6MDq7GBYKXEjVBifqBRSDknp198/s1500/3.png)
If you are using a solution like XM Cyber, you will automatically get a report of your Technology Assets for both your on-prem and your cloud environments. Otherwise, this might be achieved with CMDB-assets management tools, ITSM solutions, your SIEM solution, or hopefully it is documented somewhere on plain old Excel spreadsheets.


[![Protecting Critical Assets](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjTmOfJJ3Ft1N30KQHv26kCtk2xUFkb134jbQEr_RBSJoVAH7_ch3zG2fKuxH8-t4aeqs-_efsMXx6sJXrggAhuWp_V4k1GOCU9ShwnwAq62hTLQ_dJc113GaEGHhd5HviScB3UwE7mg1liRfxSGPmKNYtSgXVbI9_Ueohd5W-tRr-D8m3PhyyOtBds0JE/s728-rw-e365/4.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjTmOfJJ3Ft1N30KQHv26kCtk2xUFkb134jbQEr_RBSJoVAH7_ch3zG2fKuxH8-t4aeqs-_efsMXx6sJXrggAhuWp_V4k1GOCU9ShwnwAq62hTLQ_dJc113GaEGHhd5HviScB3UwE7mg1liRfxSGPmKNYtSgXVbI9_Ueohd5W-tRr-D8m3PhyyOtBds0JE/s1500/4.png)
### **Step 3: Prioritization**[#](#step-3-prioritization)


As mentioned, it's not possible to fix everything, which means we always have to prioritize anything that we plan to do in order to secure our business. Even if we would have a complete list of all our crown jewels in hand, still we should always ask "what are the top 3-5 business areas or processes that are the most important?". This is another case where you should work closely with the risk management team and collect such information.


In addition, another major input would be from the company's key stakeholders. In the words of Gartner "Building scopes that align with the priorities of the senior leadership is critical to success." So it's very important to know what the C-Level and Board are considering as P1-"Game over", what is a P2-High impact, and what they consider P3-Low impact.


### **Step 4: Implementing security measures** [#](#step-4-implementing-security-measures)


Great! At this point you have a decent knowledge of your company's top business-critical assets - well done! And now it's time to mobilize your security teams towards securing them. This involves collecting the relevant security findings and generating remediation activities. But since it's impossible to fix everything, where should you begin with and invest most of your efforts?


Usually, you can begin by collecting the relevant outputs from either your Vulnerability Management solution or even recent Pen-test results. It can serve as valuable information about risks within your IT infrastructure and will generate another list of remediation activities that you now need to prioritize, which still might be a huge effort.


If you're using a solution like XM Cyber, you will benefit from the ***Scenario*** framework.


Each Scenario runs continuous attack simulations on a dedicated scope of business-critical assets. If for example, an important business process is "Payments Processing", using the Scenario you will be able to answer the following business question: "Can an attacker potentially compromise the Payments Processing business process?". Each Scenario execution produces a risk score with attack paths findings toward all business-critical assets. Moreover, you will get a prioritized list of recommended remediation activities with the highest ROI to your efforts.


[![Protecting Critical Assets](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiARNffJPJPCCg-Tz4515h56hnfQGGm7g0L_aMtH-f7ylbE5x_LIVZ8Cu_eA9k-FSsvCt07HRi2Z6xldGNH1zP2chD0C4KlFUF5eCFqE7DmKERaNixC3r5b7cwjtJFZDYiYW3GdCiYs-equ95Fkk97EJBfKMdsOuLCDrm9X13l9lnMVHMZ0PI4ECrPl3Ck/s1500/5.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiARNffJPJPCCg-Tz4515h56hnfQGGm7g0L_aMtH-f7ylbE5x_LIVZ8Cu_eA9k-FSsvCt07HRi2Z6xldGNH1zP2chD0C4KlFUF5eCFqE7DmKERaNixC3r5b7cwjtJFZDYiYW3GdCiYs-equ95Fkk97EJBfKMdsOuLCDrm9X13l9lnMVHMZ0PI4ECrPl3Ck/s1500/5.png)
**Conclusion**[#](#conclusion)
------------------------------


Security teams spend a huge amount of time asking questions like "Can an attacker potentially compromise the Payments Processing business process?" or "Are we adequately protecting our most sensitive CRM databases, file storages, and Admin users?". Without understanding what impacts your business the most, this is often a futile endeavor.


With the methodology outlined above in tow, you can move away from spray 'n pray efforts that diminish the effectiveness of your security program and begin to truly address what's most important for your business – not only in terms of technologies but in terms of the effect on the relationship to the core business.


By focusing on business-critical assets, your team will become significantly more efficient and effective – and better yet, it will signal to your C-suite and Board that what matters to them most is also your top priority. This synergy will allow for better communication and better alignment of priorities, which is a recipe for the successful operation of your business.

 *Note: This article was expertly written by Yaron Mazor Principal Customer Advisor at XM Cyber.*



![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)

  





## Tags:


### Autogenerated tags:
business-critical gartner xm
