# 7 Key Findings from the 2022 SaaS Security Survey Report
## 2022 SaaS Security Survey Report examines the state of SaaS security as seen in the eyes of CISOs and security professionals in today's enterprises.
## Information:

+ Link: https://thehackernews.com/2022/05/7-key-findings-from-2022-saas-security.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 19 May 2022, 13:16
+ Date scraped: 19 May 2022, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhQ35YcFiAOKrXi2E_dDfRmldlWqGd8JRWTxySJZ0Lw8wZlBCSan3urDOMGTzeQyLUve4CX0NXu9pcSQGJBmMLpkZtDIAHjpl0TkT_rTpI2fXg_tmvlthTz9AZaDnLK_pMh8Q--_DyirAzLjj7ogXBckO4G0MBsAHAQ_s_Gsi1OiqfcTLw260dqRe-e/s728-e100/seven.jpg)


The [2022 SaaS Security Survey Report,](https://www.adaptive-shield.com/2022-saas-security-survey-report?utm_source=TheHackerNews&utm_medium=content_syndication&utm_campaign=thn_saassurvey1) in collaboration with CSA, examines the state of SaaS security as seen in the eyes of CISOs and security professionals in today's enterprises. The report gathers anonymous responses from 340 CSA members to examine not only the growing risks in SaaS security but also how different organizations are currently working to secure themselves.


## **Demographics**


The majority (71%) of respondents were located in the Americas, another 17% from Asia, and 13% from EMEA. Of these participants 49% influence the decision-making process while 39% run the process itself. The survey examined organizations from a variety of industries, such as telecommunications (25%), finance (22%), and government (9%). 


While there are many takeaways from the survey, these are our top seven. 


#### 1: SaaS Misconfigurations are Leading to Security Incidents


Since 2019, SaaS misconfigurations have become a top concern for organizations, with at least 43% of organizations reporting they've dealt with one or more security incidents caused by a SaaS misconfiguration. However, since many other organizations state they are unaware if they had experienced a security incident, the number of SaaS misconfigured-related incidents could be **as high as 63%**. These numbers are striking when compared to the 17% of security incidents caused by IaaS misconfiguration. 


![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhyMH0mXzAd42M_nHJxO56iz7eWxNz34erDCFwaKX7b-sdk1EZXDy47mbToBY8l3AmjvAbBaxl6TMZGXi__mIBpNhTgcHy7YcoXTrI6E5bijESMLAi_O_CUTJNZg1vbpfxEK5YsOjZAgJLV6dHACj0IDiYlvBjWwH2yt2ANjiHNEN6mK9FUjUBqd4p-/s728-e100/image1.png)
[Learn how to prevent misconfigurations in your SaaS stack](https://www.adaptive-shield.com?utm_source=TheHackerNews&utm_medium=content_syndication&utm_campaign=thn_saassurvey2)


#### 2: Lack of Visibility and too Many Departments with Access Reported as Leading Cause for SaaS Misconfigurations


So what exactly is the cause of these SaaS misconfigurations? While there are several factors to consider, the survey respondents narrow it down to the two leading causes – having too many departments with access to SaaS security settings (35%), and a lack of visibility into the changes in the SaaS security settings (34%). These are two related issues, neither of which are surprising given that lack of visibility was rated a top concern when adopting SaaS applications, and that on average organizations have multiple departments with access to security settings. One of the leading reasons for the lack of visibility is the fact that too many departments have access to security settings, and many of these departments don't have proper training and focus on security. 


![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh_ZdN3ubQQfcZXlj2qfrLYG38b8_joAXiG7Q-r7rbwy3248vxoXjv0Sgn4qr84LZTIuZs7YPSV9r0R5ZWSrhAW5qdaHgczAH4s1-5clFnTPlYZN_FTm2K0CaMixpEdYT-PL5T1KjYcdK-dVhOhj5MMWynAT6GF8Y4gAZrmrLzjBte0wno1WU7wKlnP/s728-e100/image4.png)
#### 3: Investment in Business-Critical SaaS Applications are Outpacing SaaS Security Tools and Staff


It's well-known that businesses are adopting more apps – this past year alone, 81% of respondents say that they have increased their investments in business-critical SaaS applications. On the other hand, investment in security tools (73%) and staff (55%) for SaaS security is lower. This dissonance represents an increasing burden on the existing security teams to monitor SaaS security. 


![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjOx9o_j1h4QGDLg_BxOG972BCFf2VdCypgCprHqwbf34Mz_RgYoqRtJe1ZZOJhifp_igx1FOgRhiSZ5rb2Z71Oc-yC0O3F7fxq7hzzjCPnxoJ7wFUkSX5xCyMeYxO9yRqS1FUP0jTuFcffquG-D3vgb6r93TZ1dgGoD9vmnKgx7E60vGTiFVRco081/s728-e100/image3.png)
#### 4: Manual detection and remediation of SaaS misconfigurations keeps organizations exposed


46% of organizations that manually monitor their SaaS security are conducting checks only once a month or less, while 5% don't conduct checks at all. After discovering a misconfiguration, it takes additional time for security teams to resolve it. Approximately 1 in 4 organizations take one week or longer to resolve a misconfiguration when remediating manually. This lengthy timing leaves organizations vulnerable. 


![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiCJE9jKGRg3reKXh7m9Qna8O42lzsOvS8-N3c5zVpTm8ZqOlvw-fI-ZVE94afCrIw_DjKAr2x8311BeNkngO7c_gPdD6YzCWLuQnjeS7kHgB_FosjQM4ULQCBJoweOr4QSLTj9Ni15BAPsv7J9JBYf_RQTWm3KIyx9-EnxnTfLEoNeUs7hrzW_ABM3/s728-e100/image2.png)
![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgRGZg6TGwFAKPUbbzjWxGgGsvmhrsDrdPWx8bDkAwZdzs-mkksmS2xUkHzozZT15wbWErxVBST2dAYVWTuLNwsUkSQ-GkshnAK2zNDwJwiBcPsFJuwedqYBlm0jmMVaFGkvDWUzCyQJKxqLn8oDyGS3cZBXtZ_y8fe9LwjdOn7EJ3j4aNN61MHQuKg/s728-e100/image5.png)
#### 5: Use of an SSPM reduces timeline to detect and remediate SaaS misconfigurations


The flip side of the coin for finding #4 is that the organizations that have implemented an SSPM can more quickly and accurately detect and remediate their SaaS misconfigurations. The majority of these organizations (78%) utilize an SSPM to check their SaaS security configurations once a week or more. When it comes to resolving the misconfiguration, 81% of organizations using an SSPM are able to resolve it within a day to a week. 


![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgrGEtt0YMzX-G2D6CHMVP-BDqHxsoz8CtCOYsnbSSDmPLwxahArGw8B_VSOP0zmZrreeomRA_wjKNK6UgwdTq1mcukpgh5RI_Ku5KK3Y3kj3ynbA95PEC6zKja_jLtWQ2pmH4Pi7msDq2CGDU8VOZoRnvc-NrDjvXZctjEzht-s4zVQsyM4ODZwwCi/s728-e100/image6.png)
![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhF2tNkKbyKn7RTpUhxmc8t2Kke--8ouoDSrTCP6v5dKzOaz3bdigFi1XVBbydJ_1pimuJAg5cFdXyPPTx2_w3moOj471qJx7NA-me2_ST7GMAuDjPzI_7s_ptJERWNZ7IrvtiUlv6ld_yF7XxFky4eIJGbhTB5WYS5BgPTz24KuJS_78Ot4yRH1OCI/s728-e100/image9.png)
[Click here to schedule a 15-minute demo of how Adaptive Shield SSPM can help you](https://www.adaptive-shield.com/lp/request-a-demo?utm_source=TheHackerNews&utm_medium=content_syndication&utm_campaign=thn_saassurvey3)


#### 6: 3rd party app access is a top concern


Third-party apps, also called no-code or low-code platforms, can boost productivity, enable hybrid work, and are overall essential in building and scaling a company's work processes. However, many users quickly connect 3rd party apps without considering what permission these apps are requesting. Once accepted, the permissions and subsequent access granted to these 3rd party apps could be harmless or as malicious as an executable file. Without visibility into the SaaS-to-SaaS supply chain, employees are connecting to their organization's business-critical apps, security teams are blind to many potential threats. As organizations continue to adopt SaaS applications, one of their top concerns is the lack of visibility, especially that of third-party application access to the core SaaS stack (56%). 


![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhjjwraToaLKbcKeTCcFT74l7zNIZX1tRld9xU51lVoBI1BGs76dbtosJ09c71Kc31AUs80uxYI0hHAe8gnQCzwdR8RuuscKRxKy5F2utnckEzGfDjPBgK1AnI4wcFnzmYdUf_Ux7xppOy9MTciuXYJ3yPdb7S8bcCkcY9R8daFqHXuWEqogvqiscMp/s728-e100/image8.png)
## Planning Ahead and Implementing SSPM


Despite the category being introduced to the market two years ago, it is fast maturing. When assessing four cloud security solutions, SSPM receives an average rating of "somewhat familiar." Furthermore, 62% of respondents report that they are already using an SSPM or plan to implement one in the coming 24 months.


![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgJgm4pOYuA5dstGDrJJ65hbiabtNd1QRaZaRjeQUI8ssyYe7ns2lW6lqSYJkAJOMmf7hWMggwBioprx4pRArR4K3SBl3r3VM3XhyNQpajIuaNB3fsDi8mD1POoyXAGUpY8fFbU2zIJwfzilA10TfGlKVZqD7KF2qGbvWVDvEw4I-h3aGhBkPH9M2vB/s728-e100/image7.png)
## Conclusion


The 2022 SaaS Security Survey Report offers insights into how organizations are using and protecting their SaaS applications. It is without a doubt that as companies continue to adopt more business-critical SaaS apps, there is more risk. To face this challenge head-on companies should begin securing themselves through two best practices:


* The first being to enable security teams to gain full visibility into all SaaS app security settings, including 3rd party app access and user permissions, which in turn allows departments to maintain their access without risk of making improper changes that leave the organization vulnerable.
* Secondly, companies should utilize automated tools, such as SSPMs, to continuously monitor and quickly remediate SaaS security misconfigurations. These automated tools allow security teams to recognize and fix issues in near-real time, reducing the overall time the organization is left vulnerable or preventing the problem from occurring all together.


Both of these changes provide support to their security team while not preventing departments from continuing their work. 


 


  





## Tags:


### Autogenerated tags:
saas misconfigurations sspm apps teams business-critical 3rd
