# The Annual Report: 2024 Plans and Priorities for SaaS Security
## Data leaks, breaches, ransomware, and more! The SaaS Security Survey Report reveals the types of security incidents organizations are facing.
## Information:

+ Link: https://thehackernews.com/2023/06/the-annual-report-2024-plans-and.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 05 June 2023, 17:25
+ Date scraped: 05 June 2023, 12:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNoLF5DfoIRSS0vdzZ1WyZ-48_RTAgj53HdE5FVwzDHObW9IUUc92lFJSLX6wvKDUtRETdUWZ26Ad_yQpDYHE831iZ8c6F-i0_hq-M8ndIFXVDGftfM5UHIMzpcLl1O5QO4clLKmQniceLax_4pfUJ6Hcrx5VOskLS0CMv8Wg_-RfxgeaWFYCTqx6J/s728-e3650/as-1.jpg)


Over 55% of security executives report that they have experienced a SaaS security incident in the past two years — ranging from data leaks and data breaches to SaaS ransomware and malicious apps (as seen in figures 1 and 2).


![SaaS Security](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgpB8AyefXjEsZuRqsBVE3Sy8WTT3qLmy1oCemMglNoaOlf0Tc_6cpDrCi6cAh1CFkgT-NMJAPSvpedEdktm7NUKpPV-ehb7l1jrhEk0uLmb_6BtoGAPIxcMUC1_mVv75i5xRzCaFy3yVRkkftjTRV9s6T1TENTvTq-Cx05tzfpoP5YzLC4ZqXrsLS5/s728-e3650/as-2.jpg)
The [SaaS Security Survey Report: Plans and Priorities for 2024](https://www.adaptive-shield.com/annual-saas-security-survey-report-2023?utm_source=TheHackerNews&utm_medium=sponsored_content&utm_campaign=thn_saassurvey2023_1), developed by CSA in conjunction with Adaptive Shield, dives into these SaaS security incidents and more. This report shares the perspective of over 1,000 CISOs and other security professionals and shines a light on SaaS risks, existing threats, and the way organizations are preparing for 2024. 


**[Click here to download the full report](https://www.adaptive-shield.com/annual-saas-security-survey-report-2023?utm_source=TheHackerNews&utm_medium=sponsored_content&utm_campaign=thn_saassurvey2023_2).**


## SaaS Security Incidents Are on the Rise[#](#saas-security-incidents-are-on-the-rise)


Anecdotally, it was clear that SaaS security incidents increased over the last year. More headlines and stories covered SaaS breaches and data leaks than ever before. However, this report provides a stunning context to those headlines.


As seen in figure 1, an astounding 55% of organizations had a SaaS incident within the past 24 months. These incidents included data leaks (58%), malicious third-party applications (47%), data breaches (41%), and SaaS ransomware (40%), as seen in figure 2.


![SaaS Security](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)
## Current SaaS Strategies Aren't Going Far Enough[#](#current-saas-strategies-arent-going-far-enough)


One reason for the increase in security incidents is that current solutions aren't being deployed broadly enough. 7% of respondents claimed to have 100% of their SaaS stack monitored with 68% reporting that they were monitoring less than half their SaaS stack.


The current SaaS security practices, like Cloud Access Security Brokers (CASB) and manual audits, are not enough to cover the SaaS stack. Unfortunately, these solutions are unable to meet the growing use and demands of the modern SaaS stack. Companies today have to secure hundreds of thousands of configurations and oversee thousands of user accounts while vetting thousands of third-party connected applications, which are beyond the capabilities of CASBs and overwhelm the resources of any manual effort.


![SaaS Security](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)
## App Ownership is Widespread[#](#app-ownership-is-widespread)


In response to increasing SaaS incidents, organizations report that they are now prioritizing SaaS Security. The survey shows that more executive-level leaders are involved in securing their SaaS stack and CISOs and security managers are seemingly transitioning from the role of controllers to that of governors in securing the SaaS stack.


There are layers of responsibility involved in securing each app as oftentimes the ownership of the app sits in different business departments throughout the organization, while it's the security team that is the one ultimately responsible.


![SaaS Security](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)
## SaaS Security Plans for 2024[#](#saas-security-plans-for-2024)


The report also shines a light on how organizations are creating policies and processes to deal with key SaaS security issues. While many have a way to go, they are building a strong foundation for these domains:


* SaaS misconfigurations
* Third-party connected apps
* User devices that are accessing SaaS apps
* Identity and access governance
* Threat detection
* Data loss management


## Companies Are Increasing Investment in SaaS and SaaS Security [#](#companies-are-increasing-investment-in-saas-and-saas-security)


In addition to enhancing their policies and adding executive stakeholders, it's not surprising that organizations have increased their SaaS spending as well. Over the last year, 71% of organizations have increased their investment in SaaS security tools, while 63% have either hired more personnel or increased training for SaaS security.


![SaaS Security](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)
One key area of investment has been SaaS security. A year ago, in the 2022 State of SaaS Security Report, 17% of respondents report having a SaaS Security Posture Management (SSPM) tool in place. That number has nearly tripled since, growing to 44%, with an additional 36% intending to add an SSPM to their SaaS security stack within the next 18 months. This brings the total of security executives already using SSPMs or planning to bring them on to 80%.


Among the reasons for this sudden increase is the reported need to mitigate SaaS threats (31%), improve their company's SaaS posture (29%), and save time in the management and maintenance of their SaaS stack (23%).


![SaaS Security](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)
## A Picture of Challenges and Hope[#](#a-picture-of-challenges-and-hope)


Ultimately, the SaaS Security Survey Report: 2024 Plans and Priorities report reflects and quantifies many of the changes affecting this industry over the past year. Threat actors are tempted by the seemingly low-hanging, high-value fruit within the SaaS ecosystem. SaaS security cybersecurity incidents are up by 12% over one year ago, and the types of attacks — breaches, data loss, and ransomware — are significant.


However, organizations are rising to the challenge of defending their SaaS stack. Whether they were initially drawn to SaaS applications for the cost savings, ease of access, or collaborative nature of the tool, they now recognize the need to secure their assets and the data contained within.


It's not surprising that they have turned to the SSPM market. By helping organizations identify and secure misconfigurations, protect themselves from intrusive third-party app scopes, manage users and devices, and detect threats from across the SaaS stack, SSPMs offer hope that the sensitive and business-critical data stored within the SaaS stack can be tightly secured.


[**Learn how an SSPM can help you secure your entire SaaS stack.**](https://www.adaptive-shield.com/?utm_source=TheHackerNews&utm_medium=sponsored_content&utm_campaign=thn_saassurvey2023_3)



\_linkedin\_partner\_id = "2426929";
window.\_linkedin\_data\_partner\_ids = window.\_linkedin\_data\_partner\_ids || [];
window.\_linkedin\_data\_partner\_ids.push(\_linkedin\_partner\_id);

(function(l) {
if (!l){window.lintrk = function(a,b){window.lintrk.q.push([a,b])};
window.lintrk.q=[]}
var s = document.getElementsByTagName("script")[0];
var b = document.createElement("script");
b.type = "text/javascript";b.async = true;
b.src = "https://snap.licdn.com/li.lms-analytics/insight.min.js";
s.parentNode.insertBefore(b, s);})(window.lintrk);


![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)



&#160;&#160;window.dataLayer = window.dataLayer || [];
&#160;&#160;function gtag(){dataLayer.push(arguments);}
&#160;&#160;gtag('js', new Date());&#160;&#160;gtag('config', 'AW-616997677');


&#160;&#160;!function(f,b,e,v,n,t,s)
&#160;&#160;{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
&#160;&#160;n.callMethod.apply(n,arguments):n.queue.push(arguments)};
&#160;&#160;if(!f.\_fbq)f.\_fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
&#160;&#160;n.queue=[];t=b.createElement(e);t.async=!0;
&#160;&#160;t.src=v;s=b.getElementsByTagName(e)[0];
&#160;&#160;s.parentNode.insertBefore(t,s)}(window, document,'script',
&#160;&#160;'https://connect.facebook.net/en\_US/fbevents.js');
&#160;&#160;fbq('init', '726907529044472');
&#160;&#160;fbq('track', 'PageView');

![The Hacker News]()
  





## Tags:


### Autogenerated tags:
saas third-party sspm ransomware apps
