# The Fast Evolution of SaaS Security from 2020 to 2024 (Told Through Video)
## SaaS Security breaches often stem from misconfigured settings. Learn how 'SaaS Security on Tap' video series tackles the key concepts.
## Information:

+ Link: https://thehackernews.com/2023/10/the-fast-evolution-of-saas-security.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 16 October 2023, 17:16
+ Date scraped: 16 October 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEi0haiZ0ozWF8K18wr5XgcmTVz3N0ndArLaEat0LiPz_MASpE_iyZH7PYNOJhevuj1FTSCQM5fulc6WXj4Ema2C3bcmCHpakK4sKKSOPF1iPfhyphenhyphenu8xWVfi0zBncf8EVBhfbTQ7LzYMje1TQQJ7CgFtNEZqkaUXnaDVvK-ps5OsfbhErfHtiXpoxZt9DivU/s728-rw-ft-e30/saas.jpg)


SaaS Security's roots are in configuration management. An astounding 35% of all security breaches begin with security settings that were misconfigured. In the past 3 years, the initial access vectors to SaaS data have widened beyond misconfiguration management. "[**SaaS Security on Tap**](https://www.youtube.com/@saassecurityontap)" is a new video series that takes place in Eliana V's bar making sure that the only thing that leaks is beer (maximum), and not SaaS data. This series takes a look at the key concepts within SaaS security and educates organizations on what new threat vectors need to be addressed.


**The Annual SaaS Security Survey Report: 2024 Plans and Priorities**[#](#the-annual-saas-security-survey-report-2024-plans-and-priorities)
-------------------------------------------------------------------------------------------------------------------------------------------


With the increase in SaaS application use, it's no surprise that incidents are up. The SaaS Security on Tap series covers this year's SaaS Security report which found that 55% of organizations have experienced a SaaS security incident within the last two years, including data leaks, data breaches, ransomware attacks, and malicious applications.



The report was not all doom and gloom. As Eliana V points out, companies are recognizing that manual audits and CASB deployments are only *partial* solutions at best. A surprising 80% of companies are either using or planning on using a SaaS Security Posture Management (SSPM) tool, like Adaptive Shield, for automated configuration and SaaS security monitoring by September 2024. That should take SaaS applications to a far more secure place than they are today. 


**Identity and Access Governance – Getting into the Who in SaaS Security**[#](#identity-and-access-governance-getting-into-the-who-in-saas-security)
----------------------------------------------------------------------------------------------------------------------------------------------------


SaaS Security on Tap reveals that as more organizations adopt SSPM, they are enhancing their visibility into SaaS app users. SaaS experts have come to recognize the critical nature of identity and access governance in securing SaaS apps. While much of SaaS security falls under the control of app owners, responsibility for identity and access governance falls squarely within the responsibility of the security and central IT team. They manage the company's Identity Provider (IdP) and need visibility to see which users are accessing applications, the level of access they have, and the type of users they are.




Identity security is all about ensuring that identity and access tools and policies are in place. Security teams need a high degree of visibility to know which users, including external users, have access to each application and to what extent. To fully quantify the risk emanating from users, they also need visibility into the devices used to access those applications and the ability to monitor high-privilege users.


**Uncovering the Risks & Realities of Third-Party Connected Apps** [#](#uncovering-the-risks-realities-of-thirdparty-connected-apps)
------------------------------------------------------------------------------------------------------------------------------------


Third-party application integrations, also known as SaaS-to-SaaS access, have also developed into a serious attack vector. These applications, which are integrated through OAuth protocols with the click of a button, improve workflows and help businesses get more out of their applications. While many of these SaaS-to-SaaS applications are harmless, they pose a significant risk. 3rd-party apps often ask for intrusive permission scopes, like Eliana V quips in the On Tap video (below), "some scopes ask for your firstborn child."




Users are granting permissions that allow read/write access, the ability to send email as a user, and most concerning, the ability to delete entire folders and drives of data. Eliana V points out that researchers found organizations with 10,000 SaaS users averaged over 6,700 applications connected to their Google Workspace, of which 89% requested medium- or high-risk permission scopes.


**A Few Words About SaaS Security On Tap**[#](#a-few-words-about-saas-security-on-tap)
--------------------------------------------------------------------------------------


SaaS Security on Tap provides a fast-paced, entertaining look at the challenges and solutions organizations face as they try to secure their data in SaaS apps.


Hosted by Eliana V from the SaaS Security On Tap bar, the series gets inside the issues facing security teams and their application-owner partners. Take misconfiguration management. Using entertaining analogies and powerful examples, Eliana V demonstrates the dangers of misconfigurations and the ease with which organizations err with their settings.


Check out the trailer…and like and subscribe if you want more.



***Don't miss an episode of*** [***Saas Security On Tap***](https://www.youtube.com/@saassecurityontap)***, the entertaining new video series that gets to the heart of SaaS security.*** 



![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)

![The Hacker News]()
  





## Tags:


### Autogenerated tags:
saas eliana apps
