# What Are Your Top Cloud Security Challenges? Threatpost Poll
## We want to know what your biggest cloud security concerns and challenges are, and how your company is dealing with them. Weigh in with our exclusive poll!
## Information:

+ Link: https://kasperskycontenthub.com/threatpost-global/?p=176702
+ Source: ThreatPost
+ Author: Tara Seals
+ Date published: 03 December 2021, 17:47
+ Date scraped: 03 December 2021, 18:31

## Article:
![Main article image](https://media.threatpost.com/wp-content/uploads/sites/103/2021/10/26165929/clouds-e1635281983435.jpg)

## Article:
![Article Image](https://media.threatpost.com/wp-content/uploads/sites/103/2021/10/26165929/clouds-e1635281983435.jpg)

There are myriad reasons that organizations are moving *en masse* to the cloud: Digital transformation, the ability to be more agile, cost reduction, better collaboration and productivity, and, in these pandemic times, a better ability to support remote working.


Cybercriminals are moving to the cloud too, hoping to take advantage of any chinks in the proverbial armor as companies scramble to defend a new, perimeter-less footprint — which is driving a requirement to implement a whole new set of cybersecurity defenses and access controls. We want to know what organizations’ top challenges are in making this transition, where the primary risks lie, and which technology platforms and approaches are garnering the most interest for defense.


***Weigh in with our anonymous poll, below — we’ll share the results in an upcoming article.***


Please keep in mind, each question also offers an opportunity for open-ended answers, for giving longer, more nuanced responses. Or, feel free to comment in the “comments” section of the article. We welcome detailed feedback!



1. What is your organization’s cloud footprint (check all that apply)?Private cloud (dedicated and housed in a company-run data center)Public cloud (AWS, Azure, Google Computing Platform)Hybrid cloud (cloud + on-premise infrastructure)Multicloud (distribution of cloud services across multiple providers’ environments)Infrastructure-as-a-service (IaaS)Platform-as-a-service (PaaS)Software-as-a-service (SaaS) (cloud applications)NoneOther:Vote[View Results](javascript:PD_vote10983349(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983349)
 



2. What do you believe is the biggest threat to the security of your cloud (check all that apply)?Misconfigurations and data exposureAPI vulnerabilitiesContainer bugsCryptomining malwareRansomwareDDoSEspionage and data theftAccount compromise/stolen cloud credentialsOther malwareAdvanced attacks against your cloud providerOther:Vote[View Results](javascript:PD_vote10983353(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983353)
 



3. What are your biggest challenges when it comes to securing your cloud (check all that apply)?Lack of skilled staffInsufficient identity and access management controlsLack of visibility into what data is held within cloud applicationsInability to monitor data in transit to and from cloud applicationsManagement complexityShadow ITPotential for insider theft or misuse of dataInability to assess the security of the cloud application provider’s operationsInability to maintain regulatory complianceSafeguarding mobile/home network/public Wi-Fi accessConfiguration issuesOther:Vote[View Results](javascript:PD_vote10983358(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983358)
 



4. Have you experienced a cyberattack on your cloud assets in the past 12 months?Yes (explain what type in "other" box, below)NoOther:Vote[View Results](javascript:PD_vote10983361(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983361)
 



5. Have you ever experienced a data exposure incident due to misconfiguration?YesNoOther:Vote[View Results](javascript:PD_vote10983364(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983364)
 



6. How confident are you that your organization has implemented sufficient cloud security?HighlySomewhatNot at allOther:Vote[View Results](javascript:PD_vote10983368(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983368)
 



7. Have you implemented a zero-trust architecture for access management?YesNot yet but plan toMaybe, I don’t fully understand itNo plans to (please explain why, below)Other:Vote[View Results](javascript:PD_vote10983369(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983369)
 



8. Are you moving to “DevSecOps,” where security is built into your cloud-native application lifecycle management?Yes.Not yet, but plan toMaybe, I don't really understand itNo (please explain why, in the "other" box below)Other:Vote[View Results](javascript:PD_vote10983441(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983441)
 



9. Do you embrace the shared-responsibility model for public cloud deployments?YesMaybe, I don't really understand itNo (please explain why, below)Other:Vote[View Results](javascript:PD_vote10983371(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983371)
 



10. Which technologies are you relying upon to protect your cloud (check all that apply)?Single console to manage security across multiple cloudsMy cloud provider’s self-managed security controlsMultifactor authentication on all accountsEncryption for data at rest and data in transitCloud-configuration monitoring toolsNetwork traffic monitoringIdentity access managementPolicy-based data loss prevention (DLP)Data activity monitoringUser behavior analyticsCloud access security broker (CASB)Cloud security gatewaysRisk assessment and auditingContainer-specific securityVulnerability managementXDR - Extended detection & responseOther:Vote[View Results](javascript:PD_vote10983378(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983378)
 



11. What security tools are you planning on implementing in the next 12 months (check all that apply)?Single console to manage security across multiple cloudsMy cloud provider’s self-managed security controlsMultifactor authentication on all accountsEncryption for data at rest and data in transitCloud-configuration monitoring toolsNetwork traffic monitoringIdentity access managementPolicy-based data loss prevention (DLP)Data activity monitoringUser behavior analyticsCloud access security broker (CASB)Cloud security gatewaysRisk assessment and auditingContainer-specific securityVulnerability managementXDR - Extended detection & responseOther:Vote[View Results](javascript:PD_vote10983380(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983380)
 



12. What do you think is the single-most-important aspect of your specific cloud security approach?Please reply below in the "other" box.I don't know.Other:Vote[View Results](javascript:PD_vote10983381(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983381)
 



13. What is your biggest frustration in implementing cloud security?Please reply below in "other" boxI don't knowOther:Vote[View Results](javascript:PD_vote10983382(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983382)
 



14. Will a lag in implementing security controls hold up your cloud deployments?YesNoOther:Vote[View Results](javascript:PD_vote10983383(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983383)
 



15. What industry vertical is your company in?Advertising/Marketing/PRAerospace & DefenseChannel Partner/VARConsultingEducationEnergy/Oil/GasFinanceGovernment/Public SectorHealthcareHospitality/Travel/TourismLegalManufacturingMedia Company/PublicationRetailSecurity VendorTech CompanyTransportation/LogisticsOther:Vote[View Results](javascript:PD_vote10983418(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983418)
 



16. What is your company profile?Small office/home office (SOHO,Small and medium-sized business (SMB, 10 - 1,000 employees)Large single-location company (more than 1,000 employees)Small to medium multilocation enterprise (10 - 1000 employees)Large multilocation enterprise (more than 1,000 employees)MultinationalOther:Vote[View Results](javascript:PD_vote10983423(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983423)
 






[Take Our Poll](https://poll.fm/10983378)
 



17. What percentage of your business runs in the cloud today?10% or less10-25%25-50%50-75%75-100%Other:Vote[View Results](javascript:PD_vote10983425(1);)  
[Crowdsignal.com](https://crowdsignal.com/pricing/?ad=poll-front)


[Take Our Poll](https://poll.fm/10983425)
 


***Thank you for your responses and look for our upcoming article containing the results.***


 


 



 


 


 


 








## Tags:


### Autogenerated tags:
cloud crowdsignal.com itno other:voteview
