# Attacks Abound in Tricky Threat Terrain: 2021 Annual Cybersecurity Report
## The digital transformations that had enabled many enterprises to stay afloat amid the Covid-19 health crisis also brought about major upheavals in cybersecurity, the impact of which was still widely felt in 2021. In our annual cybersecurity report, we look back at 2021 in terms of the most significant security issues and trends that shaped the year’s threat landscape.
## Information:

+ Link: https://www.trendmicro.com/en_us/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecuri.html
+ Source: Trend Micro
+ Author: Trend Micro Research
+ Date published: 16 March 2022, 23:00
+ Date scraped: 17 March 2022, 13:03

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecurity-report/2021AnnualRoundup-Header.jpg)






The digital transformations that had enabled many enterprises to stay afloat amid the Covid-19 health crisis also brought about major upheavals in cybersecurity, the impact of which was still widely felt in 2021. Trend Micro detected and blocked more than 94 billion threats over the course of last year, keeping pace with malicious actors who were intent on abusing any weak spots in the security postures of organizations around the world. In our annual cybersecurity report, [“Navigating New Frontiers,”](https://www.trendmicro.com/vinfo/us/security/research-and-analysis/threat-reports/roundup/navigating-new-frontiers-trend-micro-2021-annual-cybersecurity-report) we look back at 2021 in terms of the most significant security issues and trends that shaped the year’s threat landscape.


## Ransomware actors become more deliberate in targeting critical industries


From years of tracking ransomware activities, we have observed how ransomware operators have evolved from deploying quantity-based tactics to deliberately picking more profitable victims. Modern ransomware usually dedicates more time and effort to planning and reconnaissance, making for debilitating attacks that are tailored to the specific systems of targets.


Likely because of the important roles they had played amid the pandemic, organizations in the government, banking, and healthcare industries bore the brunt of ransomware attacks in 2021, although we observed a 21% year-on-year decrease in overall ransomware detections. But this decline does not necessarily mean that there were fewer ransomware attacks. Rather, it could be the result of our detection and blocking of more malware tools that were often used by ransomware actors, including the [Cobalt Strike beacon](https://www.trendmicro.com/en_us/research/21/g/tracking_cobalt_strike_a_vision_one_investigation.html) CoBeacon, the [trojan Trickbot](https://www.trendmicro.com/vinfo/us/security/news/cybercrime-and-digital-threats/ryuk-2020-distributing-ransomware-via-trickbot-and-bazarloader), and the [information stealer BazarLoader](https://www.trendmicro.com/vinfo/us/security/news/ransomware-spotlight/ransomware-spotlight-conti). That we blocked larger numbers of these affiliate tools, whose presence is an early indicator of infection, might have prevented ransomware actors from escalating their operations to full-scale attacks.


![](https://marvel-b1-cdn.bc0a.com/f00000000017219/www.trendmicro.com/content/dam/trendmicro/global/en/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecurity-report/2021AnnualRoundup-Figure1.png)  

Figure 1. The top three industries in terms of ransomware file detections in 2020 and 2021  
  

*Source: Trend Micro™ Smart Protection Network™*


## Malicious actors zero in on misconfigurations in cloud environments


More companies turned to the cloud to continue and expand their businesses, but the inherent complexity of setting up cloud infrastructures drove malicious actors to move quickly and take advantage of misconfigurations in these environments. Notably, a [role-based access control misconfiguration in Kubernetes](https://www.trendmicro.com/en_us/research/21/e/teamtnt-targets-kubernetes--nearly-50-000-ips-compromised.html) enabled the [threat actor group TeamTNT](https://www.trendmicro.com/vinfo/us/security/news/cybercrime-and-digital-threats/teamtnt-activities-probed) to compromise almost 50,000 IP addresses in the US and China as part of a large-scale credential theft campaign last year. Also in 2021, TeamTNT used [misconfigured servers](https://www.trendmicro.com/en_us/research/21/k/teamtnt-upgrades-arsenal-refines-focus-on-kubernetes-and-gpu-env.html) as an attack vector to pilfer metadata from cloud service providers.


![](https://marvel-b1-cdn.bc0a.com/f00000000017219/www.trendmicro.com/content/dam/trendmicro/global/en/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecurity-report/2021AnnualRoundup-Figure2.png)  

Figure 2. TeamTNT’s attack chain


## Email-based attacks evolve into a more complex threat


In 2021, Trend Micro Cloud App Security found and blocked more than 25 million email threats. Phishing attempts, in particular, [nearly doubled from 2020’s number](https://www.trendmicro.com/vinfo/us/security/research-and-analysis/threat-reports/roundup/trend-micro-cloud-app-security-threat-report-2020). Of these, 62% were from spam emails while the rest consisted of credential-phishing attempts. Organizations in finance, healthcare, and education experienced the bulk of phishing attempts.


![](https://marvel-b1-cdn.bc0a.com/f00000000017219/www.trendmicro.com/content/dam/trendmicro/global/en/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecurity-report/2021AnnualRoundup-Figure3.png)  

Figure 3. A comparison of the detections of spam phishing and credential-phishing attempts in 2020 and 2021  
  

*Source: Trend Micro Cloud App Security*


We observed a dip in attempts at [business email compromise (BEC)](https://www.trendmicro.com/vinfo/us/security/definition/business-email-compromise-(bec)) in 2021, but this could be because of an increase in more sophisticated BEC emails that were capable of avoiding antispam rules. We were able to stay on top of this development, however, as Trend Micro Cloud App Security used authorship analysis to detect and block a greater proportion as well as a greater number of these BEC attempts in 2021 than in 2020.


![](https://marvel-b1-cdn.bc0a.com/f00000000017219/www.trendmicro.com/content/dam/trendmicro/global/en/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecurity-report/2021AnnualRoundup-Figure4.png)  

Figure 4. A comparison of the proportions of BEC attempts blocked based on authorship analysis and BEC attempts blocked based on behavior and intention analysis in 2020 and 2021  
  

*Source: Trend Micro Cloud App Security*


Email was also the preferred entry point of opportunistic actors looking to exploit developments in the ongoing pandemic. We detected over 8 million Covid-19-related threats throughout 2021, mostly in the US and Germany. The majority of these threats were made up of emails, which is consistent with the upward trend of phishing attempts levied against the vaccine cold chain. The consistent news coverage surrounding the health crisis likely supplied malicious actors with [new themes for their email lures](https://www.trendmicro.com/en_us/research/21/g/reduce-instances-of-covid-19-phishing-email-attacks.html).


![](https://marvel-b1-cdn.bc0a.com/f00000000017219/www.trendmicro.com/content/dam/trendmicro/global/en/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecurity-report/2021AnnualRoundup-Figure5.png)  

Figure 5. A comparison of the detections of Covid-19-related threats consisting of malicious emails, URLs, and files in 2020 and 2021  
  

*Source: Trend Micro Cloud App Security*


## Exploits of vulnerabilities both old and new run rampant


In 2021, Trend Micro™ Zero Day Initiative™ (ZDI) published advisories for 1,604 vulnerabilities, a 10% increase from the previous year. Alongside newly found ones, however, malicious actors continued to exploit previously disclosed flaws in their attacks. They carried on with abusing legacy vulnerabilities despite the availability of patches addressing these flaws, and a demand for these persisted in the cybercriminal underground, where almost [25% of vulnerabilities sold were at least three years old](https://www.trendmicro.com/vinfo/us/security/news/vulnerabilities-and-exploits/trends-and-shifts-in-the-underground-n-day-exploit-market).


![](https://marvel-b1-cdn.bc0a.com/f00000000017219/www.trendmicro.com/content/dam/trendmicro/global/en/research/22/c/attacks-abound-in-tricky-threat-terrain--2021-annual-cybersecurity-report/2021AnnualRoundup-Figure6.png)  

Figure 6. A comparison of the proportions of Common Vulnerability Scoring System (CVSS) ratings among vulnerabilities disclosed by Trend Micro’s ZDI program in 2020 and 2021  

  

*Source: Trend Micro™ Zero Day Initiative™*


Unpatched systems remained a liability for organizations, as evidenced by [Log4Shell (CVE-2021-44228), a high-severity vulnerability in Apache Log4j](https://www.trendmicro.com/en_us/research/21/l/patch-now-apache-log4j-vulnerability-called-log4shell-being-acti.html) that was first reported privately to Apache in November 2021. A patch for it was made available a month later, but that did not stop malicious actors from exploiting it in various ransomware, data theft, and cryptocurrency-mining attacks.


Similarly, even though patches for them had been released, the Microsoft Exchange Server vulnerabilities ProxyLogon (CVE-2021-26855) and ProxyShell (CVE-2021-34473 and CVE-2021-34523) were still successfully exploited by malicious actors. The cybercriminals behind the [Squirrelwaffle loader](https://www.trendmicro.com/en_us/research/21/k/Squirrelwaffle-Exploits-ProxyShell-and-ProxyLogon-to-Hijack-Email-Chains.html3.1647395750-1556629574.1629177694), for example, used ProxyLogon and ProxyShell in hijacking their victims’ email accounts.


## Enterprises need multilayered defense to keep thorny threats at bay


As their attack surfaces expand or otherwise evolve, enterprises across the globe are compelled to explore unfamiliar security terrain, where they will need high-quality data from a unified view of their entire digital ecosystems to anticipate, assess, and mitigate risks. Read our annual cybersecurity report, [“Navigating New Frontiers,”](https://www.trendmicro.com/vinfo/us/security/research-and-analysis/threat-reports/roundup/navigating-new-frontiers-trend-micro-2021-annual-cybersecurity-report) to learn more about the noteworthy security stories of 2021 and obtain valuable insights that can help enterprises fend off latent, emergent, and current threats.









## Tags:
***CVE's***: CVE-2021-26855 CVE-2021-44228 CVE-2021-34523 CVE-2021-34473

### Autogenerated tags:
ransomware cloud phishing emails cybersecurity microtm teamtnt
