# Customers prefer Trend Micro in XDR, Endpoint & Cloud
## Customer feedback validates Trend's leadership in in XDR, endpoint security, hybrid Cloud
## Information:

+ Link: https://www.trendmicro.com/en_us/research/23/j/customers-prefer-trend-micro-xdr-endpoint-cloud.html
+ Source: Trend Micro
+ Author: Holly Fraser
+ Date published: 30 October 2023, 00:00
+ Date scraped: 03 November 2023, 21:02

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/thumbnails/23/customers-prefer-trend-micro-xdr-endpoint-cloud.jpg)






With over 35 years of leadership in cybersecurity, Trend Micro takes pride in the relationships we have built with our global customers across 50 countries. Recent validation from [Gartner® Peer Insights](https://www.gartner.com/peer-insights/home)™, [G2,](https://www.g2.com/sellers/trend-micro) and [PeerSpot](https://www.peerspot.com/) showcase the impact of our solutions and how they support business innovation as well as the strength of our customer support and product vision.


Here's a quick overview of what our customers are saying about our endpoint security, endpoint detection and response (EDR), extended detection and response (XDR), and hybrid cloud solutions.  

  

**2023 Gartner Peer Insights Customer’ Choice for Endpoint Protection:**  The 2023 Gartner® Peer Insights™ Voice of the Customer report for Endpoint Protection Platforms (EPPs) is based on 4,210 published reviews over an 18-month period ending June 30, 2023. To qualify for the Customers’ Choice category, vendors must meet or exceed both the average Overall Experience and the average User Interest and Adoption. With over 275 customers sharing their review over a period of 18 months, 93% said they were willing to recommend our EPP offering based on 269 reviews as of June 2023. The results are based on feedback and ratings from end-users globally. Learn more here: [www.trendmicro.com/explore/gartner-voc-endpoint](http://www.trendmicro.com/explore/gartner-voc-endpoint)  








[![XDR Review from Gartner Peer Insights ](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/j/customers-prefer-trend-micro-xdr-endpoint-cloud/xdr-review-gpi.png)](https://gtnr.io/TYFddUSgQ)









**G2:**Trend Vision One™ solution with XDR has the highest satisfaction score in the Extended Detection and Response (XDR) Enterprise Market Grid. The highest rated features include extended threat intelligence, unified visibility, and real-time detection. Customers also rave about Trend Vision One and XDR being one of the easiest-to-use platforms. With over 139 reviews, Trend’s global [customers share their insights](https://www.g2.com/products/trend-micro-vision-one-xdr/references/customers-see-success-with-trend-micro-xdr) on why Trend Vision One has been their #1 choice.  




"The Trend Vision One platform includes advanced XDR capabilities that collect and correlate deep activity data across multiple vectors – email, endpoints, servers, cloud workloads, and networks – enabling a level of detection and investigation that is difficult or impossible to achieve with SIEM, EDR, or other siloed individual point solutions. With a combined context, events that seem benign suddenly become meaningful indicators of compromise, and you can quickly contain the impact, minimizing the severity and scope. The XDR functionality of Trend Vision One provides a SIEM connector to forward alerts. By correlating events from Trend Micro products, fewer, higher-confidence alerts are sent, reducing the triage effort required by security analysts upon clicking on a SIEM."  








![G2 Enterprise Grid for extended detection and response platforms](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/j/customers-prefer-trend-micro-xdr-endpoint-cloud/g2-xdr-grid-2023.png)








**PeerSpot:** Trend earned the Tech Leader Award recognition for endpoint security with over 41 reviews praising Trend Vision One for its the ease of use and great support. One user, [John Trembly](https://www.peerspot.com/product_reviews/trend-micro-apex-one-review-4784240-by-john-trembly?tid=ss-copy-post), says Trend’s endpoint security “provides a single dashboard, integrates well, and has predictive machine learning.” Another user shares, **“**it can defend against zero-day attacks and stealthy attacks. This is important because in-house applications can have many vulnerabilities, such as coding errors and misconfigurations, which attackers can exploit.”


Customers like Mikkel Madsen from Copenhagen Airports are also recognizing the value of new features like ASRM: “We use the Attack Surface Risk Management capabilities, which are also in the trial period. It's absolutely helped us to identify blind spots in our environment. It made us realize that, for example, users were using their work email for private services such as Netflix or other services that, if they had a data breach, would be an issue. With this, we can reach out to those users and explain to them how to act on the Internet, not to use your work email for private services, et cetera. It's helped decrease our time to detect and respond to threats. It's likely 80% faster now. It's also helped us reduce the time we spend investigating false positive alerts. They do a lot of the initial work for us and come back with the actions we need to do on our part (if any). It's helped us reduce false positive investigations by 50%.” See [full review here.](https://www.peerspot.com/product_reviews/trend-micro-xdr-review-5110975-by-mikkel-madsen?tid=ss-copy-post)






![Tech leader award badge 2023](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/j/customers-prefer-trend-micro-xdr-endpoint-cloud/tech-leader-award-2023.png)








At Trend, we know that our customer’s experience is the key differentiator that keeps inspiring us to develop solutions to help protect organizations from vulnerabilities and threats. We thank our customers for sharing their voice to help others make informed product and vendor decisions. We are committed to delivering customer excellence to ensure that we offer the true partnership that sets us apart from other security vendors. Thank you for being part of our journey.








## Tags:


### Autogenerated tags:
xdr siem
