# CISA shares vulnerabilities, misconfigs used by ransomware gangs
## The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has unveiled additional details regarding misconfigurations and security vulnerabilities exploited by ransomware gangs, aiming to help critical infrastructure organizations thwart their attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/cisa-shares-vulnerabilities-misconfigs-used-by-ransomware-gangs/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 13 October 2023, 10:55
+ Date scraped: 13 October 2023, 15:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/13/CISA.jpg)



The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has unveiled additional details regarding misconfigurations and security vulnerabilities exploited by ransomware gangs, aiming to help critical infrastructure organizations thwart their attacks.


CISA released this information as part of its Ransomware Vulnerability Warning Pilot (RVWP) program, [established in January](https://www.bleepingcomputer.com/news/security/cisa-now-warns-critical-infrastructure-of-ransomware-vulnerable-devices/) of this year, when it announced that it would warn critical infrastructure orgs of ransomware-vulnerable devices discovered on their network.


Since its inception, CISA's RVWP has identified and shared details of over 800 vulnerable systems with internet-accessible vulnerabilities frequently targeted by various ransomware operations.


"Ransomware has disrupted critical services, businesses, and communities worldwide and many of these incidents are perpetrated by ransomware actors using known common vulnerabilities and exposures (CVE) (i.e., vulnerabilities)," the U.S. cybersecurity agency [said](https://www.cisa.gov/news-events/news/ransomware-vulnerability-warning-pilot-updates-now-one-stop-resource-known-exploited-vulnerabilities).


"However, many organizations may be unaware that a vulnerability used by ransomware threat actors is present on their network.


"Now, all organizations have access to this information in our [known exploited vulnerabilities](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) (KEV) catalog as we added a column titled, 'known to be used in ransomware campaigns.' Furthermore, CISA has developed a second new RVWP resource that serves as a companion list of [misconfigurations and weaknesses](https://www.cisa.gov/stopransomware/misconfigurations-and-weaknesses-known-be-used-ransomware-campaigns) known to be used in ransomware campaigns."


[![CISA RRWP tweet](https://www.bleepstatic.com/images/news/u/1109292/2023/CISA_RRWP_tweet.png)](https://twitter.com/CISAgov/status/1712543733533577611)


This effort is part of a broader campaign launched in response to the escalating ransomware threat to critical infrastructure that emerged nearly two years ago with a wave of cyberattacks targeting vital infrastructure entities and U.S. government agencies, including those of [Colonial Pipeline](https://www.bleepingcomputer.com/news/security/largest-us-pipeline-shuts-down-operations-after-ransomware-attack/), [JBS Foods](https://www.bleepingcomputer.com/news/security/food-giant-jbs-foods-shuts-down-production-after-cyberattack/), and [Kaseya](https://www.bleepingcomputer.com/news/security/revil-ransomware-hits-1-000-plus-companies-in-msp-supply-chain-attack/).


In June 2021, the agency [introduced the Ransomware Readiness Assessment (RRA)](https://www.bleepingcomputer.com/news/security/cisa-releases-new-ransomware-self-assessment-security-audit-tool/), a new component of its Cyber Security Evaluation Tool (CSET) designed to help organizations evaluate their preparedness to thwart and recover from ransomware attacks.


By August 2021, CISA also [released guidance](https://www.bleepingcomputer.com/news/security/cisa-shares-guidance-on-how-to-prevent-ransomware-data-breaches/) to assist vulnerable government and private sector entities in preventing data breaches resulting from ransomware incidents.


Furthering its commitment, CISA [established an alliance with the private sector](https://www.bleepingcomputer.com/news/security/cisa-teams-up-with-microsoft-google-amazon-to-fight-ransomware/) to safeguard critical U.S. infrastructure from ransomware and other cyber threats. This joint endeavor, the Joint Cyber Defense Collaborative (JCDC), embodies the collective response strategy of all federal agencies and private sector organizations that joined the partnership.


Since then, the U.S. cybersecurity agency also launched a dedicated online portal, [StopRansomware.gov](https://www.StopRansomware.gov), which serves as a central hub for CISA's effort to provide all the info defenders need to prepare and mitigate ransomware attacks.


Earlier this year, CISA ordered federal agencies to [secure their Internet-exposed network devices](https://www.bleepingcomputer.com/news/security/cisa-orders-federal-agencies-to-secure-internet-exposed-network-devices/), and, in a joint advisory with the FBI and the NSA, it revealed a list of the [12 most exploited vulnerabilities in 2022](https://www.bleepingcomputer.com/news/security/fbi-cisa-and-nsa-reveal-top-exploited-vulnerabilities-of-2022/).





## Tags:


### Autogenerated tags:
ransomware cisa u.s cybersecurity rvwp
