# Cyberpion rebrands as Ionix, offering new EASM visibility improvements
## Ionix is adding a suite of new features to help extend the visibility of interconnected assets and deliver risk-based prioritization.
## Information:

+ Link: https://www.csoonline.com/article/3691775/cyberpion-rebrands-as-ionix-offering-new-easm-visibility-improvements.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 24 March 2023, 13:34
+ Date scraped: 27 March 2023, 12:07

## Article:
![Main article image](https://images.idgesg.net/images/idge/imported/imageapi/2022/06/13/08/cybersecurity_eye-with-binary_face-recognition_abstract-eye-100751589-large-100928988-large.jpg?auto=webp&quality=85,70)


[SaaS](https://www.infoworld.com/article/3226386/what-is-saas-software-as-a-service-defined.html)-based external attack surface management ([EASM](https://www.csoonline.com/article/3691110/9-attack-surface-discovery-and-management-tools.html)) company Cyberpion has rebranded as Ionix, at the same time adding a clutch of new cybersecurity capabilities to its namesake offering.

Designed to provide a “wider coverage and deeper focus” into its customers’ internet-facing assets and connected dependencies, the revamp of Ionix's system will feature new abilities such as extending visibility into connected assets and [shadow IT](https://www.csoonline.com/article/3239849/shadow-it-its-not-what-you-think.html), and scoring risks based on possible blast radius.

“Along with the rebrand comes important new capabilities, including risk scores and executive ASM reports that quantify attack surface risk across multiple categories and provide operational intelligence of their attack surface,” said Ionix CEO Marc Gaffan. “For security teams, new capabilities include smart remediation workflows, validation of exploitability, identification of the blast radius, and integration with customer cloud environments.”


## Ionix rebranding focuses on interconnectivity

Blast radius is the total potential damage caused by a cybersecurity attack.  The Ionix upgrade is designed to determine the blast radius of internet-facing assets and rank them based on data sensitivity, business context, brand reputation, and interconnectivity. It also evaluates exploitability by identifying misconfigurations, documented exploits, and simulated attacks.

Ionix will extend coverage to customers’ cloud environments to generate an attacker’s view of exposed assets and shadow IT.

“Cloud migrations are complex projects, often involving multiple vendor partners. As you move across platforms to production, assets are often left exposed or with dangling connections,” Gaffan said. “With Ionix, users can discover exposed cloud assets, shadow IT and connected partner assets, automatically identify and prioritize misconfigurations and vulnerabilities, and effectively reduce mean time to resolution (MTTR) with clear actions items and integrated workflows.”

Ionix will also source threat intelligence about leaked credentials and compromised machines from the dark web and correlate them with customers’ asset inventories.

## Ionix now offers risk scores and reports

Ionix has also added a feature that quantifies customers’ attack surface risks across multiple assets by offering risk scores to help organizations understand their security posture, track progress over time and make informed decisions.

It will also feature what it calls  “smart remediation workflows” that help reduce alert noise via features such as automatic assignment of remediation tasks to appropriate departments.

Ionix will also enable the generation of executive ASM reports with one click to provide a comprehensive overview of a company's attack surface, individual assets, associated risks, and action items, according to the company.

“Our aim is to have the broadest asset discovery, together with focus on high-impact exploitable risks across your entire attack surface,” Gaffan added. “This is all powered by Ionix Connective Intelligence, our unique technology that uses machine learning to discover and monitor every internet-facing asset and connection that an organization has across their attack surface.”

All the new capabilities have been added to the SaaS engine running on Ionix’s cloud and are already available to the company’s existing customers for no extra price.





## Tags:


### Autogenerated tags:
ionix cloud internet-facing gaffan
