# Are Educational Institutions Easy Victims of Ransomware Groups?
## Ransomware's new favorite victim is educational institutions. Ransomware attacks that exploit targets utilizing malicious software code.
## Information:

+ Link: https://cybersecuritynews.com/?p=17807
+ Source: Cyber Security News
+ Author: KarthikaSurendran
+ Date published: 09 May 2023, 18:17
+ Date scraped: 09 May 2023, 19:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_qCYPy4T2vwLDLfVzFP3S0KKKHS2SAvCKnl5TJDWo6xHPB6KvPT-xIb-2j4Nb-R6kaS4cFBwhJfOXXsMqlqfXiiRjuLOfn0TAs_y2JaJ8l_STRiAHgHkw1gvwbCatfs7KKUD3Sw6Bc8iH1wWj7E_gomxypj_wss1ZSe9F0r1TBBj5xc37hL3qGPbjew/s16000/Are%20Edu%20Institutions%20Easy%20Victims%20of%20Ransomware.webp)


Ransomware’s new favorite victim is educational institutions. Ransomware attacks that exploit targets utilizing malicious software code have increased tremendously over the past few years.





In addition to targeting business sectors, cybercriminals are now attempting to ambush the security posture of educational sectors.


Educational institutions are easy prey for ransomware attacks as they lack the fundamental elements of a secure network.


According to **[findings from a 2022 global survey](https://news.sophos.com/en-us/2022/07/12/the-state-of-ransomware-in-education-2022/),** ransomware groups attacking educational institutions have encrypted around 73% of their data. 


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhYTdWaAHI4R8GVnbgpzMXrfzxErI_C7Pp67seaIFz1vTXLPXzizDpWWnaiT9Ol-sYJqKutNjLnR14N-bVTw6rYqFXBukMapFSW1Jj0nZHiL2szN4RHd6njc47UJhqDQhf4Xe233xmD2Eu-lWGKg2S8pJeftNqW8X0QdyU2exxX5fEoznBWez6zRSQuxw/s16000/Free%20automated%20API%20security%20testing.webp
)](https://bit.ly/3TgO25c)
Only a limited number of educational institutions recovered all their data after paying the ransom, while most could recover only 62% of their data.


## **Devastating ransomware attacks disrupt the functionality of educational institutions.**


The [Vice Society ransomware](https://gbhackers.com/vice-society-ransomware-attack/) operation orchestrated the most recent attack, targeting the Cincinnati State Technical and Community College. 


The threat actors leaked confidential documents online, and indications are that the ransom was never paid, as reported by Bleeping Computer.


The college has found it challenging to cope with the effects of the cyberattack. This ransomware group mainly targets educational institutions it identifies as weaker in security.


One of the major headlines in 2022 is the ransomware attack in Chicago Public Schools that exposed the data of 500,000 students. Two ransomware groups are suspected in this breach.


In December 2021, [**Lincoln College decided to shut down**](https://gbhackers.com/lincoln-college-closed-its-doors/) after serving students and its community for 157 years. 


Lincoln College was struggling to overcome the effects of COVID-19 when it was struck by something worse, a ransomware attack.


With newer ransomware strains being released every day,  IT admins must focus on tightening the security posture of their school’s network.


Most educational institutions cannot afford to dedicate a team exclusively to improving their security.


According to a report by the [**Multi-State Information Sharing and Analysis Center**](https://www.prnewswire.com/news-releases/new-ms-isac-report-details-cybersecurity-challenges-of-k-12-schools-301675262.html), the average school spends less than 8% of its IT budget on cybersecurity, with one in five schools spending less than 1%. 


Cyberattackers find it easy to penetrate their networks as they have weak security compared to other industries.


The attackers penetrate networks by finding loopholes such as stolen credentials, phishing campaigns, etc.


To prevent and protect your organization from ransomware attacks and other cyberattacks, ensure that all the typical entry points are secured.


## **10 security practices that should be followed in every educational institution.**


1. Deploy security configurations to prevent brute-force attacks. For example, deploy stronger password policies and use two-factor authentication to secure your endpoints.
2. Eliminate software and firmware vulnerabilities by staying up-to-date with released patches. Vulnerabilities, if exploited, can result in a major cyberattack, so ensure they are prioritized and remediated immediately.
3. Audit and monitor all activities in your network, and identify suspicious incidents. This can be achieved by actively auditing your ports, firewall, BitLocker, and more.
4. Uninstall outdated and high-risk software once identified on your network.
5. Allow installation of safe and secure applications on your network.
6. To avoid insider attacks, establish privilege management and just-in-time access controls for users.
7. Block malicious web extensions and web applications on your browsers to prevent browser-based attacks.
8. Monitor and manage peripheral devices on your network to prevent data leakage.
9. Backup your data at regular intervals.
10. Have an anti-virus solution to detect hash-based attacks.


Enforcing these 10 security practices can be a bit difficult, and especially in a school environment that often has limited resources dedicated to IT security.


Not all security solutions let you follow all the practices mentioned above, so it can be even more difficult for the IT admins of schools and educational institutions as they might need to maintain multiple solutions to achieve security.


[**ManageEngine Endpoint**](https://www.manageengine.com/products/desktop-central/endpoint-security-addon-homepage.html?utm_source=CyberSecurityNews&utm_medium=Website&utm_campaign=DC-EasyVictimsofRansomwareGroups) Central is a one-stop solution for your security and management needs. This cost-effective solution enables you to maintain and secure all the endpoints in your network with its **[unified endpoint security](https://cybersecuritynews.com/endpoint-management/)** features. Endpoint Central offers a plethora of security features that include:


### **Threat and vulnerability management**


* Improve your security posture with integrated threat and vulnerability management by instantly detecting and remediating vulnerabilities.
* Enhance security by deploying security policies and mitigating system misconfigurations.
* Eliminate high-risk software to avoid data breaches by actively auditing your network.


### **Patch management**


* Roll out security patches after automatically testing them on your organization’s network to thwart exploits.
* Implement [**automated patch deployment**](https://www.manageengine.com/patch-management/?utm_source=GBHackers&utm_medium=Website-CPM&utm_campaign=PMP-Link) to easily roll out patches across your network.
* Patch OS and more than 850 third-party applications across multiple platforms.


### **Peripheral device security**


* Manage and audit the usage of peripheral devices on your network.
* Enable file shadowing and file tracing, along with role-based controls for users.
* Allow, restrict, or remove devices based on the user’s requirements, and establish a trusted list of devices to maintain security.


### **Application security**


* Discover all the applications running on your network.
* Allow only enterprise-approved applications across your network to enhance productivity and security.
* Establish privilege management to prevent insider attacks.


### **Browser management**


* Gain a holistic view of the multiple browsers used in your enterprise network.
* Implement a safe browsing experience for your end users by detecting and removing harmful plug-ins from your network.
* Lockdown enterprise browsers, harden your browser settings and filter out malicious web applications to stay safe from cyberattacks.


### **Data loss prevention**


* Use predefined templates to discover and classify sensitive data with data containerization.
* Establish strict protocols for data access and transfer.
* Swiftly remediate false positives to enhance both productivity and security.


### **Ransomware Protection**


* Patented machine learning-based behavior analysis to detect ransomware attacks accurately.
* Gain complete insights into the root cause of attacks while providing immediate incident response and also prevent similar future attacks.
* One-click rollback of files via patented recovery process with Microsoft VSS.


[**Click here**](https://www.manageengine.com/products/desktop-central/endpoint-security-addon-homepage.html?utm_source=CyberSecurityNews&utm_medium=Website&utm_campaign=DC-EasyVictimsofRansomwareGroups) to learn more about the unified endpoint security features in Endpoint Central and download a [**30-day free trial**](https://www.manageengine.com/products/desktop-central/free-trial.html?utm_source=CyberSecurityNews&utm_medium=Website&utm_campaign=DC-EasyVictimsofRansomwareGroups) to discover more about its features. You can also [**schedule a free, personalized demo**](https://www.manageengine.com/products/desktop-central/request-demo.html?utm_source=CyberSecurityNews&utm_medium=Website&utm_campaign=DC-EasyVictimsofRansomwareGroups) to receive answers to your product questions from one of our solution experts.



#### **Struggling to Apply The Security Patch in Your Endpoint System? –****[Try All-in-One Patch Manager Plus](https://www.manageengine.com/patch-management/?utm_source=GBHackers&utm_medium=Website-CPM&utm_campaign=PMP-Link)**






## Tags:


### Autogenerated tags:
ransomware
