# EmojiDeploy Vulnerability in Azure Let Attackers Execute Remote Code
## EmojiDeploy vulnerability in Azure cloud services and other cloud sovereigns that allows for remote code execution.
## Information:

+ Link: https://cybersecuritynews.com/?p=13115
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 20 January 2023, 10:28
+ Date scraped: 20 January 2023, 11:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgbkoSYuKdOIp4WYdZfjFn5lqrJzuW13AGSt9024Q3HGkeUXzgchgYcNJZaOf6rHzPm_g68adm8hRp4UXaXePdy-n-zAJw1D8MpjOaXcsDBxrUqqYFe_tpIHfRBkC8afcTm-VMFtBVr90bDF1cpzPF2Bm0jIXJomS6NYyhVZZbOL9J3KOT6uKi0qieQcQ/s16000/EmojiDeploy%20Vulnerability%20in%20Azure%20Let%20Attackers%20Execute%20Remote%20Code.webp)


The use of a set of methods to take advantage of vulnerabilities like misconfigurations and poor security protocols in a popular Azure service is bringing attention to the issue of [cloud security](https://cybersecuritynews.com/5-cloud-security-challenges-and-risks-to-be-aware-of/) visibility, showing how not having a clear view of the security risks can lead to greater vulnerabilities in cloud platforms.





Ermetic’s research team found an EmojiDeploy vulnerability in Azure cloud services and other cloud sovereigns that allows for remote code execution in:-


* Function Apps
* App Service
* Logic Apps


The EmojiDeploy vulnerability can be exploited using CSRF on the widely used SCM service Kudu. It has been found that attackers can take advantage of this vulnerability to deploy harmful zip files containing malicious payloads to the Azure applications of their victims.


![EmojiDeploy Vulnerability](https://ermetic.com/wp-content/uploads/2023/01/EmojiDeploy_v2.gif)


**Abilities of the EmojiDeploy** **Vulnerability**


By utilizing EmojiDeploy, threat actors would be able to remotely execute code as well as take control of an application remotely:-


* Running code and commands as the www user
* Theft or deletion of sensitive data
* Phishing campaigns
* Takeover of the app’s managed identity and lateral movement to other Azure services


An exploit of this [vulnerability](https://cybersecuritynews.com/web-security-scanners/) allows remote code execution and full control of the target application. Based on the permissions of the applications that manage identities, the impact of the vulnerability will vary according to the organization as a whole. 


In order to reduce the blast radius, it is crucial to apply the principle of least privilege.


**Timeline**


Here below we have mentioned the complete disclosure timeline:-


* **October 26, 2022** – The Ermetic research team reports the vulnerability to MSRC
* **November 2, 2022** – MSRC first response, under review
* **November 3, 2022** – Microsoft bounty program awards a $30,000 bounty
* **December 6, 2022** – Microsoft releases a global fix
* **January 19, 2023** – Ermetic’s public disclosure


### **Exploitation of EmojiDeploy Vulnerability**


To exploit the vulnerability, attackers must take advantage of the following things:-


* Same-site misconfiguration
* Bypass an origin check
* Then target a vulnerable endpoint


Ultimately this whole procedure will lead the attacker to remote code execution. EmojiDeploy attack can be launched through a browser but the attacker needs to have SCM or Microsoft account cookies in their browser to exploit the vulnerability.


As Ermetic found, an attack was exploiting an insecure cookie configuration for Source Code Manager (SCM) in order to make use of the vulnerability. There are two controls that are set as a default by the Azure service of being Lax:-


* [Cross-site scripting (XSS) prevention](https://cybersecuritynews.com/injection-attacks/)
* [Cross-site request forgery (XSRF) prevention](https://cybersecuritynews.com/web-application-pentesting-tools/)


#### **Recommendation**


MSRC has successfully resolved the EmojiDeploy issue but it is recommended to take preventive measures to protect against vulnerabilities like this in the future and exploitation of SCM capabilities.


The Microsoft Security Response Center (MSRC) took quick action to resolve the vulnerability while conducting a thorough investigation. The team at MSRC worked diligently to fix the issue as soon as they could.


They understood the importance of a timely resolution to ensure the security of their users and the integrity of the system. The MSRC team carried out a deep investigation to identify the root cause and come up with a solution that not only addresses the vulnerability but also prevents it from happening again in the future.


Microsoft acknowledged EmojiDeploy as a Remote Code Execution (RCE) vulnerability and acknowledged the discovery with a substantial reward.


Microsoft has a program that [rewards security researchers](https://cybersecuritynews.com/bug-bounty-platforms/) who responsibly disclose vulnerabilities, and EmojiDeploy was considered a severe vulnerability that needed to be addressed as soon as possible. 


The company awarded a bounty of $30,000 to the [Ermetic research team](https://ermetic.com/blog/azure/emojideploy-smile-your-azure-web-service-just-got-rced) who reported this vulnerability. This award is a testament to the importance of the finding and the value of the researcher’s contribution to making the platform more secure for everyone. 


This kind of program encourages researchers to identify and report vulnerabilities, which in turn helps to make Microsoft’s products and services more secure for customers.






## Tags:


### Autogenerated tags:
emojideploy microsoft msrc ermetic cloud scm
