# Hackers Exploit Microsoft Access Feature to Steal Windows User’s NTLM Tokens
## Microsoft Access is a relational database management system which is developed by Microsoft that allows users to store and manage data.
## Information:

+ Link: https://cybersecuritynews.com/?p=49746
+ Source: Cyber Security News
+ Author: Tushar Subhra Dutta
+ Date published: 11 November 2023, 11:36
+ Date scraped: 11 November 2023, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgLfSDDx4aaX4nH1IDhm1nNcBiQRZUCaWHMwUzL1g6QRx1WM9yrgD6VD_pABr7DB1KRgEiCfnaFhaUHFGzW6AluQwF2fQiaHcNx9Fi2Kb7Qdi-uKmj5V_zdrR9HdMofUlemGWvC40KUoYNDjg4LKtYYcVZhQUTBbsu7bt-gvZpVF4sNXcG45MjmYe3kzqcu/s16000/Microsoft%20Access%20Exploited%20to%20Steal%20NTLM%20Tokens.webp)


Microsoft Access is a relational database management system developed by Microsoft that allows users to store and manage data.


Hackers target it because vulnerabilities in Access can be exploited to gain unauthorized access to databases, compromising sensitive information.


Cybersecurity researchers at Checkpoint recently discovered that hackers are actively abusing or exploiting the Microsoft Access feature to steal Windows users’ [NTLM tokens](https://cybersecuritynews.com/active-directory-checklist/).


**Hackers Exploit Microsoft Access**
------------------------------------


Microsoft’s 1993 NTLM is an outdated, challenge-response authentication protocol, and the users derive responses from a stored NTLM hash, presenting a security concern.


Here below, we have mentioned all the attacks against NTLM that are popular:-


* [Brute-force attack](https://cybersecuritynews.com/hackers-attacking-cisco-vpn-appliances/)
* Pass-the-hash attack
* Relay attack


Mitigations against NTLM attacks existed in protocols like Kerberos before NTLM’s introduction.


Blocking outbound traffic on NTLM ports (139 and 445) is a stop-gap solution, but a new method using MS-Access “Access Link Tables” can bypass this defense, targeting internal users directly.


Linked tables in MS Access allow efficient connections to external databases like remote SQL servers. Activating the feature involves clicking ‘ODBC Database’ under ‘External Data.’



![Hackers Abuse Microsoft Access ](https://lh7-us.googleusercontent.com/yDuwOvGFiAmFGJd4wywv_xQKDw6KlpADsgiknM-QigHBhivjubwE5bcQv9p7TS07KcZunnVmCtSY797e80eTj_JuvldHF4IdWl_HvPQQqti2yjTwDAkHhlUj47OVl44K9JAumDQB9qTOyfm3BvMXHqs)ODBC Database (Source – **Checkpoint**)


This applies to all Office versions, with an alternative option for a one-time download of remote tables treated as local subsequently.


Selecting ‘SQL Server’ as the ODBC source, the user then chooses an authentication method and may leave the port as default or pick a strange one, like port 80.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


An SQL server can listen on port 80, though it’s unusual. The linked table appears in the client’s list if authentication is successful and reads the CheckPoint [report](https://research.checkpoint.com/2023/abusing-microsoft-access-linked-table-feature-to-perform-ntlm-forced-authentication-attacks/).


By clicking it, a connection to the remote [database](https://cybersecuritynews.com/best-practices-for-securing-your-database/) is established, and the user’s Windows credentials are used to authenticate with the SQL server.



![Hackers Abuse Microsoft Access ](https://lh7-us.googleusercontent.com/kwMBUKKiXEDokEP0LsuY7UGRJbO3o7r-3qveepIqcbYeLiRa16LGBfxqpjrzsSgDwnm1aiV2KPiudUzwyJGvILNnVTpAotRs3reHJFdO2N5Fuqx6ovjF6cfg8WI8VgJSoo1-IKrVaFgswYn5N5IhSoo)Dialogue box for choosing the server’s IP address, port, and protocol (Source – **Checkpoint**)


To weaponize, an attacker sets up a server on port 80, puts its IP in the server alias field, and sends the file to the victim.


The attacker-controlled server can execute an NTLM relay attack if the victim opens the file and clicks the table. While getting the victim to open and click is challenging, MS-Access macros could automate it.


Security features like protected view don’t apply to simple MS-Access macros, potentially exposing users to risks.


Microsoft Access is an OLE linking server on Windows, enabling other apps to request object handling. It functions like embedding an image in [MS Word](https://cybersecuritynews.com/charming-kitten-powershell-backdoor/), where MS Paint processes it for display. 


Similarly, a .accdb file in MS Word acts as an auto-downloadable OLE object, handled by MS Access via port 80/tcp.


**Mitigations**
---------------


Here below, we have mentioned all the mitigations recommended by the researchers:-


* Opt for a “content-aware” firewall—it goes beyond destination port checks, incorporating packet inspection for enhanced security.
* Disable MS-Access macros or uninstall them if unnecessary for your Office suite.
* Make sure to not open the attachments received from unknown or suspicious sources.
* Always use a robust security solution for enhanced security.






## Tags:


### Autogenerated tags:
ntlm microsoft ms-access windows mitigations sql
