# Microsoft Azure Services Vulnerability Let Attackers Gain Unauthorized Access
## Orca recently conducted an investigation into several Microsoft Azure services and discovered four instances where various services were uncovered to be susceptible to a Server Side Request Forgery (SSRF) attack.
## Information:

+ Link: https://cybersecuritynews.com/?p=13016
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 18 January 2023, 11:11
+ Date scraped: 18 January 2023, 12:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhHVQiM30sqdS9QayRL1qSFWGQ8Nr9pOMZLorwiG3iqjtiUQGHvzwVe-791ZzT7DXz7KaB_H3TdREBhr8vst7JLWc0iebIpuXOFuvXJxN5TVe9IksB9YHLkI8mpgiaEw9MsP7B1z_TwBEvBhd7Hti1Ak-KTpP5NttDStW0VAcsbEMn7Qk8Uj3arQbHy0A/s16000/Microsoft%20Azure%20Services%20Vulnerability%20Let%20Attackers%20Gain%20Unauthorized%20Access.webp)


Orca recently conducted an investigation into several Microsoft Azure services and discovered four instances where various services were uncovered to be susceptible to a Server Side Request Forgery ([SSRF](https://cybersecuritynews.com/injection-attacks/)) attack.





There are two certain weaknesses present in the Azure platform that is particularly concerning because they do not require any form of authentication to access or exploit.


This means that an attacker does not need to have a valid account or login credentials for the [Azure platform](https://cybersecuritynews.com/chaosdb-flaw/) in order to take advantage of these vulnerabilities. 


This lack of [authentication](https://cybersecuritynews.com/authentication-and-authorization/) makes it much easier for an attacker to gain unauthorized access or perform malicious actions and increases the likelihood of a successful attack. 


The use of the word “concerning” emphasizes the severity of this security concern and highlights the need for immediate action to address these vulnerabilities.



![](https://lh5.googleusercontent.com/8eRsKuNK5CBXHrAYgilpGkJUHMK7CC49IpD-ycyZxc8VMMM5W_qApCV1oBDQqlDL502a6kPv_YCz3QNd6zrMaMbxLOnRmENzR6gxBN9gT1w1cmCLeirGGl1DHIv1L3zrL_b4qxl7vexe3iQEuVYhzKYNdqCis8s_8pXjBKd1WSwdpqA2bA5JtNzgGhAU7Q)How SSRF Works


## **Vulnerable Azure Services**


The security vulnerabilities discovered by Orca between October 8, 2022, and December 2, 2022, are in the following services:-


* Azure API Management
* Azure Functions
* Azure Machine Learning
* Azure Digital Twins


After discovering these vulnerabilities Orca promptly reported Microsoft Security Response Center (MSRC) about them. As a result, MSRC fixed the problems quickly and Microsoft confirmed that the vulnerabilities were no longer present.


Now, [Orca is making the information](https://orca.security/resources/blog/ssrf-vulnerabilities-in-four-azure-services/) about the vulnerabilities public, as they have been resolved. Below we have mentioned the general summary and the sequence of events of the vulnerabilities that were discovered in four Azure services.


![](https://lh3.googleusercontent.com/agjcaHBk4gXdKtTF2cIR-VeDtLA5tboAmnbZhY40R8AmNuImNDQqtz4m6vI0yv4-d5RNnSufusfI09aYlH9iTcRtO6SUPqbbKKVGEEwiMB88nd83OMrlMVnNTvCvOMpWSX30OxxpEahUHIKl7gY-hBdo5MmPcKofDrJqKkssKqJsh4OX02BDp1MJVR_CiQ)


#### **Mitigations**


Thankfully, the researchers’ attempts to exploit the SSRF vulnerabilities found in Azure were foiled, as Microsoft had already established various SSRF countermeasures within their cloud ecosystem, preventing access to IMDS [endpoints](https://cybersecuritynews.com/endpoint-security-tools/).


In order to neutralize potential threats, organizations are urged to follow the actions that we have mentioned below:-


* Verify all input.
* Establish that servers are designed to only permit necessary inbound and outbound communication.
* Prevent misconfigurations.
* Strictly follow the principle of least privilege (PoLP).
* Keep the cloud environment secure.






## Tags:


### Autogenerated tags:
microsoft ssrf
