# Notepad++ Input Validation Flaws Leads to uncontrolled Search Path Vulnerability
## Notepad++ has been discovered with an uncontrolled search path vulnerability which could allow threat actors.
## Information:

+ Link: https://cybersecuritynews.com/?p=52357
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 01 December 2023, 08:30
+ Date scraped: 01 December 2023, 19:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhd8dojyJXGT_aIp-3y-rTrPsT_ZER961CE-O1r0iI9lweWw64sXD-OcZzG-9knXB4sBoNbKfANMZIMKsydMjuZ4dPTgYvzlQQPBL_uBpwIn5V1AFzsgsuZGY4vNyUL-kIYBiFjf7nRQ1Afx_91zBpy8Y4vdZtd2tPAgX1ywmcFuacRTZPFeF5aHVsO4_gH/s1600/Notepad++%20Input%20Validation%20Flaw(1)-1.webp)


Notepad++ has been discovered with an uncontrolled search path vulnerability, which could allow threat actors to search an untrusted search path. This vulnerability has been disclosed to Notepad++, and a patch has yet to be provided.


Notepad++ is a simple text editor for Windows with many more capabilities and can be used to open or edit code files written in other programming languages. Multiple vulnerabilities in Notepad++ were previously [reported](https://cybersecuritynews.com/multiple-notepad-flaw/) in August 2023.


**CVE-2023-6401: Uncontrolled Search Path in Notepad++**
--------------------------------------------------------


This vulnerability exists in an unknown functionality of the file dbghelp.exe, which a threat actor can manipulate to search an untrusted path.


This vulnerability has been categorized under “Hijack Execution Flow” by the MITRE framework.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


Notepad++ utilizes a predetermined search path to locate its resources. However, this search path can be exploited by threat actors to compromise the Confidentiality, Integrity, and Availability [(CIA) triad](https://gbhackers.com/blind-spot-bermuda-triangle/) of the system.


Attackers can target one or more locations in the specified path and gain unauthorized access to the resources.


Products affected by this vulnerability include Notepad++ versions before 8.1.


Notepad++ is yet to publish a fix and a security advisory for this report.


There has been no evidence of exploitation of this vulnerability by threat actors. The severity for this vulnerability has been given as 5.3 (**Medium**) by VulDB. 


No other additional information about this vulnerability has been reported, nor has a publicly available exploit been found.


To know more about this vulnerability, VulDB has [published](https://vuldb.com/?id.246421) a report providing additional information.





## Tags:
***CVE's***: CVE-2023-6401

### Autogenerated tags:
notepad++
