# Okta to Acquire Spera Security
## Okta, the leading Identity, and Access Management (IAM) provider has announced its acquisition of Spera Security, a rising star.
## Information:

+ Link: https://cybersecuritynews.com/?p=53121
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 20 December 2023, 12:54
+ Date scraped: 20 December 2023, 13:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgQAHpjaKK4AB6LgAzje10lj-mDCEmqnc_kQSVTyWgcI8y19tI1i0dLtj1rE-pxTCwPWSctrDE8hOelP5ctbNJfXB2X_BY6ats5NExhAdzdzC9K4Iyupj9n7y0tlwCtnUBh87X5J9gogi_DYSbSbTsdr1Cr48WToCIv6mpZzc2iJa9yi9pNZhLu4oFyHgNw/s1600/Okta%20to%20Acquire%20Spera%20Security%20.webp)


In a landmark move, [Okta](https://cybersecuritynews.com/okta-hack-customer-data/), the leading [Identity and Access Manag](https://cybersecuritynews.com/iam/)ement (IAM) provider has announced its acquisition of Spera Security, a rising star in the Identity security space. 


Spera Security plays a strategic role in enhancing organizations’ cybersecurity defenses.


The [company focuses](https://www.okta.com/blog/2023/12/okta-acquisition-advances-identity-powered-security/) on unveiling threats beyond Identity Providers’ (IdPs) walls, offering insights into vulnerabilities within SaaS and infrastructure applications, including platforms like AWS, Salesforce, and GCP.


This strategic union promises to revolutionize the way organizations approach security, propelling them toward a more robust and comprehensive “Zero Trust” posture.


Stark statistics reveal a disconcerting reality: a staggering 86% of breaches originate from Identity-related attacks.


Phishing, credential stuffing, and [social engineering](https://cybersecuritynews.com/social-engineering/) exploit the intricate web of accounts and applications, necessitating a paradigm shift in cybersecurity approaches.


Amidst the digital security desert, a beacon of hope emerges in the form of Identity Threat Detection and Response (ITDR).


Projections indicate that by 2026, 90% of organizations will integrate ITDR into their security strategies.


Central to ITDR is Secure Identity posture management, a vigilant guardian scanning Identity Providers (IdPs), applications, and infrastructure for risky accounts, misconfigurations, and access policy vulnerabilities.


**Spera Security: The Strategic Navigator in Okta’s Arsenal**
-------------------------------------------------------------


From the vibrant city of Tel Aviv, Israel, Spera Security joins forces with Okta, armed with expertise in security posture and attack surface management.


This shrewd navigator enhances Okta’s capabilities by:


* **Unveiling Threats Beyond the IdP Walls:** Spera Security’s scrutiny extends to SaaS and infrastructure apps, exposing vulnerabilities in AWS, Salesforce, GCP, and beyond.
* **Compliance Compass:** Guiding Through the Regulatory Maze: Beyond mere threat detection, Spera Security prioritizes security issues based on industry standards and regulations, providing a compass for navigating compliance complexities.
* **Broader ITDR Horizons:** Okta’s ITDR capabilities evolve with Spera Security, ensuring a comprehensive gaze over Identity infrastructure and connected apps.


Proactive suggestions fortify defenses against potential threats.


In an era where organizations navigate the expanding attack surfaces of SaaS and cloud environments, Okta and Spera Security stand as unwavering lighthouses.


Their alliance offers comprehensive visibility and relentless threat monitoring, akin to guiding organizations through the tempest of a cyber hurricane.


Beyond technology, this alliance is a commitment to empower users with knowledge and tools to navigate the ever-changing digital landscape.


Okta extends a warm welcome to the Spera Security team, and together, they embark on charting a course toward a more secure future for all.





## Tags:


### Autogenerated tags:
spera itdr saas
