# Over 130,000 Solar Panel Installations Exposed Online
## Reports indicate that there are over 130,000 PV monitoring and diagnostic systems exposed over the internet, which is a wide attacking surface for threat actors.
## Information:

+ Link: https://cybersecuritynews.com/?p=25440
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 05 July 2023, 17:05
+ Date scraped: 05 July 2023, 18:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjfCTkiJQP-QmZyvTSu0VBNkQi4f2EZ3qkOFL0uWSwYgS-qspIXovRLrPDvIycCJU2IMUNlRfReRp0Imd_p3uuWnj_vdls1NfbYyB6gTnSxcyLNGQmRG3FgDGBUeiHxixR76ztwKThHGNJvQncG4Q4LCvlacTZQcYasRIkbHHJ5Iemq3CFID3MFbLo5Gw0B/s16000/Internet%20Exposed%20PV%20Systems.webp)


Based on recent reports from Cyble, there has been a large attack vector for threat actors in the Solar industry’s PV (Photo-Voltaic) diagnostic and monitoring systems.


These systems are used to measure efficiency, detect faults, and optimize overall operations.


The research also mentioned that these systems are exposed over the internet, making them a prime target for threat actors.


These Distributed Energy Resources (DERs) are used to monitor and provide access to energy grids, remotely troubleshoot these systems, and many others.


## **Internet-Facing PV Monitoring and Diagnostic Systems**


As these systems play a major role in the energy sector, securing these systems requires a high priority.


If threat actors target vulnerable PV monitoring systems, it can affect multiple energy-based entities and organizations.


![](https://lh6.googleusercontent.com/zswkVi2j-ghl8Tfvcg177rS4ae41P3tESXpci4MYCzNzheFmoiMIG_sLa9s_lOPFkrajQtTHWFFk40YL80XM7sdsHKj07gxcH7DT8vWmehEhjMJRGqDEpF2UKcHB_RM-_RTfNaEd_Gi7SbS13GuM4Xg)*Internet Exposed PV Systems*


Reports indicate that there are over 130,000 PV monitoring and diagnostic systems exposed over the internet, which is a wide attacking surface for threat actors.


In addition to [spear-phishing](https://cybersecuritynews.com/phishing-attack-prevention-checklist/), Denial of Service (DoS), and physical damage to the assets, threat actors can also target PV inverter controls that can inflict great damage.


## **Types of Vulnerabilities in the Systems**


The Vulnerabilities in the PV industry include


* Outdated firmware
* Public exposure of sensitive information
* Poor access control
* Improper Network segmentation
* Unsecured Communication
* Default passwords



![](https://lh5.googleusercontent.com/AUJSXkHWZ9GCrqx9M60EDhzKwKpgYeWZhvRT2Sb_zxSLbXOY-vIsbVc3iISiBcZRDO1ZaM5X_zxsrmylYwgsEd0Fl-_bqG3OqRUtBWls35WZSq5WcynX_qwRqxR9abyMlQtcVWyoeqFfqzfKXRnxJmk)*Information on a PV monitoring system publicly exposed*



![](https://lh4.googleusercontent.com/zyvKrkGMg29S2NYD2JfmWGnm2pIaJC49kL8WeUFN7fCHYsTBf_B0xUVWA19KHy33Mf_ZTZ3dbI7HOgCOYcbENIsXEPoSQ_9bSYcZVGo2RU3Wnt9f8fehsQqR_SDHqdk8YfLuBHpQlgfTY2PfJXoyYEY)*Network Information of PV system Publicly exposed*


These kinds of security misconfigurations and lack of security in these systems are actively being exploited in other sectors like Financial, Education, etc.


Furthermore, bypassing the authorization protocol of these systems is becoming easy for threat actors.


## **Impact on Energy Sector**


The energy sector is one of the most crucial sectors in a country which is connected with several other sectors, including the Military and Intelligence. Targeting this sector will impact beyond the sector.


The largest impacts it can lead to include reduced energy production, energy supply and demand imbalance, EV vehicles disruption, charging infrastructure and mobility services disruption and can also lead to economic impacts with downtime in businesses resulting in financial losses.


As the energy crisis is on the rise, it is recommended for organizations in the energy sector to stay secure from threat actors and patch and upgrade all the systems. Cyble has [published](https://blog.cyble.com/2023/07/05/security-gaps-in-green-energy-sector/) a complete report on how PVs are targeted.






## Tags:


### Autogenerated tags:
pv
