# S3crets Scanner - New Tool to Scan and Secure Public AWS S3 Buckets
## The information that is stored accidentally in AWS S3 or public storage buckets that are exposed publicly could now be accessed by security researchers and red team members with the help of a new open-source scanner tool, called S3crets Scanner.
## Information:

+ Link: https://cybersecuritynews.com/?p=11012
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 31 October 2022, 13:27
+ Date scraped: 06 November 2022, 15:03

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh2EvVIQcuhRaq0DJnJmHZfg_DV33fTYgGVFT89aisEUH7C0zUDFq9WfFC1DdYE-vQwtZsFF1DV56amoaNp9Mcgm9U81wVZZMS1GD-opkOTuE-c_vA6yMG-KwNX403eFkRRd1MuekTU2XxIj3pTrywf9MM8jI6wYEqRHQg64-mIaVDucraD0rL2lkQHFg/s16000/S3crets%20Scanner%20-%20New%20Tool%20to%20Scan%20and%20Secure%20Public%20AWS%20S3%20Buckets.png)

The information that is stored accidentally in AWS S3 or public storage buckets that are exposed publicly could now be accessed by security researchers and red team members with the help of a new [open-source scanner](https://cybersecuritynews.com/infrastructure-as-code/) tool, called S3crets Scanner.

 AWS S3 is an Amazon cloud storage service that permits companies to store several key elements like their data, tools, and services in containers.

The containers that are provided by Amazon S3 are referred to as buckets, and they are made available to specific groups by the companies.

Companies, however, are not always fortunate when it comes to the security of their buckets. In short, sometimes they fail to adequately secure them and as a result, they become publicly accessible. Due to this, all these buckets expose their essential data to the public.

## **Data Exposure**

In the past, such silly misconfigurations have led to [extensive data breaches](https://cybersecuritynews.com/aws-security-tools/). The following information is some of the data that may be accessed by threat actors in breaches like this:-

* Employee details
* Customer details
* Saved backups
* Other essential data

Moreover, the AWS S3 buckets can also contain ‘secrets’ in source code or configuration files, such as:-

* Authentication keys
* Access tokens
* API keys
* Private keys

Exposure of these essential data could lead the threat actors to exploit more extensive and critical resources of the company.

As far as file exposure is concerned, there are two types of permissions and here they are:-

* Public
* Objects can be public

### **Identifying secrets in S3**

Cybersecurity researcher, Eilon Harel has recently developed an automated open-source scanner tool, “S3crets Scanner” that was released on [GitHub](https://github.com/Eilonh/s3crets_scanner), and this tool is based on Python programming language.

![](https://lh4.googleusercontent.com/2n8vsFYbeXAjLaf7npaHZOV_R9XZIS0a5-hmIMYmGFMtgZ8fkRq0qPPV20-81yBOvpQeN_IH9LVD5Wj_nd4OUSuY6-IVijOa_JEp1X_LS8102F25fDJLuLsqJyJRyqHb3ycw-D5zZyvnFTzCAAO_5SO9lkiHkBpHE4wiTKpB8UvLlzq6CCKZiOm4vw)

Here in the below image, you can see all the auto action capabilities of S3crets Scanner:-

![](https://lh4.googleusercontent.com/q1SciiY8TJD8p46ROOQSNuMw9rXhBu5tMKf61BZa080jOOVs5ioGvoB5CM4TD4s4aLPd7U8JM10BSH8jgGIfGbGZ06OBn5EponJH7xcLLbWpvKxC2nSf1Dwvp6YIhIwSS99Y9JREcnFKe04Un0P1TJwHxrp3m28KxXfpAaGpph-ZWixvrRWW3uaxEw)

Below we have listed all the S3 bucket configurations that are set to false since this automated scanner only selects the S3 buckets consisting of these configurations:-

* BlockPublicAcls
* BlockPublicPolicy
* IgnorePublicAcls
* RestrictPublicBuckets

The Trufflehog3 tool is used by the script to inspect the content of text files inside a bucket during the scanning process. Trufflehog3 is an enhanced version of the secrets scanner tool and this version of the tool is completely based on the Go programming language.

This enhanced version of the tool has the capability to scan the credentials and private keys on the following platforms:-

* GitHub
* GitLab
* Filesystems
* S3 buckets

In Trufflehog3 a set of custom rules are used to scan the files that have been downloaded by S3crets. These rules target the following things:-

* PII exposure
* Internal access tokens

Moreover, it is believed that this “S3crets Scanner” tool may be helpful to firms in preventing their probabilities of losing data or having their networks compromised.




## Tags:


### Autogenerated tags:
s3 s3crets aws trufflehog3
