# WP Fastest Cache Plugin Exposes Over 600K+ WordPress Sites to SQL Injection Attacks
## In a recent development, the WPScan team has unearthed a significant security flaw within the widely-used WP Fastest Cache plugin.
## Information:

+ Link: https://cybersecuritynews.com/?p=50339
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 15 November 2023, 13:50
+ Date scraped: 15 November 2023, 15:05

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuq35rfzb9ePQacQYAs8IqvJe6rDrMkzHl7V5VI_3OasDbsebfDXJKvNd9o7k0gZFeLS-lY8Mv7f9jIwuYYfsL67bWrTf9h-JVvYAflL703F8dOZbcTqvZXvLy9MQSl1T-kM30hLJSGgzZwP5laWpVawF0mkjAuOWX1Y0iFXLMFnnIIxnXfCWhZs3NopTB/s1600/6%20Lakh%20WordPress%20Sites%20Open%20to%20Attack-1.webp)


In a recent development, the WPScan team has unearthed a significant security flaw within the widely-used WP Fastest Cache plugin.


This vulnerability, categorized as an unauthenticated [SQL injection](https://cybersecuritynews.com/what-is-sql-injection-and-how-can-you-protect-your-business-from-it/), could potentially grant unauthorized access to sensitive data in the WordPress database.


The vulnerability, identified as [CVE-2023-6063](https://github.com/rapid7/metasploit-framework/issues/18534), affects versions of WP Fastest Cache lower than 1.2.2. 


Upon making this [discovery](https://wpscan.com/blog/unauthenticated-sql-injection-vulnerability-addressed-in-wp-fastest-cache-1-2-2/) during an internal review, the team at WPScan acted swiftly to inform the plugin’s development team. 


In response, the developers promptly released version 1.2.2 to address and rectify the issue.


**Examining the vulnerability**
-------------------------------


The crux of the vulnerability lies in the is\_user\_admin function of the WpFastestCacheCreateCache class, which is susceptible to SQL injection.


This function is invoked from the createCache function, presenting a potential entry point for malicious actors.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


Notably, the vulnerability is aggravated by the fact that the function is executed at plugin load time before the application’s data is sanitized by wp\_magic\_quotes().


To exploit this vulnerability, an unauthenticated attacker could manipulate the $username variable, obtained from a specific cookie, to inject a time-based blind SQL payload.


This could, in turn, lead to the extraction of sensitive information from the [WordPress database](https://cybersecuritynews.com/wordpress-malware-as-cache-plugin/).


**Mitigation**
--------------


Administrators utilizing WP Fastest Cache must take immediate action by updating their installations to version 1.2.2.


This update serves as a crucial safeguard against potential exploitation of the identified vulnerability.


WPScan plans to publish an entry on Nov. 27, 2023, for further details and proof-of-concept illustrating this security concern.


Website administrators and users alike are advised to stay vigilant and informed about the latest security updates to ensure the integrity and security of their WordPress installations.






## Tags:
***CVE's***: CVE-2023-6063

### Autogenerated tags:
wpscan wp plugin sql wordpress
