# Google Cloud gets GenAI creating cybersecurity powerhouse
## Google is integrating generative AI into the Google Cloud to assist users across its various products and platforms – including its new Gemini-driven security platform.
## Information:

+ Link: https://cybernews.com/security/google-cloud-gemini-genai-ai-powered-security/
+ Source: CyberNews
+ Author: 
Stefanie Schappert

+ Date published: 10 April 2024, 05:19
+ Date scraped: 10 April 2024, 12:09

## Article:
![Main article image](https://media.cybernews.com/images/featured-big/2024/04/Googleaichip1.jpg)


***Google has announced that it's integrating generative AI into the Google Cloud to assist users across its various products and platforms – including its new Gemini-driven security platform.***


Alphabet’s Google announced a slew of innovative AI integrations as a lead up to its 2024 Google Next event held in Las Vegas until April 11th.


But, Palo Alto Networks and Google Cloud kept it strictly cybersecurity in a press release highlighting their ten figure, multi-year security driven partnership Tuesday.




The jointly built Palo Alto and Google AI-powered security platform will combine Google Cloud’s secure-by-design architecture and Palo Alto Networks' end-to-end security solutions, enabling a Zero Trust Network posture in the cloud, the companies said.


"As the threat landscape intensifies, organizations are betting on AI-powered platformization to protect their most valuable assets," said Nikesh Arora, President and CEO of Palo Alto Networks.


Google’s AI-generative large language model (LLM) Gemini Pro 1.5 will join Cloud bringing with it, the foundation model’s advanced reasoning and multi-modal processing skills.


Gemini will provide AI assistance to “help users work and code more efficiently, manage their applications, gain deeper data insights, identify and resolve security threats,” Google stated in a blog post on Tuesday.





AI-powered security platforms can automate and consolidate multiple security solutions, while delivering near-real-time security resolutions, the companies said.


Joseph Thacker, principal AI engineer and security researcher at SaaS security firm AppOmni, believes the integration of Gemini GenAI into Google Cloud's security services could be a great feature for security professionals.


“If it's built well, and they can leverage insights and recommendations from the AI systems, security professionals could significantly improve their response times and overall effectiveness in detecting and mitigating threats,” Thacker said.




#### Gemini in Security

The two main components of the AI capable security platform are called Gemini in Threat Intelligence and Gemini in Security Operations.


Now in public preview, Gemini-powered threat intelligence can convey “deep insight about threat actor behavior within seconds,” tapping into the Mandiant intel repository, Google said.


Other AI features that are expected to help threat researchers be more efficient include automating web crawling for relevant Open-Source Intelligence (OSINT) articles, ingesting information, and providing concise summaries of materials.


Gemini will also be able to “analyze much larger samples of potentially malicious code.” Using VirusTotal Code Insight, “Gemini will be able to analyze and explain the behavior of potentially malicious code without needing to reverse engineer scripts.”





Additionally in public preview is the Gemini Security Command Center.


The AI-powered investigation feature uses conversational chat to summarize critical and high-priority alerts for misconfigurations and vulnerabilities and recommend actions to plug potential exploits using simulated attack paths.


The AI capabilities are expected to improve every stage of the security lifecycle, a plus for security teams to help them proactively mitigate risk.


Being able to “use natural language to search capabilities across threat intelligence sources and summarize a lot of data quickly will help empower security professionals to make more informed decisions faster,” Thacker said.




Google said the AI assisted security features will also help cyber teams to reduce repetitive tasks and make it easier to investigate and respond to a cyber incident.


Thacker also pointed out that the importance of SaaS security cannot be overstated in AI implementations.


“Most all AI implementations today have SaaS architecture. It wouldn't surprise me if there were some prompt injection and even SaaS deployment related issues in these new features,” he said.








---







## Tags:


### Autogenerated tags:
google cloud palo ai-powered saas
