# CISA can’t definitively say if ransomware is getting better or worse
## Organizations can be unwilling to notify government officials when ransomware intrusions occur, but that simple act might prevent the next attack.
## Information:

+ Link: https://www.cybersecuritydive.com/news/CISA-ransomware-measurement/631941/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 15 September 2022, 00:00
+ Date scraped: 19 September 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/R7pCh3bM0YLhgWjyD087TYMpzP_JLaZr2Qu7JAurSX4/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0NJU0FfaGVhZGVyLmpwZw.jpg)


Measuring the ups and downs of ransomware activity remains a difficult task for the U.S. government because so many victims decline to acknowledge when attacks occur.


Making determinations about whether ransomware is getting better or worse “is an extraordinarily hard question for any of us to answer because we know that the rate of reporting of ransomware intrusions, or cyber incidents generally, is far below the actual prevalence of these events,” Eric Goldstein, executive assistant director at the Cybersecurity and Infrastructure Security Agency, said Wednesday during Rubrik’s virtual Data Security Summit.


This lack of forthrightness from organizations that have been hit by ransomware is one of the primary reasons[Congress passed legislation in March](https://www.cybersecuritydive.com/news/congress-cyber-incident-reporting-legislation/620261/)that requires critical infrastructure providers and federal agencies to promptly report cyberattacks and ransomware payments to CISA.


The provision[mandates critical providers notify CISA](https://www.cybersecuritydive.com/news/incident-reporting-critical-infrastructure-providers/620400/)within 72 hours of a major cyberattack or 24 hours of a ransom payment. Goldstein lauded the development but noted the industry shouldn’t wait for finalization of those rules to increase the rate of incident reporting to CISA and the FBI.


“If CISA and our partners in government don’t know about a victim, we can’t offer help with eviction, with mediation, with recovery,” Goldstein said. “We also can’t glean technical information that we can then share broadly to help protect others from common ransomware strains.”


While CISA and cybersecurity professionals know common controls, such as multifactor authentication and consistent vulnerability patching can help prevent ransomware intrusions or other attacks, confidence in the effectiveness of those measures is directly tied to the sample set available to government officials.


“Our guidance is inherently based upon incomplete data,” Goldstein said.


CISA wants every victim to report cyber intrusions to the government so it can provide timely and actionable guidance tailored to how adversaries are breaking into organizations’ networks, he said.


### **Ransomware gangs feast on vulnerabilities**


Ransomware persists because the attack surface and install base is so vulnerable. Threat actors figured out how to extract value from these vulnerabilities and many cybercriminals operate from safe havens, sometimes with implicit support from nation states, Chris Krebs, a founding partner at[Krebs Stamos Group](https://www.cybersecuritydive.com/news/chris-krebs-alex-stamos-solarwinds-breach-consultants-cybersecurity/593040/), said on the panel.


“You’re seeing it just spread throughout the world because it pays – there’s a profit motive here,” said Krebs, the[former founding director](https://www.cybersecuritydive.com/news/chris-krebs-cisa-election-security/588978/)of CISA.


Officials need to disrupt the flow of money and narrow the attack surface before the rate and threat of ransomware dissipates, he said.



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


 var siteName = 'Cybersecurity Dive' || null;
 if (siteName) {
 setupFormCallbackAndCreateFormIfSub(siteName, 'inline');
 }
 
 .subscriber-demographics-form {
 width: 100%;
 }
 
The FBI and Departments of Justice and Treasury are targeting[cryptocurrency exchanges](https://www.cybersecuritydive.com/news/blockchain-tornado-cash-sanctions/629331/)to interfere with cybercriminals’ ability to make money. Government officials are also influencing the command and control infrastructure of ransomware groups, sowing doubt and distrust among affiliates in a bid to splinter or effectively end their ability to operate in a collaborative manner, Krebs said.


The pool of potential ransomware victims in the U.S. is vast and threat actors are opportunistically targeting known weaknesses, misconfigurations and vulnerabilities, but there are means to drive down risk, according to Goldstein.


CISA’s[Known Exploited Vulnerabilities Catalog](https://www.cisa.gov/known-exploited-vulnerabilities-catalog)serves an important role in that effort because it highlights the vulnerabilities adversaries are actively using and helps organizations prioritize cyber resources accordingly, Goldstein said.


“With that, organizations that might be running in an environment with hundreds or even thousands of vulnerabilities across their network, which[of course is not uncommon](https://www.cybersecuritydive.com/news/vulnerabilities-patches-burnout/628123/), can figure out what [they] need to fix today to actually block the attacks that adversaries are undertaking,” he said.


Phishing-resistant forms of multifactor authentication can also drive down whole categories of attacks, Goldstein said. “Although the target space is broad and the range of vulnerabilities is wide, there are steps that any company can take to drive down their risk.”





## Tags:


### Autogenerated tags:
ransomware goldstein cisa cybersecurity
