# Feds release grim reminder: Threat actors prey on basic security mishaps
## Federal authorities and U.S. allies admonished companies to tighten weak controls and configurations.
## Information:

+ Link: https://www.cybersecuritydive.com/news/feds-threat-actors-prey-security-mishaps/624135/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 19 May 2022, 22:00
+ Date scraped: 26 May 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/WSk1jS0ZitcKnqSH23CdmHoRjSJ1GUvtwkFyMe6fHyE/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEwNTUwODMxOTRfNjBBTW56aS5qcGc.jpg)


### Dive Brief:


* Organizations must tighten up security controls to prevent adversaries from gaining initial access to poorly protected IT systems, according to a [joint advisory](https://www.cisa.gov/uscert/ncas/alerts/aa22-137a) issued by federal authorities and cybersecurity partners from the Five Eyes countries.
* The National Security Agency, FBI and Cybersecurity and Infrastructure Security Agency said malicious threat actors commonly take advantage of incorrect access privileges, unenforced multi-factor authentication (MFA) or unpatched software during the initial phase of an attack.
* “No need for fancy [zero]-days when these weak controls and misconfigurations allow [adversaries] access,” Rob Joyce, director of cybersecurity at the NSA, [said on Twitter earlier this week](https://twitter.com/NSA_CSDirector/status/1526559871595859969?ref_src=twsrc%5Etfw%7Ctwcamp%5Etweetembed%7Ctwterm%5E1526559871595859969%7Ctwgr%5E%7Ctwcon%5Es1_c10&ref_url=https%3A%2F%2Fpublish.twitter.com%2F%3Fquery%3Dhttps3A2F2Ftwitter.com2FNSA_CSDirector2Fstatus2F1526559871595859969widget%3DTweet).


### Dive Insight:


The joint advisory with the U.K., Canada, Australia and New Zealand, serves as a reminder for international companies to strengthen their usual cybersecurity practices at a time when nation-state and criminal actors are actively looking for private sector and government targets.


Officials declined to comment on the timing of the advisory, but threat actors sympathetic to Russia and sophisticated state-linked actors have [targeted U.S. and NATO allies](https://www.cybersecuritydive.com/news/viasat-cyber-russia-satellite/623560/) since the beginning of the Ukraine war. The threat actors target key industrial sectors as well as government agencies and nonprofit groups doing humanitarian work. 


Researchers from Mandiant said the advisory is not just related to concerns about industrial control systems; industrial attacks usually begin against corporate IT systems and cross over into operational technology (OT). The [2021 ransomware attack against Colonial Pipeline](https://www.cybersecuritydive.com/news/post-colonial-pipeline-attack/623859/) began as an attack on the company’s IT system, but the company shut down its OT system as a precaution.


Gartner Research VP Peter Firstbrook estimates that about 40% of breaches are caused by “well known misconfiguration of common control,” he told Cybersecurity Dive via email. 


“Both advanced persistent threats (APTs) and common off-the-shelf malware exploit these configuration mistakes to compromise their victims,” Firstbrook said. 


Malicious actors are exploiting weak security practices and protocols to get into IT systems, according to the advisory. Companies are leaving their computer systems exposed to the internet in many cases. Other companies are failing to enforce MFA, use vendor-supplied default settings or continue to run outdated software.


Many companies are still operating with large percentages of remote workers and threat actors are taking advantage of poorly secured remote access software or virtual private networks that are vulnerable to sophisticated attacks.





## Tags:


### Autogenerated tags:
cybersecurity
