# How attackers are breaking into organizations
## Threat actors lean heavily on phishing attacks, vulnerabilities in software and containers, and stolen credentials, according to top cyber vendor research.
## Information:

+ Link: https://www.cybersecuritydive.com/news/how-attackers-break-organizations/629686/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 14 August 2022, 22:00
+ Date scraped: 18 August 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/hnTyCEQ1O-lXzcEkNCN5phjM-i1qhQj7kSq0K-teHVc/crop:5197:2809/g:nowe:0:1001/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzNzAyMzMzMjAuanBn.jpg)


Threat actors are constantly on the lookout for new or more susceptible pathways to break in and gain access to an organization’s data or network.


While most points of intrusion are well known by cybersecurity professionals, they remain naggingly persistent. Phishing attacks, business email compromise, known software vulnerabilities and stolen or compromised credentials remain the most widespread initial vectors by which attackers gain access, according to research from IBM Security, Palo Alto Networks and VMware.


However, other means of attack are also on the rise.


Application protocol interfaces, which allows software from multiple vendors or developers to connect and communicate with each other, represent the next frontier for attackers, according to[VMware’s Global Incident Response Threat Report](https://www.vmware.com/content/dam/learn/en/amer/fy23/pdf/1553238_Global_Incident_Response_Threat_Report_Weathering_The_Storm.pdf). VMware released the research during Black Hat USA in Las Vegas last week.


Nearly one-quarter of all attacks compromise API security, the company’s annual survey of 125 cybersecurity and incident response professionals found. API attacks take many forms, but the top types include data exposure, SQL and API injections, and distributed denial-of-service, according to VMware.


Malicious insider attacks represent another emerging and growing threat with 41% of respondents encountering such attacks during the last year, the report said.


These findings further support conclusions drawn by[IBM Security’s research on data breaches](https://www.cybersecuritydive.com/news/data-breach-costs-ibm-security/628443/)and[Palo Alto Networks’ Unit 42’s research](https://www.cybersecuritydive.com/news/ransomware-email-cyberattacks-unit42/628551/)on incident response.


IBM categorized data breaches into 10 initial attack vectors. Stolen or compromised credentials were the most-common initial attack vector in 2022, accounting for nearly one in five data breaches studied.


Data breaches were also caused by phishing attacks, cloud misconfigurations and vulnerabilities in third-party software, the[IBM Security report](https://www.ibm.com/security/data-breach)said.


Software vulnerabilities accounted for nearly half of all cases of initial access used by threat actors to deploy ransomware during the last year, according to[Unit 42’s report](https://unit42.paloaltonetworks.com/incident-response-report/).


Exploits of vulnerabilities in containers, a widely adopted cloud-native technology, also increased during the last year, according to VMware. Three-quarters of respondents said they encountered container vulnerability exploits compared to two-thirds in 2021, the report said.



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


 var siteName = 'Cybersecurity Dive' || null;
 if (siteName) {
 setupFormCallbackAndCreateFormIfSub(siteName, 'inline');
 }
 
 .subscriber-demographics-form {
 width: 100%;
 }
 
Many of these attacks also carry a ransomware component. Almost 60% of respondents told VMware their organization experienced a ransomware attack during the last year, and two-thirds encountered affiliate programs or partnerships between ransomware groups.





## Tags:


### Autogenerated tags:
vmware ransomware cybersecurity api
