# 'HeadCrab' Malware Variants Commandeer Thousands of Servers
## New techniques in the second variant improved functionality and communication commands.
## Information:

+ Link: https://www.darkreading.com/cyberattacks-data-breaches/headcrab-malware-variants-commandeer-thousands-of-servers
+ Source: DarkReading
+ Author: Dan Raywood, Senior Editor, Dark Reading
+ Date published: 07 December 2023, 18:53
+ Date scraped: 10 December 2023, 21:09

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blta6a97ea9c29445f3/65708e7350e45a040a54ab79/headcrab_aqua_Dan_Raywood_Black_Hat.jpg?disable=upscale&width=1200&height=630&fit=crop)

BLACK HAT EUROPE 2023 — London — The HeadCrab malware, which adds infected devices to a botnet for use in cryptomining and other attacks, has resurfaced with a shiny new variant that allows root access to Redis open source servers.

Researchers from Aqua Security said the second variant of cryptomining malware has infected 1,100 servers; the[first variant](https://blog.aquasec.com/headcrab-attacks-servers-worldwide-with-novel-state-of-art-redis-malware)had already infected at least 1,200 servers.

The Root to Redis?
------------------

Security researcher Asaf Eitani, who is part of Team Nautilus, Aqua Security's research team, tells Dark Reading that while HeadCrab is not a traditional rootkit, the creator of the malware has added the ability for it to control a function and send a response.

"Basically, that's a rootkit behavior in the sense that he controls all the responses for those places," Eitani says. "So he can just modify the response and become invisible."

Eitani adds, "The tradition of the term[rootkit](https://www.malwarebytes.com/rootkit)is malware that has root access and controls everything, but in this sense you are able to control what the user sees."

Second Variant
--------------

The new variant comes with minor updates that allow an attacker to better hide their actions by removing custom commands and adding encryption to the command and control infrastructure.

"[We believe] he is still modifying it, and we expect to find a newer version of this malware and to see the way the way that he reacts to our publication [of further details]," Eitani says. "He has not given up."

Details of both variants were shared today in a[presentation](https://www.blackhat.com/eu-23/briefings/schedule/index.html#rediscovering-headcrab---a-technical-analysis-of-a-novel-malware-and-the-mind-behind-it-34310)by Eitani and his colleague, senior data analyst Nitzan Yaakov.

Talking Back
------------

A particularly unique element of HeadCrab is a "mini blog" inside the malware, where the malware's author wrote technical details of the malware and left a Proton Mail email address to remain anonymous.

Aqua Security researchers used the email to contact the HeadCrab creator — who went by the code name Ice9 — but were unable to determine his name or location. However, Ice9 told the researchers that they were the first people to email him.

In email conversations with the researchers, Ice9 said the malware does not reduce server performance, and can remove other malware infections. He also sent the researchers a hash of the malware so they could inspect it.

After detecting the second variant, a new message in the mini blog from Ice9 praised the work the Aqua researchers did. "He also mentioned some technical details that we missed from the first version, and the last note was regarding technicalities in the new version and how he got rid of the custom commands," Eitani says.

Ice9 is the only user of HeadCrab, and solely in control of the command and control infrastructure, Eitani notes.

Taking Control
--------------

HeadCrab infects a Redis server when the attacker uses the[SLAVEOF](https://redis.io/commands/slaveof/)command, downloads a malicious module, and runs two new files: a[cryptominer](https://www.darkreading.com/cloud-security/cryptojacking-freejacking-compromise-cloud-infrastructure)and a configuration file. The process includes a command that allows administrators to designate a server within a Redis Cluster as a "slave" to another "master" server within the cluster, according to the researchers.

The researchers recommended that organizations scan for vulnerabilities and misconfigurations in their servers, and use protected mode in Redis to reduce the chance for infection from HeadCrab.




## Tags:


### Autogenerated tags:
malware eitani headcrab redis ice9
