# NSA and CISA Red and Blue Teams Share Top Ten Cybersecurity Misconfigurations
## Alert Code AA23-278A EXECUTIVE SUMMARY The National Security Agency (NSA) and Cybersecurity and Infrastructure Security Agency (CISA) are releasing this joint...
## Information:

+ Link: https://www.databreaches.net/nsa-and-cisa-red-and-blue-teams-share-top-ten-cybersecurity-misconfigurations/
+ Source: DataBreaches
+ Author: Dissent
+ Date published: 06 October 2023, 07:54
+ Date scraped: 11 December 2023, 12:05

## Article:
![Main article image](https://www.databreaches.net/wp-content/uploads/whatsyourexcuse-2.jpg)



> Alert Code AA23-278A
> 
> 
> ### **EXECUTIVE SUMMARY**
> 
> 
> The National Security Agency (NSA) and Cybersecurity and Infrastructure Security Agency (CISA) are releasing this joint cybersecurity advisory (CSA) to highlight the most common cybersecurity misconfigurations in large organizations, and detail the tactics, techniques, and procedures (TTPs) actors use to exploit these misconfigurations.
> 
> 
> Through NSA and CISA Red and Blue team assessments, as well as through the activities of NSA and CISA Hunt and Incident Response teams, the agencies identified the following 10 most common network misconfigurations:
> 
> 
> 1. Default configurations of software and applications
> 2. Improper separation of user/administrator privilege
> 3. Insufficient internal network monitoring
> 4. Lack of network segmentation
> 5. Poor patch management
> 6. Bypass of system access controls
> 7. Weak or misconfigured multifactor authentication (MFA) methods
> 8. Insufficient access control lists (ACLs) on network shares and services
> 9. Poor credential hygiene
> 10. Unrestricted code execution
> 
> 
> These misconfigurations illustrate (1) a trend of systemic weaknesses in many large organizations, including those with mature cyber postures, and (2) the importance of software manufacturers embracing secure-by-design principles to reduce the burden on network defenders:
> 
> 
> * Properly trained, staffed, and funded network security teams can implement the known mitigations for these weaknesses.
> * Software manufacturers must reduce the prevalence of these misconfigurations—thus strengthening the security posture for customers—by incorporating [secure-by-design and -default principles](https://www.cisa.gov/securebydesign) and tactics into their software development practices.[1]
> 
> 
> NSA and CISA encourage network defenders to implement the recommendations found within the [Mitigations](https://www.cisa.gov/news-events/cybersecurity-advisories/aa23-278a#_Mitigations) section of this advisory—including the following—to reduce the risk of malicious actors exploiting the identified misconfigurations.
> 
> 
> * Remove default credentials and harden configurations.
> * Disable unused services and implement access controls.
> * Update regularly and automate patching, prioritizing patching of [known exploited vulnerabilities](https://www.cisa.gov/known-exploited-vulnerabilities-catalog).[2]
> * Reduce, restrict, audit, and monitor administrative accounts and privileges.
> 
> 
> NSA and CISA urge software manufacturers to take ownership of improving security outcomes of their customers by embracing secure-by-design and-default tactics, including:
> 
> 
> * Embedding security controls into product architecture from the start of development and throughout the entire software development lifecycle (SDLC).
> * Eliminating default passwords.
> * Providing high-quality audit logs to customers at no extra charge.
> * Mandating MFA, ideally [phishing-resistant](https://www.cisa.gov/sites/default/files/publications/fact-sheet-implementing-phishing-resistant-mfa-508c.pdf), for privileged users and making MFA a default rather than opt-in feature.[3]
> 
> 
> 


Download the full PDF version of this report: [PDF, 660 KB](https://media.defense.gov/2023/Oct/05/2003314578/-1/-1/0/JOINT_CSA_TOP_TEN_MISCONFIGURATIONS_TLP-CLEAR.PDF)





## Tags:


### Autogenerated tags:
nsa cisa misconfigurations cybersecurity mfa secure-by-design
