# Critical Cybersecurity Loopholes Found in Paris 2024 Olympics Infrastructure
## The Paris 2024 Olympics, expected to attract over 1 billion viewers, are a prime target for cyber criminality due to rising online traffic.
## Information:

+ Link: https://www.hackread.com/cybersecurity-loopholes-paris-2024-olympics-infrastructure/
+ Source: HACKRead
+ Author: Deeba Ahmed
+ Date published: 06 May 2024, 13:40
+ Date scraped: 06 May 2024, 13:09

## Article:
![Main article image](https://www.hackread.com//favicon.ico)






With the 2024 Olympic Games in Paris fast approaching (Fri, 26 Jul 2024 – Sun, 11 Aug 2024), a recent cybersecurity assessment by cyber threat exposure management solutions provider, Outpost24, has raised concerns about the game’s online infrastructure.


While the overall security posture is deemed “mostly secure,” Outpost24, using its External Attack Surface Management (EASM) solution, Sweepatic, has identified critical vulnerabilities that could be exploited by malicious actors. Here’s a breakdown of the concerning findings:


### **Open Ports:**


Unsecured open ports act as gateways for hackers, allowing unauthorized access to sensitive data and internal systems.


### **SSL Misconfigurations:**


The [report](https://outpost24.com/blog/paris-olympic-games-easm-cybersecurity/) reveals that 31 domains have invalid SSL certificates, while 86 domains lack them entirely. These issues create vulnerabilities in the network, allowing attackers to intercept communications and steal information. The report highlights the need for improved SSL certificate configurations to protect against such attacks.


### **Cookie Consent Violations:**


Websites associated with the Paris 2024 Olympics may be failing to comply with data privacy regulations regarding user consent for cookie usage.


### **Domain Squatting:**


The presence of lookalike domains with malicious intent can potentially lure users into phishing scams or malware attacks.






### **Potential Dangers**


The Paris 2024 Olympics face significant threats from cyberattacks utilizing these vulnerabilities, including data breaches, operational disruptions, and reputational damage. These vulnerabilities could compromise athlete information, ticketing details, and financial data, posing privacy and security risks. Critical systems like scorekeeping, broadcasting, and access control could be targeted, leading to chaos and disruption during the Games.


The report also highlights the positive aspects of the Paris 2024 cybersecurity citing that organizers have implemented strong security measures, and their overall approach deserves recognition but careful monitoring of loopholes too.


“Even though we’d consider the Paris 2024 games as a ‘good’ example of how to manage an attack surface, it isn’t perfect (as perfection rarely exists with cybersecurity),” stated Outpost24’s EASM CSO, Stijn Vande Casteele.


The Paris 2024 Olympics, expected to attract over 1 billion viewers, are a prime target for cyber criminality due to rising online traffic. Cybercriminals would want to exploit weaknesses and steal sensitive information for financial gain, akin to the [450 million cyberattacks in 2020 Tokyo](https://group.ntt/en/newsrelease/2021/10/21/211021a.html). 


Therefore, addressing identified [vulnerabilities an](https://www.hackread.com/nist-nvd-halt-leaves-vulnerabilities-untagged/)d loopholes, patching open ports, rectifying SSL configurations, ensuring cookie consent compliance, and monitoring suspicious domain activity are crucial due to potential cyberattack consequences.










## Tags:


### Autogenerated tags:
ssl cybersecurity outpost24
