# Media Firms Twice as Exposed to Compromise
## Nearly a third have internet-facing bugs, says BlueVoyant
## Information:

+ Link: https://www.infosecurity-magazine.com/news/media-twice-vulnerable-crosssector/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 23 August 2022, 08:50
+ Date scraped: 23 August 2022, 11:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/d4397bf4-bbb8-4cc6-8e9f-a3115068792a.png)

The percentage of media companies susceptible to compromise is double the figure across all other sectors, according to a new study from [BlueVoyant](https://www.bluevoyant.com/).


The security vendor used its tools to perform a cybersecurity posture analysis on 485 organizations from the media industry to compile its *Media Industry Cybersecurity Challenges* [report.](https://www.bluevoyant.com/resources/media-industry-cybersecurity-challenges)


It found that 30% of those analyzed are exposed to compromise via vulnerabilities in their internet-facing, publicly accessible footprints. Exploitation of these vulnerabilities could lead to content theft and/or operational disruption.


However, prompt patching remains a challenge: 60% of identified vulnerable systems were still unprotected six weeks after a patch had been issued, BlueVoyant said.


Part of the challenge for the sector is the complexity of the supply chain, which might incorporate a wide variety of vendors, service providers, partners and technologies to move a creative idea from concept to camera to consumer, the report claimed.


“The digital supply chain is a common attack vector not only for the media, but all industries,” argued Dan Vasile, BlueVoyant vice president of strategic development and former vice president of information security at Paramount.


“In order to improve their cyber-defense posture, media companies should continuously monitor their extended vendor ecosystem, using analysis to prioritize mitigation of the most critical findings.”


Half of the top vendors providing content management solutions to the media industry were found to have vulnerabilities in their products, according to the report.


To enhance supply-chain security, BlueVoyant recommended media companies:


* Identify and prioritize vendors, focusing on their criticality to content creation and delivery, and access to critical systems
* Continuously monitor the supply chain using contextual analysis to prioritize serious vulnerabilities. Questionnaires and point-in-time scans are no longer sufficient
* Use platforms to proactively track how critical vendors are addressing externally visible vulnerabilities and misconfigurations and work with them to minimize attack-surface risk





## Tags:


### Autogenerated tags:
bluevoyant
