# Nearly Three-Quarters of Firms Suffer Downtime from DNS Attacks
## Nearly Three-Quarters of Firms Suffer Downtime from DNS Attacks
## Information:

+ Link: https://www.infosecurity-magazine.com/news/threequarters-suffer-downtime/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 01 June 2022, 07:45
+ Date scraped: 01 June 2022, 10:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/9a56b27a-d3f6-4239-8dee-748ec26167eb.jpg)

Hybrid working and cloud migration during the course of the pandemic has led to a surge in DNS-related attacks, with application downtime and data theft a major consequence, according to [IDC](https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.idc.com%2F&data=05%7C01%7Celeanor.dallaway%40rxglobal.com%7C687c4c5b79104a40872d08da43a75e46%7C9274ee3f94254109a27f9fb15c10675d%7C0%7C0%7C637896683401431991%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=BTMZT5a5GAmNPorH3crlcAjMe7qcNqiYN5yxsBdEQC8%3D&reserved=0).


The analyst’s *2022 Global DNS Threat Report* is sponsored by security vendor [efficientIP](https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.efficientip.com%2F&data=05%7C01%7Celeanor.dallaway%40rxglobal.com%7C687c4c5b79104a40872d08da43a75e46%7C9274ee3f94254109a27f9fb15c10675d%7C0%7C0%7C637896683401431991%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=fTKt%2BxGExrHGFOdYt7Q%2BADVX%2BpGKoX%2F9RpSItGvvvSQ%3D&reserved=0) and compiled from interviews with over 1000 global organizations with more than 500 employees.


[The report revealed](https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.efficientip.com%2Fresources%2Fidc-dns-threat-report-2022%2F&data=05%7C01%7Celeanor.dallaway%40rxglobal.com%7C687c4c5b79104a40872d08da43a75e46%7C9274ee3f94254109a27f9fb15c10675d%7C0%7C0%7C637896683401431991%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=%2BwpoYStpVUBDNv8vO6EK4qxEIgCXDUvK60TKOqWONL4%3D&reserved=0) that 88% of organizations suffered DNS-related attacks over the past year, at an average of seven per responding company.


These include DNS tunnelling, phishing, malware, zero-day exploits, DDoS attacks, DNS hijacking and cloud misconfiguration abuse. All categories saw an increase in frequency of attacks over the previous year.


The DNS layer is often overlooked by IT teams because firewalls are set to allowlist traffic. However, its near ubiquity in modern IT environments and insecure design make it a popular vector for attack. In fact, almost all cyber-attacks use DNS at some point in their lifecycle, according to the [NCSC](https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ncsc.gov.uk%2Finformation%2Factive-cyber-defence-one-year&data=05%7C01%7Celeanor.dallaway%40rxglobal.com%7C687c4c5b79104a40872d08da43a75e46%7C9274ee3f94254109a27f9fb15c10675d%7C0%7C0%7C637896683401431991%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=mRID0yZF4KC%2FJffIyGQUTJL0YyY5nQqOCBzBenFMNEU%3D&reserved=0).


The risks associated with DNS have only grown during the pandemic, IDC argued.


“Hybrid work models have created new challenges for IT teams. With the disappearance of the perimeter, both attack surface and cloud usage have increased considerably,” it noted.


“Survey results show that the number and size of attacks remain very high, and cyber-criminals are using all available tools to gain access to networks, disrupt operations, and steal data by leveraging vulnerabilities and cloud misconfigurations.”


Some 70% of respondents said they suffered application downtime as a result of DNS attacks – both related to in-house and cloud-based applications. A quarter (24%) had customer data or sensitive IP stolen.


This contributed to average costs of $942,000 per attack, the report claimed. This is virtually unchanged from the $950,000 cited in last year’s report.





## Tags:


### Autogenerated tags:
dns cloud
