# Multiple Vulnerabilities In MegaRAC BMC Risked Server Security
## Researchers discovered multiple vulnerabilities in MegaRAC BMC firmware that riddled the security of numerous server brands. IT admins must ensure prompt updates to their servers to avoid potential exploits. MegaRAC BMC Vulnerabilities Eclypsium Research team has found
## Information:

+ Link: https://latesthackingnews.com/2022/12/08/multiple-vulnerabilities-in-megarac-bmc-risked-server-security/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 08 December 2022, 19:16
+ Date scraped: 08 December 2022, 20:00

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2018/03/technology-servers-server-159282.jpeg)

 Researchers discovered multiple vulnerabilities in MegaRAC BMC firmware that riddled the security of numerous server brands. IT admins must ensure prompt updates to their servers to avoid potential exploits.

 ## MegaRAC BMC Vulnerabilities

 Eclypsium Research team has found three different vulnerabilities in the MegaRAC Baseboard Management Controller (BMC) software.

 MegaRAC BMC is a remote management solution from American Megatrends, Inc. (AMI). It currently empowers servers from numerous popular brands such as AMD, Asus, [Dell EMC](https://latesthackingnews.com/2020/08/03/dell-emc-patched-high-severity-vulnerability-in-idrac-controller/), Huawei, Nvidia, and Qualcomm.

 As elaborated in their detailed [post](https://eclypsium.com/2022/12/05/supply-chain-vulnerabilities-put-server-ecosystem-at-risk/), the vulnerabilities include,

 * **CVE-2022-40259 (CVSS 9.5)** – an arbitrary code execution vulnerability in the Redfish API implementation. A specially crafted exploit from an attacker with minimum access to the target device could trigger the flaw.
* **CVE-2022-40242 (CVSS 8.3)** – Default credentials for UID = 0 shell via SSH. The researchers stated that they found “a hash in etc/shadow for the sysadmin user,” cracking, which made them reach the default credentials. Exploiting this vulnerability merely requires an attacker to have remote access to the target device.
* **CVE-2022-2827 (CVSS 7.5)** – when resetting the password, one of the parameters could allow an adversary to discover various user accounts by querying possible usernames. It then allows the attacker to perform credential stuffing or brute force attacks against those accounts.

 Given the trivial exploitation scenarios for these critical flaws, researchers suggest that BMC servers should be correctly configured, however they noticed most BMC servers exposed to the internet due to improper security or misconfigurations. These [vulnerabilities immensely heighten](https://latesthackingnews.com/2020/02/27/opensmtpd-email-server-vulnerability-threatened-many-linux-and-bsd-systems/) server security by potentially inviting online attackers.

 ## Recommended Mitigations

 Researchers have shared numerous mitigation strategies for users to prevent vulnerabilities and exploitation risks. Some of these include the basic security procedures that are a must-have for businesses and IT admins, such as restricting device access to authorized users, keeping the firmware/software up-to-date, and disabling unnecessary remote access.

 Moreover, they also advise disabling built-in admin accounts and performing regular vulnerability scans of critical server firmware for prompt remediation.

 Let us know your thoughts in the comments.

   


## Tags:
***CVE's***: CVE-2022-40259 CVE-2022-2827 CVE-2022-40242

### Autogenerated tags:
bmc megarac cvss
