# Indexing Over 15 Million WordPress Websites with PWNPress
## Sicuranex’s PWNPress platforms indexed over 15 million WordPress websites, it collects data related to vulnerabilities and misconfigurations Leveraging the extensive Common Crawl dataset and pushing the boundaries of data analysis, cybersecurity firm Sicuranex successfully indexed over 15 million WordPress websites. This endeavor involved parsing the entire Web Archive Text (WAT) database, a massive 21 TiB repository, to identify […]
## Information:

+ Link: https://securityaffairs.com/148465/hacking/pwnpress-platform.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 14 July 2023, 10:30
+ Date scraped: 14 July 2023, 11:01

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-23.png?resize=300%2C300&ssl=1)


Leveraging the extensive Common Crawl dataset and pushing the boundaries of data analysis, cybersecurity firm Sicuranex successfully indexed over 15 million WordPress websites. This endeavor involved parsing the entire Web Archive Text (WAT) database, a massive **21 TiB** repository, to identify WordPress installations worldwide.


[![](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-23.png?resize=1024%2C631&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/07/image-23.png?ssl=1)


**Harnessing the Power of Data**


At PWNPress, we believe that data is the key to uncovering vulnerabilities and fortifying WordPress websites. To achieve this, our dedicated team meticulously compared the vast collection of WordPress installations with the comprehensive Common Vulnerabilities and Exposures (CVE) database. This exhaustive analysis encompassed WordPress core versions, plugin versions, PHP versions, and web server types,**providing us with invaluable insights into potential security risks and vulnerabilities**.


**Pingback: Amplifying the Risks**


In our pursuit of understanding the WordPress ecosystem, we delved into the realm of active pingbacks, a mechanism used by WordPress sites to notify other sites when they link to their content. While pingbacks can be a valuable feature, malicious actors can exploit them to perform amplification Distributed Denial of Service (DDoS) attacks.


By initiating a pingback request with a spoofed source IP address, attackers can direct a flood of responses to a targeted website, overwhelming its resources and rendering it inaccessible. This amplification technique leverages the interconnected nature of WordPress sites, potentially magnifying the impact of a DDoS attack.



```
**We've collected 2,178,478 pingbacks!**
```

At PWNPress, we want to reassure our users that we prioritize privacy and data protection. While we have collected a vast dataset of over 2 million active pingbacks from WordPress websites, we want to emphasize that **we do not export or disclose any specific information about these pingbacks**. Our focus is on leveraging this data for research and security purposes within ethical boundaries.


At PWNPress, we want to reassure our users that we prioritize privacy and data protection. While we have collected a vast dataset of over 2 million active pingbacks from WordPress websites, we want to emphasize that **we do not export or disclose any specific information about these pingbacks**. Our focus is on leveraging this data for research and security purposes within ethical boundaries.


However, it is important to acknowledge the potential malicious uses that can arise from the pingback functionality. Pingbacks, when exploited by malicious actors, can be utilized for nefarious activities such as amplification Distributed Denial of Service attacks. We strongly advise website owners and administrators to be aware of these risks and take necessary precautions to secure their websites, such as disabling or limiting the pingback functionality when not needed.


For example, as demonstrated in the following video, **we conducted an experiment** by attempting to send a pingback to our website pwnpress.io **exclusively from WordPress websites with the top-level domain (TLD) “gov.it”.** The purpose was to illustrate the potential reach and effectiveness of pingbacks in a targeted context. As shown, our pingback successfully reached our website, **resulting in 12 incoming requests from 24 different “gov.it” websites**. 





Imagine the potential impact in the hands of a malicious actor with access to over 2 million active pingbacks.


If you want to delve deeper into the WordPress pingback problem and its association with Denial of Service (DoS) attacks, we have compiled a list of reputable references for your further exploration:


* <https://www.secjuice.com/make-wordpress-pingback-great-again/>
* <https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/wordpress-xml-rpc-pingback-vulnerability-analysis/>
* <https://conetix.com.au/blog/analysis-wordpress-pingback-ddos-attack/>
* <https://blog.sucuri.net/2014/03/more-than-162000-wordpress-sites-used-for-distributed-denial-of-service-attack.html>


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** **PWNPress**)



  


---


  




## Tags:
***urls***: https://www.trustwave.com/en-us/resources/blogs/spiderlabs-blog/wordpress-xml-rpc-pingback-vulnerability-analysis/ https://blog.sucuri.net/2014/03/more-than-162000-wordpress-sites-used-for-distributed-denial-of-service-attack.html https://conetix.com.au/blog/analysis-wordpress-pingback-ddos-attack/ https://www.secjuice.com/make-wordpress-pingback-great-again/

### Autogenerated tags:
wordpress pingbacks websites pingback pwnpress website
