# Kinsing malware targets Kubernetes environments via misconfigured PostgreSQL
## Kinsing cryptojacking operators are exploiting misconfigured and exposed PostgreSQL servers to access Kubernetes environments. Researchers at Microsoft Defender for Cloud observed threat actors behind the Kinsing cryptojacking operation using two methods to gain initial access in Kubernetes environments: exploitation of weakly configured PostgreSQL containers and exploiting vulnerable images. The crypto-miner Kinsing was first spotted by security firm […]
## Information:

+ Link: https://securityaffairs.com/140581/hacking/kinsing-malware-kubernetes-environments.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 10 January 2023, 06:22
+ Date scraped: 10 January 2023, 07:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Kubernetes-cryptocurrency-mining.png?resize=300%2C300&ssl=1)


Researchers at Microsoft Defender for Cloud observed threat actors behind the [Kinsing cryptojacking operation](https://securityaffairs.com/101122/malware/docker-kinsing-cryptocurrency-miner.html) using two methods to gain initial access in Kubernetes environments: exploitation of weakly configured PostgreSQL containers and exploiting vulnerable images.


The crypto-miner Kinsing was [first spotted](https://securityaffairs.com/101122/malware/docker-kinsing-cryptocurrency-miner.html) by security firm Aqua Security in April 2020, at the time the experts spotted threat actors scanning the Internet for Docker servers running API ports exposed without a password. The Kinsing malware abuses the resources of the Docker installations to mine cryptocurrency.


Recently Microsoft researchers observed a large number of clusters running a PostgreSQL container that was infected with the Kinsing malware. Experts pointed out that threat actors can exploit several misconfigurations to get access to an exposed Postgres server.


The first misconfiguration is related to the use of ‘trust authentication’ setting, an attacker can abuse it to connect to the Postgres servers without authentication and potentially achieve code execution.


*“To assign trust configuration on a specific IP address one needs to edit the pg\_hba.conf file, and add the following line:  
“**Host     all           all           [IP\_Address/range]        trust**”  
In some cases, this range is wider than it should be or even accepts connections from any IP address (i.e. 0.0.0.0/0). In such configurations, attackers can freely connect to the Postgres servers without authentication, which may lead to code execution.” [**reads**](https://techcommunity.microsoft.com/t5/microsoft-defender-for-cloud/initial-access-techniques-in-kubernetes-environments-used-by/ba-p/3697975) the post published by Microsoft.* *“Also, some network configurations in Kubernetes are prone to ARP poisoning, allowing attackers to impersonate applications in the cluster.”*


The researchers explained that it is possible to modify PostgreSQL container’s configuration in multiple ways, such as editing the *pg\_hba.conf* file directly or setting environment variables that will modify the file (*POSTGRES\_HOST\_AUTH\_METHOD* variable).


Allowing access to a broad range of IP addresses is exposing the PostgreSQL container to a potential threat.




[![Kubernetes cryptocurrency mining](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Kubernetes-cryptocurrency-mining.png?resize=584%2C447&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/Kubernetes-cryptocurrency-mining.png?ssl=1)


The researchers also observed an alternative attack vector to access the Kubernetes environments, attackers exploited vulnerabilities in images.


Some of the applications with vulnerable versions that were exploited in this campaign are PHPUnit, Liferay, WebLogic, and WordPress.


*“Exposing the cluster to the Internet without proper security measures can leave it open to attack from external sources. In addition, attackers can gain access to the cluster by taking advantage of known vulnerabilities in images.” concludes the report. “It’s important for security teams to be aware of exposed containers and vulnerable images and try to mitigate the risk before they are breached. “*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, Kubernetes)**



  


---


  




## Tags:
***ipv4-adresses***: 0.0.0.0

### Autogenerated tags:
kinsing kubernetes postgresql microsoft postgres ip
