# Microsoft fixed Azure AD bug that led to Bing.com results manipulation and account takeover
## Microsoft addressed a misconfiguration flaw in the Azure Active Directory (AAD) identity and access management service. Microsoft has addressed a misconfiguration issue impacting the Azure Active Directory (AAD) identity and access management service that exposed multiple Microsoft applications, including the Bing management portal, to unauthorized access. The vulnerability was discovered by Wiz Research which determined […]
## Information:

+ Link: https://securityaffairs.com/144379/hacking/microsoft-fixed-azure-ad-bug.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 03 April 2023, 11:32
+ Date scraped: 03 April 2023, 13:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-4.png?resize=300%2C300&ssl=1)


## Microsoft addressed a misconfiguration flaw in the Azure Active Directory ([AAD](https://azure.microsoft.com/en-us/products/active-directory/)) identity and access management service.


Microsoft has addressed a misconfiguration issue impacting the Azure Active Directory (AAD) identity and access management service that exposed multiple Microsoft applications, including the Bing management portal, to unauthorized access.


The vulnerability was discovered by Wiz Research which determined that about 25% of multi-tenant applications turned out to be vulnerable.


*“We found several high-impact, vulnerable Microsoft applications. One of these apps is a content management system (CMS) that powers Bing.com and allowed us to not only modify search results, but also launch high-impact XSS attacks on Bing users.” reads the [**post**](https://www.wiz.io/blog/azure-active-directory-bing-misconfiguration) published by security firm Wiz. “Those attacks could compromise users’ personal data, including Outlook emails and SharePoint documents.”*









The issues were reported to Microsoft in January and February 2022, following which the tech giant applied fixes and awarded Wiz a $40,000 bug bounty. Redmond [said](https://msrc.microsoft.com/blog/2023/03/guidance-on-potential-misconfiguration-of-authorization-of-multi-tenant-applications-that-use-azure-ad/) it found no evidence that the misconfigurations were exploited in the wild.


The vulnerability is related to a misconfiguration in ‘Shared Responsibility confusion.’ The shared responsibility model allows application owners to add an authentication function by simply clicking a button.


The experts pointed out that the flaw has a severe impact, especially on multi-tenant applications without proper validation because any Azure user will be able to log in to the application.


This means that several Microsoft Microsoft applications permit external parties to obtain read and write to the impacted applications.


The researchers detailed a case study on the “Bing Trivia” application, which they have called “#BingBang,” which demonstrates how the misconfiguration impacts Microsoft.



[![Azure Active Directory Trivia App](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-4.png?resize=692%2C383&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-4.png?ssl=1)Azure Active Directory Trivia App


Wiz Research explained that an attacker can exploit the flaw to target the Bing Trivia app to alter search results in Bing and even manipulate content on the homepage as part of the BingBang attack.


The experts also demonstrated how to weaponize the issue to trigger a cross-site scripting (XSS) attack on Bing.com and extract sensitive data, Outlook emails, calendars, OneDrive files, and more.


*“We found several high-impact, vulnerable Microsoft applications. One of these apps is a content management system (CMS) that powers Bing.com and allowed us to not only modify search results, but also launch high-impact XSS attacks on Bing users. Those attacks could compromise users’ personal data, including Outlook emails and SharePoint documents.” continues the analysis. “A malicious actor with the same access could’ve hijacked the most popular search results with the same payload and leak sensitive data from millions of users. According to SimilarWeb, Bing is the 27th most visited website in the world, with over a billion pageviews per month – in other words, millions of users could’ve been exposed to malicious search results and Office 365 data theft.”*



[![Azure Active Directory Trivia App](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-5.png?resize=634%2C356&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/04/image-5.png?ssl=1)


The experts discovered that other apps were impacted by the misconfiguration issue, including Mag News, Central Notification Service (CNS), Contact Center, PoliCheck, Power Automate Blog, and COSMOS.


Below is the disclosure timeline:


* **Jan. 31, 2023** – Wiz Research reported the Bing issue to MSRC
* **Jan. 31, 2023** – MSRC issues initial fix to Bing app
* **Feb. 25, 2023** – Wiz Research reported the other vulnerable applications to MSRC
* **Feb. 27, 2023** – MSRC starts issuing fixes for said applications
* **Mar. 20, 2023** – MSRC states that all the reported applications are now fixed
* **Mar. 28, 2023** – MSRC awards Wiz Research with $40,000 bug bounty
* **Mar. 29, 2023** – Public disclosure


**Please vote for Security Affairs (<https://securityaffairs.com/>) as the best European Cybersecurity Blogger Awards 2022 – VOTE FOR YOUR WINNERS**  
**Vote for me in the sections:**


* The Teacher – Most Educational Blog
* The Entertainer – Most Entertaining Blog
* The Tech Whizz – Best Technical Blog
* Best Social Media Account to Follow (@securityaffairs)


Please nominate Security Affairs as your favorite blog.



> 
> 
> > 
> > **Nominate here: <https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform>**
> > 
> > 
> > 
> 
> 
> 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Moobot botnet)**



  


---


  




## Tags:
***urls***: https://docs.google.com/forms/d/e/1FAIpQLSfaFMkrMlrLhOBsRPKdv56Y4HgC88Bcji4V7OCxCm_OmyPoLw/viewform https://securityaffairs.com/

### Autogenerated tags:
microsoft msrc blog high-impact apps bing.com xss emails
