# Apple Commissions Data Breach Study to Highlight Need for End-to-End Encryption
## A study commissioned by Apple shows that 2.6 billion personal data records were compromised in breaches in the past two years.
## Information:

+ Link: https://www.securityweek.com/apple-commissions-data-breach-study-to-highlight-need-for-end-to-end-encryption/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 07 December 2023, 17:28
+ Date scraped: 07 December 2023, 18:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/06/Apple.jpg)


**A study commissioned by Apple shows that an estimated 2.6 billion personal records were compromised as a result of data breaches in the past two years, which, according to the tech giant, highlights the need for end-to-end encryption.**


The study, titled ‘[The Continued Threat to Personal Data: Key Factors Behind the 2023 Increase](https://www.apple.com/newsroom/pdfs/The-Continued-Threat-to-Personal-Data-Key-Factors-Behind-the-2023-Increase.pdf)’, was conducted by MIT professor Dr. Stuart Madnick. It provides a summary of the major data breaches that came to light in the past year and highlights some trends.


It’s worth noting that there is no original data in the report and the number of compromised personal records was obtained through a combination of data from Verizon for 2021 and an estimation for 2022 — 1.1 billion records in 2021 and 1.5 billion in 2022.

The study looks at ransomware attacks resulting in significant data breaches, companies that were repeatedly targeted by hackers, incidents resulting from cloud misconfigurations, attacks aimed at government organizations and their contractors, and breaches affecting entities that store particularly sensitive personal information.

The report also provides information on regional data breaches, and massive incidents resulting from third-party vendor exploitation.

It also highlights the end-to-end encryption initiatives of various companies over the past decade, including Apple, Google, Meta, Proton, Signal and Skiff.

Apple — similar to other tech giants — has long [opposed](https://www.securityweek.com/encryption-battle-reignited-us-govt-loggerheads-apple/) government requests to implement encryption backdoors that would make it easier for authorities to investigate potential criminal activities. 


In fact, the company has been increasingly [implementing end-to-end encryption](https://www.securityweek.com/apple-adding-end-end-encryption-icloud-backup/), and is using the new study to promote its Advanced Data Protection for iCloud, which aims to improve cloud data security. 


The company claims that, when the feature is activated, 23 sensitive data categories are protected using end-to-end encryption, including backups, notes, and photos. This provides protection including against attacks where the cloud environment itself has been compromised.

**Related**: [Apple Improves iMessage Security With Contact Key Verification](https://www.securityweek.com/apple-improves-imessage-security-with-contact-key-verification)


**Related**: [Apple Denies Helping US Government Hack Russian iPhones](https://www.securityweek.com/apple-denies-helping-us-government-hack-russian-iphones/)





## Tags:


### Autogenerated tags:
end-to-end cloud
