# CISA Warns of Attacks Exploiting Adobe Acrobat Vulnerability
## CISA has added five bugs to its Known Exploited Vulnerabilities catalog, including the recent WordPad, Skype, and HTTP/2 zero-days.
## Information:

+ Link: https://www.securityweek.com/cisa-warns-of-attacks-exploiting-adobe-acrobat-vulnerability/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 11 October 2023, 10:00
+ Date scraped: 11 October 2023, 10:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**The US cybersecurity agency CISA on Tuesday announced that it has added five more security defects to its** [**Known Exploited Vulnerabilities**](https://www.cisa.gov/known-exploited-vulnerabilities-catalog) **catalog, warning organizations of attacks exploiting an Adobe Acrobat and Reader flaw that came to light earlier this year.**


The Adobe Acrobat and Reader issue is CVE-2023-21608, a use-after-free vulnerability which can be exploited to achieve remote code execution (RCE) with the privileges of the current user.

[Adobe released patches for this flaw](https://www.securityweek.com/adobe-plugs-security-holes-acrobat-reader-software/) in January 2023, but numerous proof-of-concept (PoC) exploits and technical write-ups have been published since, creating opportunities for threat actors to start targeting the issue in attacks.


Although there appear to be no public reports describing in-the-wild exploitation of CVE-2023-21608, CISA says it only adds CVEs to the KEV list based on solid proof that exploitation has occurred.

CISA also expanded KEV with CVE-2023-20109, an out-of-bounds write flaw in the Group Encrypted Transport VPN (GET VPN) feature of Cisco IOS and IOS XE.

Also leading to RCE, the bug was [patched at the end of September](https://www.securityweek.com/cisco-warns-of-ios-software-zero-day-exploitation-attempts/), when Cisco warned that it had observed exploitation attempts targeting it.


On the same day that [Microsoft released patches for two zero-days](https://www.securityweek.com/microsoft-fixes-exploited-zero-days-in-wordpad-skype-for-business/) impacting Skype for Business (CVE-2023-41763) and WordPad (CVE-2023-36563), CISA added both flaws to KEV. Neither Microsoft nor CISA have provided details on the observed attacks.


The fifth vulnerability that CISA has added to KEV on Tuesday is a zero-day in the HTTP/2 protocol, which has been exploited in some of the largest distributed denial-of-service (DDoS) attacks to date.

Referred to as [HTTP/2 Rapid Reset](https://www.securityweek.com/rapid-reset-zero-day-exploited-to-launch-largest-ddos-attacks-in-history/), the attack method involves repeatedly sending requests and immediately canceling them. All applications and servers running the standard implementation of HTTP/2 are vulnerable to this attack.


“These types of vulnerabilities are frequent attack vectors for malicious cyber actors and pose significant risks to the federal enterprise,” CISA’s warning reads.

As per the Binding Operational Directive (BOD) 22-01, federal agencies have 21 days to identify the vulnerable products within their networks and apply the available patches and mitigations.

CISA’s BOD 22-01 only applies to federal agencies, but CISA encourages all organizations to review the KEV catalog and prioritize remediation of the security defects in it, or discontinue the use of the vulnerable products if mitigations are not available.

**Related:** [Faster Patching Pace Validates CISA’s KEV Catalog Initiative](https://www.securityweek.com/faster-patching-pace-validates-cisas-kev-catalog-initiative/)


**Related:** [Organizations Warned of Top 10 Cybersecurity Misconfigurations Seen by CISA, NSA](https://www.securityweek.com/organizations-warned-of-top-10-cybersecurity-misconfigurations-seen-by-cisa-nsa/)


**Related:** [CISA Reverses Course on Malicious Exploitation of Video Conferencing Device Flaws](https://www.securityweek.com/cisa-reverses-course-on-malicious-exploitation-of-video-conferencing-device-flaws/)





## Tags:
***CVE's***: CVE-2023-21608 CVE-2023-20109 CVE-2023-36563 CVE-2023-41763

### Autogenerated tags:
cisa kev http/2
