# Critical Apache ActiveMQ Vulnerability Exploited to Deliver Ransomware
## A recently patched Apache ActiveMQ vulnerability tracked as CVE-2023-46604 is being exploited to deliver ransomware.
## Information:

+ Link: https://www.securityweek.com/critical-apache-activemq-vulnerability-exploited-to-deliver-ransomware/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 02 November 2023, 14:02
+ Date scraped: 02 November 2023, 15:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**A recently patched vulnerability affecting the Apache ActiveMQ message broker is being exploited by cybercriminals in an apparent attempt to deliver ransomware.**


[Apache ActiveMQ](https://activemq.apache.org/) is described as the “most popular open source, multi-protocol, Java-based message broker”. Several 5.x.x versions of the product, as well as the Apache ActiveMQ Legacy OpenWire Module, are affected by CVE-2023-46604, a security hole that can be exploited for remote code execution. 


“The vulnerability may allow a remote attacker with network access to a broker to run arbitrary shell commands by manipulating serialized class types in the OpenWire protocol to cause the broker to instantiate any class on the classpath,” developers explained in an [advisory](https://activemq.apache.org/security-advisories.data/CVE-2023-46604).


CVE-2023-46604 has been patched with the release of versions 5.15.16, 5.16.7, 5.17.6 and 5.18.3, which Apache ActiveMQ users should install as soon as possible.

The patch was committed to the source code on October 24 and the existence of the vulnerability was made public on October 27.

On the same day, cybersecurity firm Rapid7 started seeing [in-the-wild exploitation attempts](https://attackerkb.com/topics/IHsgZDE3tS/cve-2023-46604/rapid7-analysis). 


In these attacks, cybercriminals tried to exploit CVE-2023-46604 to deliver ransomware to the targeted system. The attacks were linked to the [HelloKitty](https://www.securityweek.com/fbi-publishes-iocs-hello-kitty-ransomware/) ransomware family, whose source code was leaked roughly one month ago. 


“The threat actor’s attempts at ransomware deployment were somewhat clumsy: In one of the incidents Rapid7 observed, there were more than half a dozen unsuccessful attempts to encrypt assets,” [Rapid7 said](https://www.rapid7.com/blog/post/2023/11/01/etr-suspected-exploitation-of-apache-activemq-cve-2023-46604/) in a blog post. 


On October 30, the Shadowserver Foundation reported seeing over 7,000 [internet-exposed ActiveMQ instances,](https://www.shadowserver.org/what-we-do/network-reporting/accessible-activemq-service-report/) including roughly 3,300 that had been vulnerable to attacks exploiting CVE-2023-46604.


Technical details and [proof-of-concept (PoC) code](https://github.com/X1r0z/ActiveMQ-RCE) for CVE-2023-46604 are publicly available and they could be useful to other threat groups looking to exploit the vulnerability.


This is not the first Apache ActiveMQ vulnerability that has been exploited in the wild. CISA’s Known Exploited Vulnerabilities Catalog includes [CVE-2016-3088](https://nvd.nist.gov/vuln/detail/CVE-2016-3088), which allows remote attackers to upload and execute arbitrary files.


**Related**: [Cisco Hacked by Ransomware Gang, Data Stolen](https://www.securityweek.com/cybercriminals-breached-cisco-systems-and-stole-data/)


**Related**: [CISA Now Flagging Vulnerabilities, Misconfigurations Exploited by Ransomware](https://www.securityweek.com/cisa-now-flagging-vulnerabilities-misconfigurations-exploited-by-ransomware/)


**Related**: [Cisco ASA Zero-Day Exploited in Akira Ransomware Attacks](https://www.securityweek.com/cisco-asa-zero-day-exploited-in-akira-ransomware-attacks/)





## Tags:
***CVE's***: CVE-2023-46604 CVE-2016-3088

### Autogenerated tags:
ransomware activemq cve-2023-46604 rapid7
