# Security Firm Finds Over 130k Internet-Exposed Photovoltaic Diagnostics Systems
## Cyble has discovered more than 130,000 Photovoltaic monitoring and diagnostic solutions exposed to the internet.
## Information:

+ Link: https://www.securityweek.com/security-firm-finds-over-130k-internet-exposed-photovoltaic-diagnostics-systems/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 07 July 2023, 12:47
+ Date scraped: 07 July 2023, 13:00

## Article:
![Main article image](https://lh6.googleusercontent.com/kait5GV_obxgZdymie6lCNRsTdWmqADy41Bcf3MDj6QI62-QeOUe19Ng5vmjytsfRPgz6zQkIyVN7GoK7JeE-_7JgTKAlhlos42zjKXv9tQacZEO4bADq5BG4-NTHdObZwGITkgc0nw0sp_pJCPuUEk)


**More than 130,000 photovoltaic monitoring and diagnostic solutions are accessible from the public internet, which could make them susceptible to cyberattacks, threat intelligence firm Cyble says.**


These solutions are used in the solar industry to gather real-time data on the efficiency and operations of photovoltaic installations, and are connected to the electric grid, enabling operators to manage the integration of photovoltaic systems with the grid.

Considered critical components of the systems, these monitoring and diagnostics solutions represent a wide attack surface that threat actors could target to impact grid operations.

Photovoltaic systems use IT and networking infrastructure for monitoring, control, remote diagnostics, and power management, which makes them [susceptible to the same risks](https://blog.cyble.com/2023/07/05/security-gaps-in-green-energy-sector/) and types of cyberattacks that any internet-exposed critical infrastructure is prone to.


“A cyberattack on PV diagnostic and monitoring systems might have serious consequences for distributed energy resources (DER), including reduced energy production, system instability, physical asset damage, and unique cybersecurity challenges,” Cyble notes.


![](https://lh6.googleusercontent.com/kait5GV_obxgZdymie6lCNRsTdWmqADy41Bcf3MDj6QI62-QeOUe19Ng5vmjytsfRPgz6zQkIyVN7GoK7JeE-_7JgTKAlhlos42zjKXv9tQacZEO4bADq5BG4-NTHdObZwGITkgc0nw0sp_pJCPuUEk)


According to Cyble, the risks can include vulnerabilities, misconfigurations, and compromised endpoints.

The use of outdated firmware, Cyble notes, could turn monitoring solutions into easy targets for threat actors, especially since vulnerabilities in these solutions are not uncommon, and, in some cases, proof-of-concept (PoC) code targeting them has been made public.

Misconfigurations such as the use of default credentials, improper access control and network segmentation, insecure communications, and others can be exploited by threat actors to gain access to ICS environments.


Malware-infected computers from which access credentials can be extracted, Cyble notes, represent another threat to photovoltaic monitoring solutions.

The internet-accessible photovoltaic monitoring systems, Cyble points out, are not necessarily prone to cyberattacks, but their large number does show the significant attack surface that threat actors may exploit.

**Related**: [Exploited Solar Power Product Vulnerability Could Expose Energy Organizations to Attacks](https://www.securityweek.com/exploited-solar-power-product-vulnerability-could-expose-energy-organizations-to-attacks/)


**Related**: [Siemens Energy, Schneider Electric Targeted by Ransomware Group in MOVEit Attack](https://www.securityweek.com/siemens-energy-schneider-electric-targeted-by-ransomware-group-in-moveit-attack/)


**Related**: [A Russian Ransomware Gang Breaches the Energy Department and Other Federal Agencies](https://www.securityweek.com/a-russian-ransomware-gang-breaches-the-energy-department-and-other-federal-agencies/)





## Tags:


### Autogenerated tags:
cyble cyberattacks
