# US Government Releases Anti-Phishing Guidance
## CISA, NSA, FBI, and MS-ISAC have released guidance and prevention recommendations on common phishing techniques.
## Information:

+ Link: https://www.securityweek.com/us-government-releases-anti-phishing-guidance/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 19 October 2023, 12:00
+ Date scraped: 19 October 2023, 13:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**The US cybersecurity agency CISA along with the NSA, FBI, and MS-ISAC have released a joint guide detailing commonly used phishing techniques and providing recommendations on how to mitigate them.**


In phishing attacks, threat actors rely on social engineering to trick victims into revealing their credentials or into visiting a malicious website meant to deploy malware or steal their login information, which is then used to access enterprise networks or other resources.

In credential theft phishing, threat actors are known to impersonate trusted sources, such as supervisors or IT personnel, to send phishing emails and convince recipients to reveal their usernames and passwords.

Additionally, the attackers have been observed using mobile devices to send text messages on various chat platforms, and employing VoIP to spoof caller ID as part of their phishing attacks, the US government agencies note in [the new guidance](https://www.cisa.gov/sites/default/files/2023-10/Phishing%20Guidance%20-%20Stopping%20the%20Attack%20Cycle%20at%20Phase%20One_508c.pdf) (PDF).


To reduce the risk of credential theft phishing, organizations are advised to implement multi-factor authentication (MFA), but to avoid weak forms, such as MFA without FIDO or PKI-based MFA enabled, push-notification MFA without number matching, and SMS and voice MFA.

Malware-based phishing also relies on the impersonation of a trusted source to lure the recipient into opening a malicious attachment or following a malicious link, to execute malware leading to initial access, information theft, system disruption or damage, or privilege escalation.

Threat actors have been observed using free, publicly available tools to send spear-phishing emails, sending malicious attachments with macro scripts, and delivering hyperlinks or malicious attachments over popular chat services.


To reduce the risk of a successful credential phishing attack, organizations should train their employees on social engineering, set firewall rules and enable email protections to prevent suspicious or malicious emails, use email and messaging monitoring, implement phishing-resistant MFA, prevent user redirection to malicious domains, block known malicious domains and IPs, restrict users’ administrative privileges, implement the principle of least privilege, and block macro and malware execution.

Software manufacturers, CISA, NSA, FBI, and MS-ISA note, should incorporate secure-by-design and secure-by-default principles in their development processes, to mitigate the success of phishing attacks reaching their users.

The new guidance, the agencies note, is meant for network defenses at all organizations, but also includes a section dedicated to small- and medium-sized businesses, which may have limited resources to defend against phishing attacks.

**Related:** [CISA Now Flagging Vulnerabilities, Misconfigurations Exploited by Ransomware](https://www.securityweek.com/cisa-now-flagging-vulnerabilities-misconfigurations-exploited-by-ransomware/)


**Related:** [CISA Unveils New HBOM Framework to Track Hardware Components](https://www.securityweek.com/cisa-unveils-new-hbom-framework-to-track-hardware-components/)


**Related:** [NSA Publishes ICS/OT Intrusion Detection Signatures and Analytics](https://www.securityweek.com/nsa-publishes-ics-ot-intrusion-detection-signatures-and-analytics/)





## Tags:


### Autogenerated tags:
phishing mfa cisa nsa malware emails
