# Patch Now! Center for Cybersecurity Belgium Warns About Critical Vulnerabilities in Telerik Report Server
## On March 20, 2024, Progress Software disclosed three vulnerabilities in its Telerik Report Server products. The vulnerabilities were identified as
## Information:

+ Link: https://thecyberexpress.com/belgium-vulnerabilities-progress-telerik/
+ Source: The Cyber Express
+ Author: Alan J
+ Date published: 06 June 2024, 22:41
+ Date scraped: 07 June 2024, 02:01

## Article:
![Main article image](https://thecyberexpress.com/wp-content/uploads/Progress-Telerik-Belgium-Cybersecurity-Vulnerabilities.webp)


On March 20, 2024, Progress Software disclosed three vulnerabilities in its Telerik Report Server products. The vulnerabilities were identified as CVE-2024-1800, CVE-2024-1801, and CVE-2024-1856.


Another Progress Telerik Report Server vulnerability (CVE-2024-4358), disclosed on May 31, 2024, could potentially allow attackers to execute code on systems that have the affected Progress Telerik software versions installed. The Center for Cybersecurity Belgium issued a recent security advisory urging customers to patch these [vulnerabilities](https://thecyberexpress.com/what-are-vulnerabilities/).


Progress Telerik Vulnerabilities Overview
-----------------------------------------


The CCB [detailed all four vulnerabilities](https://cert.be/en/advisory/warning-critical-and-high-vulnerabilities-progress-telerik-can-be-exploited-execute-code), associated risks and working exploits, and provided links that contain additional details about each vulnerability.


### **Insecure Deserialization Vulnerabilities**


The first [two vulnerabilities](https://docs.telerik.com/reporting/knowledge-base/deserialization-vulnerability-cve-2024-1801-cve-2024-1856) (CVE-2024-1801 and CVE-2024-1856) are insecure deserialization vulnerabilities in Progress Telerik Reporting. Attackers could exploit these vulnerabilities to run arbitrary code.


An attacker with local access could potentially exploit CVE-2024-1801, while CVE-2024-1856 may be exploited remotely if specific web application misconfigurations are in place.


### **Remote Code Execution Vulnerability**


The [third vulnerability](https://docs.telerik.com/report-server/knowledge-base/deserialization-vulnerability-cve-2024-1800) (CVE-2024-1800) is an insecure deserialization vulnerability in the Progress Telerik Report Server. Successfully exploitation of the vulnerability could allow for remote execution of arbitrary code on affected systems.


Progress Telerik Report Server versions prior to 2024 Q1 (10.0.24.130) are vulnerable to this issue.


### **Authentication Bypass Vulnerability**


An [additional vulnerability](https://docs.telerik.com/report-server/knowledge-base/registration-auth-bypass-cve-2024-4358), CVE-2024-4358, that was disclosed later affects the Telerik Report Server. This is an authentication bypass vulnerability that could allow an unauthenticated attacker to gain access to restricted functionality within the Progress Telerik Report Server.


The issue affects Progress Telerik Report Server versions up to 2024 Q1 (10.0.24.305).


Recommended Actions for Telerik Vulnerabilities
-----------------------------------------------


The Centre for [Cybersecurity](https://thecyberexpress.com/what-is-cybersecurity/) Belgium strongly recommends applying, after thorough testing, the latest available software updates of Progress Telerik on vulnerable devices. [Progress](https://thecyberexpress.com/ws_ftp-server-cyberattack-vulnerabilities/) Telerik has explicitly stated that the only way to remediate the earlier three reported vulnerabilities was by updating to the latest available version (10.1.24.514).


For the authentication bypass vulnerability (CVE-2024-4358), Progress Telerik has published a temporary mitigation. This mitigation involves applying a URL Rewrite rule in IIS to deny access to the vulnerable “startup/register” path.


The Centre for Cybersecurity Belgium urges organizations to bolster their monitoring and detection capabilities to be alert for any malicious activities associated with these vulnerabilities. Organizations are further advised to check the list of users within the Progress Telerik Report Server to ensure that there is no addition of [unauthorized](https://thecyberexpress.com/hugging-face-discloses-unauthorized-access/) accounts while responding quickly to detected intrusions.


***Media Disclaimer: This report is based on internal and external research obtained through various means. The information provided is for reference purposes only, and users bear full responsibility for their reliance on it. [The Cyber Express](https://thecyberexpress.com/) assumes no liability for the accuracy or consequences of using this information.***





## Tags:
***CVE's***: CVE-2024-1801 CVE-2024-1800 CVE-2024-4358 CVE-2024-1856
***ipv4-adresses***: 10.0.24.130

### Autogenerated tags:
telerik cve-2024-1801 cve-2024-1856 cve-2024-4358 cybersecurity deserialization
