# Alert: New Electromagnetic Attacks on Drones Could Let Attackers Take Control
## Your drone may be vulnerable! New research reveals electromagnetic fault injection attacks can gain control of drones during firmware updates.
## Information:

+ Link: https://thehackernews.com/2023/06/alert-new-electromagnetic-attacks-on.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 28 June 2023, 20:35
+ Date scraped: 28 June 2023, 16:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgAg7wxU_z9A9fN0ODlb1JYLBSmzylXdTNOOjjEBp7GQCSlWfc7vFabni9igknUeocwhT7CO7LtcwCSfkP3g_P0H9gr7C4GF-GUmWT2hZ2jNp3Vgon4zTYJfDA3nbgA8aVYJ4371lILxSAwSiBRJijOMBVtlXaxXOJq7Atfud_AuNrE2IkclNUuXLd9w94/s728-e365/drone.jpg)


Drones that don't have any known security weaknesses could be the target of electromagnetic fault injection (EMFI) attacks, potentially enabling a threat actor to achieve arbitrary code execution and compromise their functionality and safety.


The research comes from IOActive, which [found](https://ioactive.com/exploring-the-security-configuration-of-amd-platforms-3/) that it is "feasible to compromise the targeted device by injecting a specific EM glitch at the right time during a firmware update."


"This would allow an attacker to gain code execution on the main processor, gaining access to the Android OS that implements the core functionality of the drone," Gabriel Gonzalez, director of hardware security at the company, said in a report published this month.


The [study](https://labs.ioactive.com/2023/06/applying-fault-injection-to-firmware.html), which was undertaken to determine the current security posture of Unmanned Aerial Vehicles (UAVs), was carried out on [Mavic Pro](https://www.dji.com/global/mavic), a popular quadcopter drone manufactured by DJI that employs various security features like signed and encrypted firmware, Trusted Execution Environment ([TEE](https://thehackernews.com/2021/10/researchers-break-intel-sgx-with-new.html)), and Secure Boot.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
Side-channel attacks typically work by indirectly gathering information about a target system by exploiting unintended information leakages arising from variations in power consumption, electromagnetic emanations, and the time it takes to perform different mathematical operations.


EMFI aims to induce a hardware disruption by placing a metal coil in close physical proximity to the Android-based Control CPU of the drone, ultimately resulting in memory corruption, which could then be exploited to achieve code execution.


"This could allow an attacker to fully control one device, leak all of its sensitive content, enable ADB access, and potentially leak the encryption keys," Gonzalez said.


As for mitigations, it's [recommended](https://cwe.mitre.org/data/definitions/1319.html) that drone developers incorporate hardware- and software-based [EMFI countermeasures](https://vtechworks.lib.vt.edu/handle/10919/81906).


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://www.memcyco.com/home/library/the-untold-cost-of-brand-impersonation-ebook/?utm_source=thn&utm_medium=referral&utm_campaign=ebook-campaign)
This is not the first time IOActive has [highlighted](https://ioactive.com/resources/library/) uncommon attack vectors that could be weaponized to target systems. In June 2020, the company [detailed](https://ioactive.com/warcodes-attacking-ics-through-industrial-barcode-scanners/) a novel method that makes it possible to attack industrial control systems (ICS) using barcode scanners.


Other assessments have illustrated [security misconfigurations](https://ioactive.com/do-you-blindly-trust-lorawan-networks-for-iot/) in the Long Range Wide Area Network ([LoRaWAN](https://en.wikipedia.org/wiki/LoRa)) protocol that make it susceptible to hacking and cyber attacks as well as [vulnerabilities](https://ioactive.com/remote-writing-trailer-air-brakes-with-rf/) in the Power Line Communications ([PLC](https://www.cisa.gov/news-events/ics-advisories/icsa-22-063-01)) component used in tractor trailers.



  





## Tags:


### Autogenerated tags:
emfi
