# Cryptominers Targeting Misconfigured Apache Hadoop and Flink with Rootkit in New Attacks
## New cyberattack targets Apache Hadoop & Flink using misconfigurations to deploy crypto miners
## Information:

+ Link: https://thehackernews.com/2024/01/cryptominers-targeting-misconfigured.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 12 January 2024, 13:26
+ Date scraped: 12 January 2024, 08:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEghBYeR8_nWxQCC2iH4NzJ4UnZxp6PEAM-UjYjyZ0Q_9AMSOTLwIy7qaghP2yAFw0wxylQsiLmRP6TUriZP0JCVsb82IL6JJ9ACQ8wtUdqAkg5DdfkhgQvPze5N0ySMqM4flRxXW9tee3J9vZsZNb43s5ffAX4DLFzXeSpHqeSsxQRrjccw9Uix0CDPFxqn/s728-rw-ft-e30/bitcoin.jpg)


Cybersecurity researchers have identified a new attack that exploits misconfigurations in Apache Hadoop and Flink to deploy cryptocurrency miners within targeted environments.


"This attack is particularly intriguing due to the attacker's use of packers and rootkits to conceal the malware," Aqua security researchers Nitzan Yaakov and Assaf Morag [said](https://blog.aquasec.com/threat-alert-apache-applications-targeted-by-stealthy-attacker) in an analysis published earlier this week. "The malware deletes contents of specific directories and modifies system configurations to evade detection."


The infection chain targeting Hadoop leverages a misconfiguration in the YARN's (Yet Another Resource Negotiator) [ResourceManager](https://hadoop.apache.org/docs/stable/hadoop-yarn/hadoop-yarn-site/YARN.html), which is responsible for tracking resources in a cluster and scheduling applications.


Specifically, the misconfiguration can be exploited by an unauthenticated, remote threat actor to execute arbitrary code by means of a crafted HTTP request, subject to the privileges of the user on the node where the code is executed.


The attacks aimed at Apache Flink, likewise, take aim at a misconfiguration that permits a remote attacker to achieve code execution sans any authentication.


These misconfigurations are not novel and have been [exploited in the past](https://thehackernews.com/2023/07/teamtnts-silentbob-botnet-infecting-196.html) by financially motivated groups like TeamTNT, which is known for its history of targeting Docker and Kubernetes environments for the purpose of cryptojacking and other malicious activities.


But what makes the latest set of attacks noteworthy is the use of rootkits to hide crypto mining processes after obtaining an initial foothold into Hadoop and Flink applications.


"The attacker sends an unauthenticated request to deploy a new application," the researchers explained. "The attacker is able to run a remote code by sending a POST request to the YARN, requesting to launch the new application with the attacker's command."


The command is purpose-built to clear the /tmp directory of all existing content, fetch a file called "dca" from a remote server, and execute it, followed by deleting all files in the /tmp directory once again.


The executed payload is a packed ELF binary that acts as a downloader to retrieve two rootkits and a Monero cryptocurrency miner binary. It's worth pointing out that [various adversaries](https://thehackernews.com/2022/10/new-cryptojacking-campaign-targeting.html), including [Kinsing](https://thehackernews.com/2023/01/kinsing-cryptojacking-hits-kubernetes.html), have resorted to [employing rootkits](https://thehackernews.com/2023/08/new-labrat-campaign-exploits-gitlab.html) to conceal the presence of the mining process.


To achieve persistence, a cron job is created to download and execute a shell script that deploys the 'dca' binary. Further analysis of the threat actor's infrastructure reveals that the staging server used to fetch the downloader was registered on October 31, 2023.


As mitigations, it's recommended that organizations deploy agent-based security solutions to detect cryptominers, rootkits, obfuscated or packed binaries, as well as other suspicious runtime behaviors.


  





## Tags:


### Autogenerated tags:
rootkits hadoop flink
