# Cybercriminals Weaponizing Open-Source SSH-Snake Tool for Network Attacks
## A tool intended for security, SSH-Snake, now aids attackers in exploiting networks. Discover the depths of its reach and how to safeguard your infrast
## Information:

+ Link: https://thehackernews.com/2024/02/cybercriminals-weaponizing-open-source.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 22 February 2024, 16:14
+ Date scraped: 22 February 2024, 11:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhzS9ApKf9qeb9o5Y2LcxqESomxrcUsYmTXjjGug5b2i3K6lYD7hYx8NFXWeIn8msh3hr0yy3jUJ4RWf8n6hD4k8jiJO9Dz1vW3CBCcmwKG-a_1Lx5HES3csVB9x8x1dqVUMgnveroustRiN-KDgmlan9KUFpVFoxs33LSvrNmJegzA5kZXvzB-SPmU0PMk/s728-rw-e365/ssh-malware.jpg)


A recently open-sourced network mapping tool called **SSH-Snake** has been repurposed by threat actors to conduct malicious activities.


"SSH-Snake is a self-modifying worm that leverages SSH credentials discovered on a compromised system to start spreading itself throughout the network," Sysdig researcher Miguel Hernández [said](https://sysdig.com/blog/ssh-snake/).


"The worm automatically searches through known credential locations and shell history files to determine its next move."


SSH-Snake was first released on GitHub in early January 2024, described by its developer as a "powerful tool" to carry out [automatic network traversal](https://joshua.hu/ssh-snake-ssh-network-traversal-discover-ssh-private-keys-network-graph) using SSH private keys discovered on systems.


In doing so, it creates a comprehensive map of a network and its dependencies, helping determine the extent to which a network can be compromised using SSH and SSH private keys starting from a particular host. It also supports [resolution of domains](https://joshua.hu/ssh-snake-multi-ip-domain-resolution-bash-cannot-assign-list-to-array-member) which have multiple IPv4 addresses.


"It's completely self-replicating and self-propagating – and completely fileless," according to the [project's description](https://github.com/MegaManSec/SSH-Snake). "In many ways, SSH-Snake is actually a worm: It replicates itself and spreads itself from one system to another as far as it can."


Sysdig said the shell script not only facilitates lateral movement, but also provides additional stealth and flexibility than other typical SSH worms.


The cloud security company said it observed threat actors deploying SSH-Snake in real-world attacks to harvest credentials, the IP addresses of the targets, and the bash command history following the discovery of a command-and-control (C2) server hosting the data.


"The usage of SSH keys is a recommended practice that SSH-Snake tries to take advantage of in order to spread," Hernández said. "It is smarter and more reliable which will allow threat actors to reach farther into a network once they gain a foothold."


When reached for comment, Joshua Rogers, the developer of SSH-Snake, told The Hacker News that the tool offers legitimate system owners a way to identify weaknesses in their infrastructure before attackers do, urging companies to use SSH-Snake to "discover the attack paths that exist -- and fix them."


"It seems to be commonly believed that cyber terrorism 'just happens' all of a sudden to systems, which solely requires a reactive approach to security," Rogers said. "Instead, in my experience, systems should be designed and maintained with comprehensive security measures."


"If a cyber terrorist is able to run SSH-Snake on your infrastructure and access thousands of servers, focus should be put on the people that are in charge of the infrastructure, with a goal of revitalizing the infrastructure such that the compromise of a single host can't be replicated across thousands of others."


Rogers also called attention to the "negligent operations" by companies that design and implement insecure infrastructure, which can be easily taken over by a simple shell script.


"If systems were designed and maintained in a sane manner and system owners/companies actually cared about security, the fallout from such a script being executed would be minimized - as well as if the actions taken by SSH-Snake were manually performed by an attacker," Rogers added.


"Instead of reading privacy policies and performing data entry, security teams of companies worried about this type of script taking over their entire infrastructure should be performing total re-architecture of their systems by trained security specialists - not those that created the architecture in the first place."


The disclosure comes as Aqua uncovered a new botnet campaign named **Lucifer** that exploits misconfigurations and existing flaws in Apache Hadoop and Apache Druid to corral them into a network for mining cryptocurrency and staging distributed denial-of-service (DDoS) attacks.


The hybrid cryptojacking malware was [first documented](https://unit42.paloaltonetworks.com/lucifer-new-cryptojacking-and-ddos-hybrid-malware/) by Palo Alto Networks Unit 42 in June 2020, calling attention to its ability to exploit known security flaws to compromise Windows endpoints.


[![Lucifer botnet](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjqTheGYGdici2P-KFmMdTw-RWO8e7KTitzwn-cDx6sLOyscKtPUdHzdqejnp5-yuG4AHCmFi4WSsPjCaSWFye689lg4OS0zaKS3qvJsB_-W1dX5WL5le7Uxh08ogI6DqITK5YpcuaZZ0xBSTFd9g1zD3Y6HV1LphCloCaebaHHqUsKOsWOB32ns5l0nbpF/s728-rw-e365/botnet.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjqTheGYGdici2P-KFmMdTw-RWO8e7KTitzwn-cDx6sLOyscKtPUdHzdqejnp5-yuG4AHCmFi4WSsPjCaSWFye689lg4OS0zaKS3qvJsB_-W1dX5WL5le7Uxh08ogI6DqITK5YpcuaZZ0xBSTFd9g1zD3Y6HV1LphCloCaebaHHqUsKOsWOB32ns5l0nbpF/s728-rw-e365/botnet.jpg)
As many as 3,000 distinct attacks aimed at the Apache big data stack have been detected over the past month, the cloud security firm said. This also comprises those that single out [susceptible Apache Flink instances](https://thehackernews.com/2024/01/cryptominers-targeting-misconfigured.html) to deploy miners and rootkits.


"The attacker implements the attack by exploiting existing misconfigurations and vulnerabilities in those services," security researcher Nitzan Yaakov [said](https://www.aquasec.com/blog/lucifer-ddos-botnet-malware-is-targeting-apache-big-data-stack/).


"Apache open-source solutions are widely used by many users and contributors. Attackers may view this extensive use as an opportunity to have inexhaustible resources for implementing their attacks on them."


  





## Tags:


### Autogenerated tags:
ssh-snake ssh
