# Design Flaw in Google Workspace Could Let Attackers Gain Unauthorized Access
## Researchers reveal a critical design flaw in Google Workspace, dubbed "DeleFriend," that could allow attackers to steal emails, exfiltrate data.
## Information:

+ Link: https://thehackernews.com/2023/11/design-flaw-in-google-workspace-could.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 28 November 2023, 18:04
+ Date scraped: 28 November 2023, 13:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgtngoKJt8wQafhNdmdcBYhqCteuz3X9nfuyfeeo5RjMg4Xp9A7m6HUl-wzcCIhBSFNt4xeOdG5PxLK3GqKdpYlpyfceob5ZCMb2vFAQRv9Sg0BIfOOZnsNFP-a1DDF9ZJQmqJ5x8x1gbE5m1lHzxVN4iPvbZtOppMYm9BLjoZbOXfmaLSukgu-QRT65xdN/s728-rw-ft-e30/google.jpg)


Cybersecurity researchers have detailed a "severe design flaw" in Google Workspace's domain-wide delegation ([DWD](https://support.google.com/a/answer/162106?hl=en)) feature that could be exploited by threat actors to facilitate privilege escalation and obtain unauthorized access to Workspace APIs without super admin privileges.


"Such exploitation could result in theft of emails from Gmail, data exfiltration from Google Drive, or other unauthorized actions within Google Workspace APIs on all of the identities in the target domain," cybersecurity firm Hunters [said](https://www.hunters.security/en/blog/delefriend-a-newly-discovered-design-flaw-in-domain-wide-delegation-could-leave-google-workspace-vulnerable-for-takeover) in a technical report shared with The Hacker News.


The design weakness – which remains active to this date – has been codenamed **DeleFriend** for its ability to manipulate existing delegations in the Google Cloud Platform (GCP) and Google Workspace without possessing super admin privileges.


Domain-wide delegation, per Google, is a "powerful feature" that allows third-party and internal apps to access users' data across an organization's Google Workspace environment.


The vulnerability is rooted in the fact that a domain delegation configuration is determined by the service account resource identifier (OAuth ID), and not the specific private keys associated with the service account identity object.


As a result, potential threat actors with less privileged access to a target GCP project could "create numerous JSON web tokens (JWTs) composed of different OAuth scopes, aiming to pinpoint successful combinations of private key pairs and authorized OAuth scopes which indicate that the service account has domain-wide delegation enabled."


[![Google Workspace](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEis1RsUC-SgwqTBd8woZxprOOxvnDwSUKULT94-1vdibhnRNbE2OqElVE_FxF7kxePBUDluFcAfoUwsl1P2-eBtvhsEtoUtwjsmdbt3dhV2mpYA_cxUh_JIJ1wgBa3O1uXROJ_C90lbZ15B94ffBx9acSCNNdrcTmgxfVXlF0i-LIFIH9eX0c9ovNRGVlG_/s728-rw-ft-e30/key.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEis1RsUC-SgwqTBd8woZxprOOxvnDwSUKULT94-1vdibhnRNbE2OqElVE_FxF7kxePBUDluFcAfoUwsl1P2-eBtvhsEtoUtwjsmdbt3dhV2mpYA_cxUh_JIJ1wgBa3O1uXROJ_C90lbZ15B94ffBx9acSCNNdrcTmgxfVXlF0i-LIFIH9eX0c9ovNRGVlG_/s728-rw-ft-e30/key.jpg)
To put it differently, an IAM identity that has access to create new private keys to a relevant GCP service account resource that has existing domain-wide delegation permission can be leveraged to create a fresh private key, which can be used to perform API calls to Google Workspace on behalf of other identities in the domain.


Successful exploitation of the flaw could allow exfiltration of sensitive data from Google services like Gmail, Drive, Calendar, and others. Hunters has also [made available](https://github.com/axon-git/DeleFriend/) a proof-of-concept (PoC) that can be utilized to detect DWD misconfigurations.


"The potential consequences of malicious actors misusing domain-wide delegation are severe," Hunters security researcher Yonatan Khanashvili said. "Instead of affecting just a single identity, as with individual OAuth consent, exploiting DWD with existing delegation can impact every identity within the Workspace domain.



  





## Tags:


### Autogenerated tags:
google domain-wide oauth dwd gcp
