# Identity in the Shadows: Shedding Light on Cybersecurity's Unseen Threats
## Ever heard of shadow admins? A single slip in settings can create 109 of them, risking your entire network's security! Learn how to prevent this.
## Information:

+ Link: https://thehackernews.com/2024/04/identity-in-shadows-shedding-light-on.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 16 April 2024, 16:40
+ Date scraped: 16 April 2024, 12:09

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjN60ahvPWiEy_xGWgklhUBWXvA-oaOfnzI6zZvumNozUDN6L2NIN_zwfqt2nEmZJEyDtkUsIQbFqX31xFHIcpuSR4YcbJA6QYhvpW4T47hAUWBj0s_hD0YVVkmIuw8LSUK5MK9eofaYLTx_LQqzb_RjIuwLrtYyyrH-lpQlgBZql_DFFKGyz-HmQ8HaZk/s728-rw-e365/silverfort.png)


In today's rapidly evolving digital landscape, organizations face an increasingly complex array of cybersecurity threats. The proliferation of cloud services and remote work arrangements has heightened the vulnerability of digital identities to exploitation, making it imperative for businesses to fortify their identity security measures.


Our recent research report, [**The Identity Underground Report**](https://www.silverfort.com/the-identity-underground-report-thn-contributed-article/?utm_campaign=identity-underground-report-24&utm_source=thn&utm_medium=article&utm_term=april24&utm_content=idu24), offers valuable insights into the challenges and vulnerabilities organizations encounter in managing digital identities. The report paints a vivid picture of the "hidden" identity security liabilities where attackers leverage Identity Threat Exposures (ITEs) such as forgotten user accounts and misconfigurations to breach organizations' defenses, with each ITE posing a significant threat to organizations' security posture.




Discover the [most common identity security gaps](https://www.silverfort.com/the-identity-underground-report-thn-contributed-article/?utm_campaign=identity-underground-report-24&utm_source=thn&utm_medium=article&utm_term=april24&utm_content=idu24) that lead to compromises in the first-ever threat report focused entirely on the prevalence of identity security gaps.


[🔗 Get the Full Report](https://www.silverfort.com/the-identity-underground-report-thn-contributed-article/?utm_campaign=identity-underground-report-24&utm_source=thn&utm_medium=article&utm_term=april24&utm_content=idu24)



These findings reveal alarming statistics that underscore the widespread prevalence of ITEs across organizations of all sizes:


* 67% of organizations unknowingly expose their SaaS applications to potential compromise through insecure password synchronization practices.
* 37% of admin users still rely on weak authentication protocols like NTLM.
* 31% of user accounts are service accounts, which attackers seek to target as security teams often overlook them.
* A single misconfiguration in Active Directory spawns an average of 109 new shadow admins, enabling attackers to change settings and permissions, and gain more access to machines as they move deeper into an environment.


The shift to cloud-based environments introduces additional challenges, as organizations synchronize on-prem user accounts with cloud Identity Providers (IdPs). While this streamlines access, it also creates a pathway for attackers to exploit ITEs in on-prem settings to gain unauthorized access to cloud resources.


Ultimately, it is essential to recognize the dynamic nature of identity threats. Cybercriminals are constantly evolving their tactics, underscoring the need for a holistic and layered approach to security. By adopting proactive measures like Multi-Factor Authentication (MFA) and investing in robust identity security solutions, organizations can enhance their resilience against identity-related threats.


[**Learn more about the underground weaknesses that expose organizations to identity threats here**](https://www.silverfort.com/the-identity-underground-report-thn-contributed-article/?utm_campaign=identity-underground-report-24&utm_source=thn&utm_medium=article&utm_term=april24&utm_content=idu24) and heed the report's findings to prioritize security investments and eliminate your identity security blind spots.



  





## Tags:


### Autogenerated tags:
cloud ites
