# Kinsing Cryptojacking Hits Kubernetes Clusters via Misconfigured PostgreSQL
## Beware! Kinsing cryptojacking attacks are targeting Kubernetes clusters through misconfigured PostgreSQL.
## Information:

+ Link: https://thehackernews.com/2023/01/kinsing-cryptojacking-hits-kubernetes.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 09 January 2023, 14:03
+ Date scraped: 09 January 2023, 16:05

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEipp97ofle-w8JdZjotEsuSYpK7tXS-MgqyuPdIEnwmnzIn8s28Bw8yRtVlR8tR0SM38euM9nH84aLDWftrfCmSK-mN8QrXJPEWUButPsXrsUtt9xXUZ-1X1oY1yxwZK9AjjJDFYkcjpQqdJRIMlQ9QmbF6fRqSsqDyBVKVMnRGlwr5l8Ov5QC9I86T/s728-rj-e3650/bitcoing.png)


The threat actors behind the **Kinsing** cryptojacking operation have been spotted exploiting misconfigured and exposed PostgreSQL servers to obtain initial access to Kubernetes environments.


A second initial access vector technique entails the use of vulnerable images, Sunders Bruskin, security researcher at Microsoft Defender for Cloud, [said](https://techcommunity.microsoft.com/t5/microsoft-defender-for-cloud/initial-access-techniques-in-kubernetes-environments-used-by/ba-p/3697975) in a report last week.


Kinsing has a [storied history](https://thehackernews.com/2022/09/hackers-targeting-weblogic-servers-and.html) of targeting [containerized environments](https://www.trendmicro.com/en_my/research/22/i/how-malicious-actors-abuse-native-linux-tools-in-their-attacks.html), often leveraging misconfigured open Docker daemon API ports as well as abusing newly disclosed exploits to drop cryptocurrency mining software.


The threat actor, in the past, has also been discovered [employing a rootkit](https://www.trendmicro.com/en_us/research/20/k/analysis-of-kinsing-malwares-use-of-rootkit.html) to hide its presence, in addition to terminating and uninstalling competing resource-intensive services and processes.


Now according to Microsoft, misconfigurations in [PostgreSQL servers](https://unit42.paloaltonetworks.com/pgminer-postgresql-cryptocurrency-mining-botnet/) have been co-opted by the Kinsing actor to gain an initial foothold, with the company observing a "large amount of clusters" infected in this manner.


[![Kinsing Cryptojacking Attacks](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgUmil_Dxfy8CmuoeYsBibm8C09UnnUXGO9U3tbrNgOf7VLTel5cTdWzryc4bAjs8Jz6SnZgMtn5vpEIKlzfP3NEf1BJfj7IrWQGYsJdYNNf7yFHInv8tBUfEqflS3o2bu1SxyRKmpxxxC2CFa4utf8f6KnEpnAO9UfVnrr4Sqolzy_zO2lesaFtYA5/s728-rj-e365/CLUSTER.png)
The misconfiguration relates to a [trust authentication setting](https://www.postgresql.org/docs/current/auth-trust.html), which could be abused to connect to the servers sans any authentication and achieve code execution should the option be set up to accept connections from any IP address.


"In general, allowing access to a broad range of IP addresses is exposing the PostgreSQL container to a potential threat," Bruskin explained.

 The alternative attack vector targets servers with vulnerable versions of PHPUnit, Liferay, WebLogic, and Wordpress that are susceptible to remote code execution in order to run malicious payloads.


What's more, a recent "widespread campaign" involved the attackers scanning for open [default WebLogic port 7001](https://docs.oracle.com/middleware/1213/core/ASADM/portnums.htm#ASADM432), and if found, executing a shell command to launch the malware.


"Exposing the cluster to the Internet without proper security measures can leave it open to attack from external sources," Bruskin said. "In addition, attackers can gain access to the cluster by taking advantage of known vulnerabilities in images."


  





## Tags:


### Autogenerated tags:
kinsing postgresql bruskin
