# Kinsing Hacker Group Exploits More Flaws to Expand Botnet for Cryptojacking
## Kinsing cryptojacking group evolves again, targeting new vulnerabilities to expand its botnet.
## Information:

+ Link: https://thehackernews.com/2024/05/kinsing-hacker-group-exploits-more.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 May 2024, 22:50
+ Date scraped: 17 May 2024, 18:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhI4mP8B96EWYEiuIhr6QfWevzBBDrF1MExz8DaxQyyFW5Xi8oI5PbXBXtS9s2pHFVphKGD-17WDofzuHK0yqCr6pZ6wlGEPnWXEpVl8O5bynP0-n-wITgskYUjgHq5TqJp0XGOSm9hW1oAmzlsRdvXHciMXmnCjotvoj0Tugvqgcu4fvm_4WwFVgZxLgaJ/s728-rw-e365/victim.png)


The cryptojacking group known as **Kinsing** has demonstrated its ability to continuously evolve and adapt, proving to be a persistent threat by swiftly integrating newly disclosed vulnerabilities to exploit arsenal and expand its botnet.


The [findings](https://1665891.fs1.hubspotusercontent-na1.net/hubfs/1665891/Threat%20reports/AquaSecurity_Kinsing_Demystified_Technical_Guide.pdf) come from cloud security firm Aqua, which described the threat actor as actively orchestrating illicit cryptocurrency mining campaigns since 2019.


Kinsing (aka [H2Miner](https://www.lacework.com/blog/h2miner-botnet)), a name given to both the malware and the adversary behind it, has consistently expanded its toolkit with new exploits to enroll infected systems in a crypto-mining botnet. It was [first documented](https://trustedsec.com/blog/netscaler-honeypot) by TrustedSec in January 2020.


In recent years, campaigns involving the Golang-based malware have weaponized [various flaws](https://www.forescout.com/resources/kinsing-cloud-cryptojacker/) in [Apache ActiveMQ](https://thehackernews.com/2023/11/kinsing-hackers-exploit-apache-activemq.html), [Apache Log4j](https://thehackernews.com/2022/04/hackers-exploiting-spring4shell.html), [Apache NiFi](https://thehackernews.com/2023/05/cybercriminals-targeting-apache-nifi.html), [Atlassian Confluence](https://thehackernews.com/2022/06/atlassian-confluence-flaw-being-used-to.html), [Citrix](https://redcanary.com/blog/threat-intelligence/kinsing-malware-citrix-saltstack/), [Liferay Portal](https://blog.redteam.pl/2020/06/kinsing-malware-liferay.html), [Linux](https://thehackernews.com/2023/11/kinsing-actors-exploit-linux-flaw-to.html), [Openfire](https://thehackernews.com/2023/08/alert-juniper-firewalls-openfire-and.html), [Oracle WebLogic Server](https://thehackernews.com/2022/09/hackers-targeting-weblogic-servers-and.html), and [SaltStack](https://redcanary.com/blog/threat-intelligence/kinsing-malware-citrix-saltstack/) to breach vulnerable systems.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Other methods have also involved exploited misconfigured [Docker](https://www.aquasec.com/blog/threat-alert-kinsing-malware-container-vulnerability/), [PostgreSQL](https://thehackernews.com/2023/01/kinsing-cryptojacking-hits-kubernetes.html), and [Redis instances](https://www.trendmicro.com/en_us/research/20/d/exposed-redis-instances-abused-for-remote-code-execution-cryptocurrency-mining.html) to obtain initial access, after which the endpoints are marshaled into a botnet for crypto-mining, but not before disabling security services and removing rival miners already installed on the hosts.


Subsequent analysis by CyberArk in 2021 [unearthed](https://www.cyberark.com/resources/threat-research-blog/kinsing-the-malware-with-two-faces) commonalities between Kinsing and another malware called NSPPS, concluding that both the strains "represent the same family."


Kinsing's attack infrastructure falls into three primary categories: Initial servers used for scanning and exploiting vulnerabilities, download servers responsible for staging payloads and scripts, and command-and-control (C2) servers that maintain contact with compromised servers.


The IP addresses used for C2 servers resolve to Russia, while those that are used to download the scripts and binaries span countries like Luxembourg, Russia, the Netherlands, and Ukraine.


"Kinsing targets various operating systems with different tools," Aqua said. "For instance, Kinsing often uses shell and Bash scripts to exploit Linux servers."


"We've also seen that Kinsing is targeting Openfire on Windows servers using a PowerShell script. When running on Unix, it's usually looking to download a binary that runs on x86 or ARM."


Another notable aspect of the threat actor's campaigns is that 91% of the targeted applications are open-source, with the group mainly singling runtime applications (67%), databases (9%), and cloud infrastructure (8).


![Cryptojacking](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiKI6b-nJHBqbJ0pDyFl4svgQwjRLdOeLL4LtwgASFgJNXhW-VApcB7jsketxqxuRuLmU1m6PqQFWx6wAPrGV72_PxuKvXVI4ZcUQ1u4Ldws1Tjk-yVX7qRVE8oBgg3jGulvTKMplYhpt8GPKHyGn4AmtHXfwND5HWlKoSCwVoyTL_4Ql1Izi5Vbwa-Xm4S/s728-rw-e365/cve.jpeg)
An extensive analysis of the artifacts has further revealed three distinct categories of programs -


* **Type I and Type II scripts**, which are deployed post initial access and are used to download next-stage attack components, eliminate competition, and evade defenses by disabling firewall, terminating security tools like SELinux, AppArmor, and Aliyun Aegis, and [deploying a rootkit](https://www.trendmicro.com/en_us/research/20/k/analysis-of-kinsing-malwares-use-of-rootkit.html) to hide the malicious processes


* **Auxiliary scripts**, which are designed to accomplish initial access by exploiting a vulnerability, disable specific security components associated with Alibaba Cloud and Tencent Cloud services from a Linux system, open a reverse shell to a server under the attacker's control, and facilitate the retrieval of miner payloads


* **Binaries**, which act as a second-stage payload, including the core Kinsing malware and the crypto-miner to miner Monero


The malware, for its part, is engineered to keep tabs on the mining process and share its process identifier (PID) with the C2 server, perform connectivity checks, and send execution results, among others.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
"Kinsing targets Linux and Windows systems, often by exploiting vulnerabilities in web applications or misconfigurations such as Docker API and Kubernetes to run cryptominers," Aqua said. "To prevent potential threats like Kinsing, proactive measures such as hardening workloads pre-deployment are crucial."


The disclosure comes as botnet malware families are increasingly finding ways to broaden their reach and recruit machines into a network for carrying out malicious activities.


This is best exemplified by [P2PInfect](https://thehackernews.com/2023/12/new-p2pinfect-botnet-mips-variant.html), a Rust malware that has been found to exploit poorly-secured Redis servers to deliver variants compiled for MIPS and ARM architectures.


"The main payload is capable of performing various operations, including propagating and delivering other modules with filenames that speak for themselves like miner and winminer," Nozomi Networks, which discovered samples targeting ARM earlier this year, [said](https://www.nozominetworks.com/blog/p2pinfect-worm-evolves-to-target-a-new-platform).


"As its name suggests, the malware is capable of performing Peer-to-Peer (P2P) communications without relying on a single Command and Control server (C&C) to propagate attackers' commands."


  





## Tags:


### Autogenerated tags:
kinsing malware botnet cloud linux c2
