# Malicious Campaigns Exploit Weak Kubernetes Clusters for Crypto Mining
## Cybercriminals are actively targeting vulnerable Kubernetes clusters, deploying crypto miners and backdoors.
## Information:

+ Link: https://thehackernews.com/2023/08/malicious-campaigns-exploit-weak.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 09 August 2023, 14:35
+ Date scraped: 09 August 2023, 10:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj2CjHvffxUkcgLx3PrroezWXlc_cvpw4dSberyJaY4GkcpZGvAUWHRiD2-N_s2B7BSP11DEZP1N_DsCfuzw8VmC74TP491Eni6ei8H9zjgWWV93FEDp2lmdByV-S6FEovfsQZC9Q6dYBMn_9UVvNYJ27PyeVAJ1G6D_X8V1YK_HgvRBoXkJbs7aS707P2Q/s728-e3650/exploit.jpg)


Exposed Kubernetes (K8s) clusters are being exploited by malicious actors to deploy cryptocurrency miners and other backdoors.


Cloud security firm Aqua, in a [report](https://blog.aquasec.com/kubernetes-exposed-one-yaml-away-from-disaster) shared with The Hacker News, said a majority of the clusters belonged to small to medium-sized organizations, with a smaller subset tied to bigger companies, spanning financial, aerospace, automotive, industrial, and security sectors.


In total, Kubernetes clusters belonging to more than 350 organizations, open-source projects, and individuals were discovered, 60% of which were the target of an active crypto-mining campaign.


The publicly-accessible clusters, per Aqua, are said to suffer from two different kinds of misconfigurations: allowing anonymous access with high privileges and running kubectl proxy with the flags "--address=`0.0.0.0` --accept-hosts `.\*`"


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
"Housing a wide array of sensitive and valuable assets, Kubernetes clusters can store customer data, financial records, intellectual property, access credentials, secrets, configurations, container images, infrastructure credentials, encryption keys, certificates, and network or service information," security researchers Michael Katchinskiy and Assaf Morag said.


[![Crypto Mining](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgCSanyzPWsMpgD2-oeJaK-xbbbx-vjGIfjKI--KYg-98D4VzZNzDa-qYdBT3XC03_vzItqFSyu-DXGvySeeazZfLN238mUe6J4dJ3pi2iXp6ibWhyw4oCC55S0VFlYRUoze0iVmBIrHIsEQc26GmnDUFXkrB8wN4O7m_tfwNoMMQaSU1RRfJgunLj7bwg2/s728-e3650/anon.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgCSanyzPWsMpgD2-oeJaK-xbbbx-vjGIfjKI--KYg-98D4VzZNzDa-qYdBT3XC03_vzItqFSyu-DXGvySeeazZfLN238mUe6J4dJ3pi2iXp6ibWhyw4oCC55S0VFlYRUoze0iVmBIrHIsEQc26GmnDUFXkrB8wN4O7m_tfwNoMMQaSU1RRfJgunLj7bwg2/s728-e365/anon.jpg)
Found among the exposed K8s clusters are pods lists containing sensitive environment variables and access keys that could be exploited by bad actors to burrow deep into the target environment, access source code repositories, and worse, introduce malicious modifications if possible.


A closer examination of the clusters has revealed three different ongoing campaigns aimed at mining cryptocurrency, including a [Dero cryptojacking operation](https://thehackernews.com/2023/03/new-cryptojacking-operation-targeting.html), [RBAC Buster](https://thehackernews.com/2023/04/kubernetes-rbac-exploited-in-large.html), and TeamTNT's [Silentbob](https://thehackernews.com/2023/07/teamtnts-silentbob-botnet-infecting-196.html).


"Despite the severe security implications, such misconfigurations are prevalent across organizations, irrespective of their size, indicating a gap in the understanding and management of Kubernetes security," the researchers said.


  





## Tags:
***ipv4-adresses***: 0.0.0.0

### Autogenerated tags:
kubernetes
