# Microsoft Azure Services Flaws Could've Exposed Cloud Resources to Unauthorized Access
## Researchers have discovered severe Server-Side Request Forgery (SSRF) vulnerabilities in 4 Microsoft Azure services.
## Information:

+ Link: https://thehackernews.com/2023/01/microsoft-azure-services-flaws-couldve.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 January 2023, 14:12
+ Date scraped: 17 January 2023, 15:01

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhzDIX0mKDDTl8b5U35Cv72fGLjNOaay_fbcni0Zry8T-uu3Lps8y2eX2-YlPcaKiJ7ytY-JCFJGvhoh7eks922quPbKdIzPThjY7a2Rf7eFWECoxC2QVUIOcgHir73VMowg-uxBAEq-Qj4nXZhXC_NhQymWHn6XwLwHbT7RcKLCGbPLeHrEHAvXNfA/s728-rj-e3650/azure.png)


Four different Microsoft Azure services have been found vulnerable to server-side request forgery ([SSRF](https://owasp.org/www-community/attacks/Server_Side_Request_Forgery)) attacks that could be exploited to gain unauthorized access to cloud resources.


The security issues, which were discovered by Orca between October 8, 2022 and December 2, 2022 in Azure API Management, Azure Functions, Azure Machine Learning, and Azure Digital Twins, have since been addressed by Microsoft.


"The discovered Azure SSRF vulnerabilities allowed an attacker to scan local ports, find new services, endpoints, and sensitive files - providing valuable information on possibly vulnerable servers and services to exploit for initial entry and the location of sensitive information to target," Orca researcher By Lidor Ben Shitrit [said](https://orca.security/resources/blog/ssrf-vulnerabilities-in-four-azure-services) in a report shared with The Hacker News.


Two of the vulnerabilities affecting Azure Functions and Azure Digital Twins could be abused without requiring any authentication, enabling a threat actor to seize control of a server without even having an Azure account in the first place.


SSRF attacks could have [serious consequences](https://learn.snyk.io/lessons/ssrf-server-side-request-forgery/javascript/) as they enable a malicious interloper to read or update internal resources, and worse, pivot to other parts of the network, breach otherwise unreachable systems to extract valuable data.


Three of the flaws are rated Important in severity, while the SSRF flaw impacting Azure Machine Learning is rated Low in severity. All the weaknesses can be leveraged to manipulate a server to mount further attacks against a susceptible target.


A brief summary of the four vulnerabilities is as follow -


* Unauthenticated SSRF on Azure Digital Twins Explorer via a flaw in the /proxy/blob endpoint that could be exploited to get a response from any service that's suffixed with "blob.core.windows[.]net"
* Unauthenticated SSRF on Azure Functions that could be exploited to enumerate local ports and access internal endpoints
* Authenticated SSRF on Azure API Management service that could be exploited to list internal ports, including one associated with a source code management service that could then be used to access sensitive files
* Authenticated SSRF on Azure Machine Learning service via the /datacall/streamcontent endpoint that could be exploited to fetch content from arbitrary endpoints

 To mitigate such threats, organizations are recommended to validate all input, ensure that servers are configured to only allow necessary inbound and outbound traffic, avoid misconfigurations, and adhere to the principle of least privilege ([PoLP](https://en.wikipedia.org/wiki/Principle_of_least_privilege)).


"The most notable aspect of these discoveries is arguably the number of SSRF vulnerabilities we were able to find with only minimal effort, indicating just [how prevalent they are](https://orca.security/resources/blog/oracle-server-side-request-forgery-ssrf-attack-metadata/) and the risk they pose in cloud environments," Ben Shitrit said.


  





## Tags:
***urls***: http://blob.core.windows.net

### Autogenerated tags:
ssrf
