# Microsoft Exposes Russian Hackers' Sneaky Phishing Tactics via Microsoft Teams Chats
## Microsoft reveals highly targeted social engineering attacks by Russian threat actor, using Microsoft Teams chats to steal credentials via phishing .
## Information:

+ Link: https://thehackernews.com/2023/08/microsoft-exposes-russian-hackers.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 03 August 2023, 12:08
+ Date scraped: 03 August 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhr61VbERFtZ3GK-p4e3WkReNEPSTyLVfIFFgyVZInPYs2szWJuXO43x5qM326coDKh7xNky7gpMsvAdkIROL8uQSPtVgL-3O6iuUv0BXAOf6Fz7wJ91EAzyOuwbz-sULIo7LpQoHvHMayj9kizC7TVxV-YbdbE4M7MgP5vANPRp8G07kogpF-5nZmVsGco/s728-e3650/ms.jpg)


Microsoft on Wednesday disclosed that it identified a set of highly targeted social engineering attacks mounted by a Russian nation-state threat actor using credential theft phishing lures sent as Microsoft Teams chats.


The tech giant attributed the attacks to a group it tracks as [**Midnight Blizzard**](https://thehackernews.com/2023/06/microsoft-warns-of-widescale-credential.html) (previously Nobelium). It's also called APT29, BlueBravo, Cozy Bear, Iron Hemlock, and The Dukes.


"In this latest activity, the threat actor uses previously compromised Microsoft 365 tenants owned by small businesses to create new domains that appear as technical support entities," the company [said](https://www.microsoft.com/en-us/security/blog/2023/08/02/midnight-blizzard-conducts-targeted-social-engineering-over-microsoft-teams/).


"Using these domains from compromised tenants, Midnight Blizzard leverages Teams messages to send lures that attempt to steal credentials from a targeted organization by engaging a user and eliciting approval of multi-factor authentication (MFA) prompts."


Microsoft said the campaign, observed since at least late May 2023, affected less than 40 organizations globally spanning government, non-government organizations (NGOs), IT services, technology, discrete manufacturing, and media sectors.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjDdxUPmQ8UJQm7kd9rIBsYCDlCQoR3bqVu4rchvOWFKGtnDq1ldILMskU-tlbXnHlWQVvGxivE1Fe-Lh5dJlECjsiblKiu8sbqMdqKgxy97B6MLcQuXtpP2lOmhjny2d5jmCkjl9wSzPqoLkAQ2KHee1cno62wV4IXDkMLIFfzgANa6DJDIBjFicKsID_i/s728-e3650/1.png)](https://thn.news/edWGl41h)
The threat actor has been observed to utilize token theft techniques for initial access into targeted environments, alongside other methods such as authentication spear-phishing, password spray, and brute-force attacks.


Another known hallmark is its exploitation of on-premises environments to laterally move to the cloud as well as the abuse of service providers' trust chain to gain access to downstream customers, as observed in the [SolarWinds hack of 2020](https://thehackernews.com/2021/01/heres-how-solarwinds-hackers-stayed.html).


In the new round of attacks linked to Midnight Blizzard, a new onmicrosoft.com subdomain is added to a tenant previously compromised in attacks, followed by creating a new user with that subdomain to initiate a Teams chat request with potential targets by masquerading as a technical support person or Microsoft's Identity Protection team.


[![Microsoft](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjp4CAGU5zbzxl8eBdO1mTY1ZMyN-AjBEtNkxk_uFSAn7_PUKBnB6M6SPuvRhGiv-6SQ7ZMJ6mxH9lfLcLRzxzTlldcXVQzY9exfLNB6W7pFWnRGNbVTntuh73PLFhhbkQafq-48j5FHDGvn_DIFloh3u40XVG-zZpx8wyMVj87rl9gT8q8a9hM9VMQTPVl/s728-e3650/ms.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjp4CAGU5zbzxl8eBdO1mTY1ZMyN-AjBEtNkxk_uFSAn7_PUKBnB6M6SPuvRhGiv-6SQ7ZMJ6mxH9lfLcLRzxzTlldcXVQzY9exfLNB6W7pFWnRGNbVTntuh73PLFhhbkQafq-48j5FHDGvn_DIFloh3u40XVG-zZpx8wyMVj87rl9gT8q8a9hM9VMQTPVl/s728-e365/ms.jpg)
"If the target user accepts the message request, the user then receives a Microsoft Teams message from the attacker attempting to convince them to enter a code into the Microsoft Authenticator app on their mobile device," Microsoft explained.


Should the victim follow through with the instructions, the threat actor is granted a token to authenticate as the targeted user, thereby allowing for account takeover and follow-on post-compromise activity.


"In some cases, the actor attempts to add a device to the organization as a managed device via Microsoft Entra ID (formerly Azure Active Directory), likely an attempt to circumvent conditional access policies configured to restrict access to specific resources to managed devices only," Microsoft cautioned.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
The findings come days after the threat actor was attributed to phishing attacks targeting diplomatic entities throughout Eastern Europe with the goal of delivering a new backdoor called [GraphicalProton](https://thehackernews.com/2023/07/bluebravo-deploys-graphicalproton.html).


They also follow the discovery of several new Azure AD (AAD) Connect attack vectors that could allow malicious cyber actors to create an undetectable backdoor by stealing cryptographic hashes of passwords by injecting malicious code into a hash syncing process and intercepting credentials by means of an adversary-in-the-middle (AitM) attack.


"For example, attackers can leverage the extraction of NT hashes to ensure they receive every future password change in the domain," Sygnia [said](https://blog.sygnia.co/guarding-the-bridge-new-attack-vectors-in-azure-ad-connect) in a statement shared with The Hacker News.


"Threat actors can also use [Active Directory Certificate Services] to obtain AAD Connector passwords, as well as serve as a man-in-the-middle and launch attacks against SSL-encrypted channels in the network by exploiting misconfigurations in certificate templates that have server authentication."


  





## Tags:


### Autogenerated tags:
microsoft teams
