# Microsoft Fixes New Azure AD Vulnerability Impacting Bing Search and Major Apps
## Microsoft patches Azure Active Directory misconfiguration issue, which exposed high-impact apps to unauthorized access.
## Information:

+ Link: https://thehackernews.com/2023/04/microsoft-fixes-new-azure-ad.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 01 April 2023, 08:33
+ Date scraped: 01 April 2023, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgde8cSrNHfpZvioZJ_-XzfDcXDogGEejsQ3gXxsLQpFQxKg8Hz_32u78iOVhdsD5c6snYIq3ponuzf69ZsEAdi8u8wRJs1rPCxXD39THYgbQkKb4Mh5-TONj6-g0rclQClo-eLZsuw2YrJ8YARwkNCnGrYqz536uTHkyUOgqWZAhTzJ9X-SNVjZDqp/s728-e3650/bingbang.png)


Microsoft has patched a misconfiguration issue impacting the Azure Active Directory ([AAD](https://azure.microsoft.com/en-us/products/active-directory/)) identity and access management service that exposed several "high-impact" applications to unauthorized access.


"One of these apps is a content management system (CMS) that powers Bing.com and allowed us to not only modify search results, but also launch high-impact XSS attacks on Bing users," cloud security firm Wiz [said](https://www.wiz.io/blog/azure-active-directory-bing-misconfiguration) in a report. "Those attacks could compromise users' personal data, including Outlook emails and SharePoint documents."


The issues were reported to Microsoft in January and February 2022, following which the tech giant applied fixes and awarded Wiz a $40,000 bug bounty. Redmond [said](https://msrc.microsoft.com/blog/2023/03/guidance-on-potential-misconfiguration-of-authorization-of-multi-tenant-applications-that-use-azure-ad/) it found no evidence that the misconfigurations were exploited in the wild.


The crux of the vulnerability stems from what's called "Shared Responsibility confusion," wherein an Azure app can be incorrectly configured to allow users from any Microsoft tenant, leading to a potential case of unintended access.


Interestingly, a number of Microsoft's own internal apps were found to exhibit this behavior, thereby permitting external parties to obtain read and write to the affected applications.


This includes the Bing Trivia app, which the cybersecurity firm exploited to alter search results in Bing and even manipulate content on the homepage as part of an attack chain dubbed BingBang.


[![Azure AD Vulnerability](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjVy55TVfY4sfnTop_zZxAkAAt5PzyxVdH8ubaHTTU0awt6Yuk4lWwXDDD8uUIGcZnaE4H9ZKUtB33ftUyHKFrEeVn3dQI2uAApmLoHleIn5uaquSsJ7lYzX-_JHi_amJYynQ-TZBabQxQJZMuaB7k23HawOJNAuZYNvuNd9mq418YR_6HyBiGeAI-G/s728-e365/bing.gif)
To make matters worse, the exploit could be weaponized to trigger a cross-site scripting (XSS) attack on Bing.com and extract a victim's Outlook emails, calendars, Teams messages, SharePoint documents, and OneDrive files.


[![Azure AD Vulnerability](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEic6jDTi-_gPU20JXYxj8qKa9m6OlR8b68Jf194A4mAz_RryajUHgbj9u1pp74Hf_f_c2xqb_enhPwtuGVZcYGjT7r775NnqVYPQhd1GIrtT9VjvEB5tU1FmZRncKiorewsOVbyBOWXJSZyrwtGpr3Ex_e2lwgBXIzhSuF3kEUn7KwPTFrj6ntG4v9T/s728-e365/bing.png)
"A malicious actor with the same access could've hijacked the most popular search results with the same payload and leak sensitive data from millions of users," Wiz researcher Hillai Ben-Sasson noted.


Other apps that were found susceptible to the misconfiguration issue include Mag News, Central Notification Service (CNS), Contact Center, PoliCheck, Power Automate Blog, and COSMOS.


The development comes as enterprise penetration testing firm NetSPI [revealed](https://www.netspi.com/blog/technical/vulnerability-research/azure-service-bus-power-platform/) details of a cross-tenant vulnerability in [Power Platform connectors](https://learn.microsoft.com/en-us/connectors/connectors) that could be abused to gain access to sensitive data.


Following responsible disclosure in September 2022, the deserialization vulnerability was resolved by Microsoft in December 2022.


The research also follows the release of patches to remediate [Super FabriXss](https://thehackernews.com/2023/03/researchers-detail-severe-super.html) (CVE-2023-23383, CVSS score: 8.2), a reflected XSS vulnerability in Azure Service Fabric Explorer (SFX) that could lead to unauthenticated remote code execution.



  





## Tags:
***CVE's***: CVE-2023-23383

### Autogenerated tags:
microsoft apps xss
