# New Threat: Stealthy HeadCrab Malware Compromised Over 1,200 Redis Servers
## HeadCrab Alert! A new stealthy botnet malware that is undetectable by various antivirus solutions has infected over 1,200 Redis servers worldwide.
## Information:

+ Link: https://thehackernews.com/2023/02/new-threat-stealthy-headcrab-malware.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 02 February 2023, 06:47
+ Date scraped: 02 February 2023, 07:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhX2mYbV7bAhCevDmu82R5lL1GvAQysmZg3n3nFSYM4HhOBpTcisZDHV1q6ve_RRTKeStadHKGSzCXdIXjJOXMgZHpF3HLlWkd7O4IXeKZrc0sE_biB4jVjk_tqwpHNNuXasxNF6RzAEs8nmIM_LrUNdOuQjmLhcc5xq-crYcRuOBmaNrApL7OsVYkY/s728-e3650/redis.png)


At least 1,200 Redis database servers worldwide have been corralled into a botnet using an "elusive and severe threat" dubbed HeadCrab since early September 2021.


"This advanced threat actor utilizes a state-of-the-art, custom-made malware that is undetectable by agentless and traditional anti-virus solutions to compromise a large number of Redis servers," Aqua security researcher Asaf Eitani [said](https://blog.aquasec.com/headcrab-attacks-servers-worldwide-with-novel-state-of-art-redis-malware) in a Wednesday report.


A significant concentration of infections has been recorded in China, Malaysia, India, Germany, the U.K., and the U.S. to date. The origins of the threat actor are presently unknown.


The findings come two months after the cloud security firm shed light on a Go-based malware codenamed [Redigo](https://thehackernews.com/2022/12/hackers-exploiting-redis-vulnerability.html) that has been found compromising Redis servers.


The attack is designed to target Redis servers that are exposed to the internet, followed by issuing a [SLAVEOF command](https://redis.io/commands/slaveof/) from another Redis server that's already under the adversary's control.


[![HeadCrab Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhcd_ufgOUq8Y4qqTLzj0WPmtV97OiHqve39UGug0D-FKW0HOMpGJdXs6AuWxsne_KaOy_h2kOzD6gwNBwuSHSXKYlXsDvT5A7jhoB-o4ScVFaTq1Sts33sa7ZD_INZAiSaFO4p1XGF7X08gLaAz2EDpu45E7Zka_W3-0jg58P93jNNv9U-uWesiW_h/s728-e365/redis.gif)
In doing so, the rogue "master" server initiates a synchronization of the newly hacked server to download the malicious payload, which contains the sophisticated HeadCrab malware.


"The attacker seems to mainly target Redis servers and has a deep understanding and expertise in Redis modules and APIs as demonstrated by the malware," Eitani noted.


[![HeadCrab Malware](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEidJiC6lfBig4PfVDDEyENfsIiXIuaYWxhhmQ_Jq2Fn646ukycb3NtxagZxRGTSpilMhLF2xwF5CXdijwsQuBINNEAKwX9TaaMNQ9HfqbVeoL0NtbE937lzykTTHIwFr3RfkJgFOtLmu4SxRTM9akSxOtpK9AxswysgikDKd5j8G4mPxiJaRgorg9f3/s728-e365/map.png)
While the ultimate end goal of using the memory-resident malware is to hijack the system resources for cryptocurrency mining, it also boasts of numerous other options that allows the threat actor to execute shell commands, load fileless kernel modules, and exfiltrate data to a remote server.

 What's more, a follow-on analysis of the Redigo malware has revealed it to be weaponizing the same master-slave technique for proliferation, and not the Lua sandbox escape flaw (CVE-2022-0543) as previously disclosed.


Users are recommended to refrain from exposing Redis servers directly to the internet, disable the "SLAVEOF" feature in their environments if not in use, and configure the servers to only accept connections from trusted hosts.


Eitani said "HeadCrab will persist in using cutting-edge techniques to penetrate servers, either through exploiting misconfigurations or vulnerabilities."



  





## Tags:
***CVE's***: CVE-2022-0543

### Autogenerated tags:
redis malware headcrab eitani
