# New XM Cyber Research: 80% of Exposures from Misconfigurations, Less Than 1% from CVEs
## Identity misconfigurations account for 80% of security exposures! Learn how to prioritize and protect your critical assets.
## Information:

+ Link: https://thehackernews.com/2024/05/new-xm-cyber-research-80-of-exposures.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 17 May 2024, 16:59
+ Date scraped: 17 May 2024, 12:11

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgyW5tQUIjpctocrlvWbnUcdnROq7YRBoKp5VQEfa97lFMq6oPX_VN0u_eDInWPMdG2cCEcZgH9L8c0MjYSQoGHpGE1pTPos0ihhtK1IuZIYz7X7go2EOMELR9ch2bTiYMY0ffMQ28jSrkM-xv7KmHgbUTyppDuM_xywMtAR6ZyT5UkT8eR3po0JIXTSeo/s728-rw-e365/main.png)


A new report from XM Cyber has found – among other insights - a *dramatic* gap between where most organizations focus their security efforts, and where the most serious threats actually reside.


The new report, Navigating the Paths of Risk: The State of Exposure Management in 2024, is based on hundreds of thousands of attack path assessments conducted by the [XM Cyber platform](https://xmcyber.com/platform/?utm_medium=sponsorarticle&utm_source=hackernews&utm_campaign=xm-cyber-research) during 2023. These assessments uncovered over 40 million exposures that affected millions of business-critical assets. Anonymized data regarding these exposures was then provided to the Cyentia Institute for independent analysis. To read the full report, [check it out here](https://info.xmcyber.com/research-report-2024-state-of-exposure-management?utm_medium=sponsorarticle&utm_source=hackernews&utm_campaign=xm-cyber-research).


  The findings shine a critical light on the continuing over-emphasis on remediating CVEs in cybersecurity programs. In fact, XM Cyber found that *CVE-based vulnerabilities account for less than 1% of the average organizations' On-prem exposure landscape*. Even when factoring in high-impact exposures that present a risk of compromise to business-critical assets, these CVEs still represent only a small percentage (11%) of the exposure risk profile. 


Where does the lion's share of risk actually lie? Let's dig deeper into the results:


**CVEs: Not Necessarily Exposures**[#](#cves-not-necessarily-exposures)
-----------------------------------------------------------------------


When analyzing the On-premises infrastructure, of the vast majority of organizations (86%) the XM Cyber report found, not surprisingly, that remote code executable vulnerabilities accounted (as mentioned above) for less than 1% of all exposures and only 11% of critical exposures.


The research found that identity and credential misconfigurations represent a staggering 80% of security exposures across organizations, with a third of these exposures putting critical assets at direct risk of breach - a gaping attack vector actively being exploited by adversaries.


Thus, the report makes it clear that while patching vulnerabilities is important, it's not enough. More prevalent threats like attackers poisoning shared folders with malicious code (taint shared content) and using common local credentials on multiple devices expose a much larger share of critical assets (24%) compared to CVEs.


Thus, security programs need to extend far beyond patching CVEs. Good cyber hygiene practices and a focus on mitigating choke points and exposures like weak credential management are crucial.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhZsMQVf5-xR4PMDEyC7yXaOtaIiHEvt9QG7qAQ87-J6sq8Yop0iOnKHaN0z2pJ_4PGLxqQWAb1nCzVY-oBLwt9iZp_hZuTqDPILbOWX0TQ7MSn3Ms-nqnGz95FOf4zGDKCmNxsnLSs_qIbc1UnBfmgglRT01Jc_5mpqJuHUqz1Ovs3rsA6SdQV7bRtees/s728-rw-e365/image1.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhZsMQVf5-xR4PMDEyC7yXaOtaIiHEvt9QG7qAQ87-J6sq8Yop0iOnKHaN0z2pJ_4PGLxqQWAb1nCzVY-oBLwt9iZp_hZuTqDPILbOWX0TQ7MSn3Ms-nqnGz95FOf4zGDKCmNxsnLSs_qIbc1UnBfmgglRT01Jc_5mpqJuHUqz1Ovs3rsA6SdQV7bRtees/s728-rw-e365/image1.png)
**Don't Sweat Dead Ends, Hunt High-Impact Choke Points**[#](#dont-sweat-dead-ends-hunt-highimpact-choke-points)
---------------------------------------------------------------------------------------------------------------


Traditional security tries to fix every vulnerability, but XM Cyber's report shows that 74% of exposures are actually dead ends for attackers - offering them minimal onward or lateral movement. This makes these vulnerabilities, exposures, and misconfiguration less critical to your remediation efforts, allowing more time to focus on the real issues that present a validated threat to critical assets.


The remaining 26% of exposure discovered in the report would allow adversaries to propagate their attacks onward toward critical assets. The XM Cyber Attack Graph Analysis(™) identifies the key intersections where multiple attack paths toward critical assets converge as "choke points". The report highlights that only 2% of exposures reside on "choke points". Giving security teams a far smaller subset of high-impact exposures to focus their remediation efforts on. These "choke points" - are highlighted in yellow & red on the graph below. They are especially dangerous because compromising just one can expose a significant portion of critical assets. In fact, the report found that 20% of choke points expose 10% or more of critical assets. Thus, identifying attack paths and homing in on high-risk choke points can give defenders a bigger bang for their buck - reducing risk much more efficiently. To learn more about choke points, [check out this article](https://xmcyber.com/blog/why-focusing-on-choke-points-can-help-solve-your-resource-constraints/?utm_medium=sponsorarticle&utm_source=hackernews&utm_campaign=xm-cyber-research).


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgSa2CJoaap1i9Fj1mf5r_VuGcADKqTdvIYKfIgLNKqqDCzxRnew9O5wOh9XUqIHCsyfBhCzvQxqm7VxsOEb-M1Zj8ZX-hoMDa5VWdBxbma0LmyGxeefX1huFTO1NowBiUjKq1fOPu9nLbSRajrJrWr-3oFBW93gaJvw_yoSfVIEKzM8oJW29bxA7Na-ic/s728-rw-e365/image2.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgSa2CJoaap1i9Fj1mf5r_VuGcADKqTdvIYKfIgLNKqqDCzxRnew9O5wOh9XUqIHCsyfBhCzvQxqm7VxsOEb-M1Zj8ZX-hoMDa5VWdBxbma0LmyGxeefX1huFTO1NowBiUjKq1fOPu9nLbSRajrJrWr-3oFBW93gaJvw_yoSfVIEKzM8oJW29bxA7Na-ic/s728-rw-e365/image2.png)
**Finding and Categorizing Exposures: Focus on Critical Assets** [#](#finding-and-categorizing-exposures-focus-on-critical-assets)
----------------------------------------------------------------------------------------------------------------------------------


Where are exposures and how do attackers exploit them? Traditionally, the attack surface is seen as everything in the IT environment. However, the report shows that effective security requires understanding where valuable assets reside and how they are exposed.


For example, the report analyzes the distribution of potential attack points across environments – finding that not all entities are vulnerable (see the graph below). A more critical metric is exposure to critical assets. Cloud environments hold the most critical asset exposures, followed by Active Directory (AD) and IT/Network devices.


It's worth drilling down into the extreme vulnerability of organizational AD. Active Directory remains the cornerstone of organizational identity management – yet the report found that *80% of all security exposures identified stem from Active Directory misconfigurations or weaknesses*. Even more concerning, one-third of all critical asset vulnerabilities can be traced back to identity and credential problems within Active Directory. 


What's the takeaway here? Security teams are often organized by critical asset categories. While this might be sufficient for managing the overall number of entities, it can miss the bigger picture. Critical exposures, though fewer, pose a much higher risk and require dedicated focus. (To help keep you on track with addressing AD security issues, we recommend [this handy AD best practices security checklist](https://info.xmcyber.com/active-directory-security-checklist?utm_medium=sponsorarticle&utm_source=hackernews&utm_campaign=xm-cyber-research).)


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjgfK7NEQ-Z45oiI631DagWBjIa6DVfVFuzTwdXmHk6vMrmiIt_8w9DceCx8W9gQJKXylVrz538GMEFC0oepat57IQwdrMkNkAz9j5ELb2U6HCcrvT2IHWPhNxhyphenhyphenoQW4UaPLO3WLMaLLcdARIYpYizCWEwN3LOUMwafwCzurf7xXo-ts41xDPtefDhWS5U/s728-rw-e365/image3.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjgfK7NEQ-Z45oiI631DagWBjIa6DVfVFuzTwdXmHk6vMrmiIt_8w9DceCx8W9gQJKXylVrz538GMEFC0oepat57IQwdrMkNkAz9j5ELb2U6HCcrvT2IHWPhNxhyphenhyphenoQW4UaPLO3WLMaLLcdARIYpYizCWEwN3LOUMwafwCzurf7xXo-ts41xDPtefDhWS5U/s728-rw-e365/image3.png)
**Different Needs for Different Industries**[#](#different-needs-for-different-industries)
------------------------------------------------------------------------------------------


The report also analyzes differing cybersecurity risks across industries. Industries with a greater number of entities (potential attack points) tend to have more vulnerabilities. Healthcare, for example, has 5 times the exposure of Energy and Utilities.


However, the key risk metric is the proportion of exposures that threaten critical assets. Here, the picture flips. Transportation and Energy have a much higher percentage of critical exposures, despite having fewer overall vulnerabilities. This means they hold a higher concentration of critical assets that attackers might target.


The takeaway is that different industries require different security approaches. Financial firms have more digital assets but a lower critical exposure rate compared to Energy. Understanding the industry-specific attack surface and the threats it faces is crucial for an effective cybersecurity strategy.


[![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhPmMKRVneL_5dY6Iy0VIh7bVo_2hzS8n8oh9ZPQGtT4jHfQSzAiU4UQCkzbDGc5gT5yFLEbIrBOB_eoRMe__W5SrWu1roCd2oAc8mke4M5X7zLpeJMq2FxtEagD8_-S1_JCvuhWLmqPaG0tzWkZ6dNxFmx3P1Ke07BN0j4PrnswkzRtKvf1a-NhyphenhyphenS-hHM/s728-rw-e365/image4.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhPmMKRVneL_5dY6Iy0VIh7bVo_2hzS8n8oh9ZPQGtT4jHfQSzAiU4UQCkzbDGc5gT5yFLEbIrBOB_eoRMe__W5SrWu1roCd2oAc8mke4M5X7zLpeJMq2FxtEagD8_-S1_JCvuhWLmqPaG0tzWkZ6dNxFmx3P1Ke07BN0j4PrnswkzRtKvf1a-NhyphenhyphenS-hHM/s728-rw-e365/image4.png)
**The Bottom Line**[#](#the-bottom-line)
----------------------------------------


A final key finding demonstrates that exposure management can't be a one-time or annual project. It's an ever-changing, continuous process to drive improvements. Yet today's over-focus on patching vulnerabilities (CVEs) leads to neglect of more prevalent threats.


Today's security ecosystem and threat landscape are not yesterday's. It's time for a cybersecurity paradigm shift. Instead of patching every vulnerability, organizations need to prioritize the high-impact exposures that offer attackers significant onward and lateral movement within a breached network – with a special focus on the 2% of exposures that reside on "choke points" where remediating key weakness in your environment will have the most positive reduction in your overall risk posture.


The time has come to move beyond a check-the-box mentality and focus on real-world attack vectors.


*Note: This article was expertly written by Dale Fairbrother, Senior Product Marketing Manager at XM Cyber.*


 

![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)

  





## Tags:


### Autogenerated tags:
xm cves cybersecurity high-impact
