# Severe Flaws Disclosed in Brocade SANnav SAN Management Software
## Multiple critical vulnerabilities discovered in Brocade SANnav SAN management application, impacting all versions up to 2.3.0.
## Information:

+ Link: https://thehackernews.com/2024/04/severe-flaws-disclosed-in-brocade.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 26 April 2024, 19:33
+ Date scraped: 26 April 2024, 15:10

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgKcSr0EJWdiaJbuMvzN8fuJ7s1q3xrar_oF8gElmwej9ek4cMy6aGKCXbc64xpcdCpLxEsQtmi6rVBQClnGhnco7j2fhOTWHUVT2DxEgIhzbcvZ6DNQFaQR4aBDqMVap2_W3G36RMMzqzfdK4XoU40mGHdnvA_faqC5_zOY-yLXBH6DVlWbjUIDIQEGU_5/s728-rw-e365/software.png)


Several security vulnerabilities disclosed in Brocade SANnav storage area network (SAN) management application could be exploited to compromise susceptible appliances.


The 18 flaws [impact](https://pierrekim.github.io/blog/2024-04-24-brocade-sannav-18-vulnerabilities.html) all versions up to and including 2.3.0, according to independent security researcher Pierre Barre, who discovered and reported them.


The issues range from incorrect firewall rules, insecure root access, and Docker misconfigurations to lack of authentication and encryption, thus allowing an attacker to intercept credentials, overwrite arbitrary files, and completely breach the device.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
Some of the most severe flaws are listed below -


* **CVE-2024-2859** (CVSS score: 8.8) - A vulnerability that could allow an unauthenticated, remote attacker to log in to an affected device using the root account and execute arbitrary commands


* **CVE-2024-29960** (CVSS score: 7.5) - The use of hard-coded SSH keys in the OVA image, which could be exploited by an attacker to decrypt the SSH traffic to the SANnav appliance and compromise it.


* **CVE-2024-29961** (CVSS score: 8.2) - A vulnerability that can allow an unauthenticated, remote attacker to stage a supply chain attack by taking advantage of the fact the SANnav service sends ping commands in the background at periodic intervals to the domains gridgain[.]com and ignite.apache[.]org to check for updates


* **CVE-2024-29963** (CVSS score: 8.6) - The use of hard-coded Docker keys in SANnav OVA to reach remote registries over TLS, thereby allowing an attacker to carry out adversary-in-the-middle (AitM) attack on the traffic


* **CVE-2024-29966** (CVSS score: 7.5) - The presence of hard-coded credentials for root users in [publicly-available documentation](https://techdocs.broadcom.com/us/en/fibre-channel-networking/sannav/management-portal-installation-and-migration/2-2-0x/SANnav-Management-Portal-OVA-Deployment/Installation-Prerequisites-for-SANnav-Management-Portal-Appliance.html) that could permit an unauthenticated attacker full access to the Brocade SANnav appliance.

 Following responsible disclosure twice in August 2022 and May 2023, the flaws have been addressed in SANnav version 2.3.1 released in December 2023. Brocade's parent company Broadcom, which also owns Symantec and VMware, released advisories for the flaws earlier this month.


Hewlett Packard Enterprise has also [shipped patches](https://support.hpe.com/hpesc/public/docDisplay?docId=hpesbst04631en_us&docLocale=en_US) for a subset of these vulnerabilities in HPE SANnav Management Portal versions 2.3.0a and 2.3.1 as of April 18, 2024.

 [![SANnav SAN Management Software](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEivK9RYXyp11cybPUq0sODv6VQcYpUPIK4z3BsKUVBiTZyIb1YXdFqdCIp9AX-KAj2XeGXUYVY9jKW1xbGkbf0fGgR-ND9ocUJQmHsfLczH5COhhSJRkTXTOLZ28NXw369pwIRC5JYOmSEQzVTxsfpZQ8bwhagXECU8toVTxsfdsPwUUZ8RyZVf6-sJL-GX/s728-rw-e365/2024-sannav-credentials.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEivK9RYXyp11cybPUq0sODv6VQcYpUPIK4z3BsKUVBiTZyIb1YXdFqdCIp9AX-KAj2XeGXUYVY9jKW1xbGkbf0fGgR-ND9ocUJQmHsfLczH5COhhSJRkTXTOLZ28NXw369pwIRC5JYOmSEQzVTxsfpZQ8bwhagXECU8toVTxsfdsPwUUZ8RyZVf6-sJL-GX/s728-rw-e365/2024-sannav-credentials.png)
  





## Tags:
***CVE's***: CVE-2024-29960 CVE-2024-29963 CVE-2024-29961 CVE-2024-2859 CVE-2024-29966

### Autogenerated tags:
sannav cvss hard-coded
