# Threat Group UNC3944 Abusing Azure Serial Console for Total VM Takeover
## UNC3944 cyber attackers are leveraging Microsoft Azure Serial Console to gain full administrative access to virtual machines.
## Information:

+ Link: https://thehackernews.com/2023/05/threat-group-unc3944-abusing-azure.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 May 2023, 17:22
+ Date scraped: 17 May 2023, 12:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhDgidQxQECy879OcRtOe868cTX-KQAeM1kTG4Pa2nwgI5rbXFr05Q2yRa9NWXmV4OgIulT7TNtJZCa7mKvq6iuKqQS4mvLvHHCmmC8lLixJjQ28hn2ZUfqemVTg7C3Z_5hnP5lF0rMZyvgHp-479vvB1r33Fe-Di80EnAe2ePZGmxHgeOX9vYLQ9_F/s728-e3650/azure.png)


A financially motivated cyber actor has been observed abusing Microsoft Azure [Serial Console](https://learn.microsoft.com/en-us/troubleshoot/azure/virtual-machines/serial-console-overview) on virtual machines (VMs) to install third-party remote management tools within compromised environments.


Google-owned Mandiant attributed the activity to a threat group it tracks under the name **UNC3944**, which is also known as Roasted 0ktapus and Scattered Spider.


"This method of attack was unique in that it avoided many of the traditional detection methods employed within Azure and provided the attacker with full administrative access to the VM," the threat intelligence firm [said](https://www.mandiant.com/resources/blog/sim-swapping-abuse-azure-serial).


The emerging adversary, which first came to light in late last year, is known to [leverage SIM swapping attacks](https://thehackernews.com/2022/12/telcom-and-bpo-companies-under-attack.html) to breach telecommunications and business process outsourcing (BPO) companies since at least May 2022.


Subsequently, Mandiant also [found](https://thehackernews.com/2022/12/ransomware-attackers-use-microsoft.html) UNC3944 utilizing a loader named STONESTOP to install a malicious signed driver dubbed POORTRY that's designed to terminate processes associated with security software and delete files as part of a BYOVD attack.


It's currently not known how the threat actor conducts the SIM swaps, although the initial access methodology is suspected to involve the use of SMS phishing messages targeting privileged users to obtain their credentials and then staging a SIM swap to receive the two-factor authentication (2FA) token to a SIM card under their control.


[![Azure](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhPsvDRpwJHCscCbQGGzzCxwFnB3hC5sx_8OQYqf2g3IyFCV5MeOgjjXUuUvkIjDms2-ezV1T34CCXGRFzUmSMUw10C-XQxEHP46FOxBIPyCcltNZFY2HdYJehJqfiGUhx4ofHLI7yaJMfiCOKKUbjmziJ_uNSbBRvNj44ngMvUtxMNUxF9654Oi1LS/s728-e365/google.gif)
Armed with the elevated access, the threat actor then moves to survey the target network by exploiting [Azure VM extensions](https://learn.microsoft.com/en-us/azure/virtual-machines/extensions/overview) such as Azure Network Watcher, Azure Windows Guest Agent, VMSnapshot, and Azure Policy guest configuration.


"Once the attacker completes their reconnaissance, they employ the serial console functionality in order to gain an administrative command prompt inside of an Azure VM," Mandiant said, adding it observed UNC3944 making use of PowerShell to deploy legitimate remote administration tools.


The development is yet another evidence of attackers taking advantage of living-off-the-land ([LotL](https://www.crowdstrike.com/cybersecurity-101/living-off-the-land-attacks-lotl/)) techniques to sustain and advance an attack, while simultaneously circumventing detection.


"The novel use of the serial console by attackers is a reminder that these attacks are no longer limited to the operating system layer," Mandiant said.


"Unfortunately, cloud resources are often poorly misunderstood, leading to misconfigurations that can leave these assets vulnerable to attackers. While methods of initial access, lateral movement, and persistence vary from one attacker to another, one thing is clear: Attackers have their eyes on the cloud."



  





## Tags:


### Autogenerated tags:
mandiant unc3944 vm
