# Two Critical Flaws Found in Alibaba Cloud's PostgreSQL Databases
## Alibaba Cloud's ApsaraDB RDS and AnalyticDB for PostgreSQL have been hit with critical vulnerabilities that could expose sensitive data.
## Information:

+ Link: https://thehackernews.com/2023/04/two-critical-flaws-found-in-alibaba.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 20 April 2023, 13:53
+ Date scraped: 20 April 2023, 14:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhfqe6cPCCZZ7l56msSZGf_fZfJui3KY_3mtivbCorSfL64U_AQyt6vUY8iyMI0EFGznxzFsMTW3yEhOcdjZEPAPwTYWkOD14gNNXgNLfuOek9M3Tm3RXr7Vp-1cLgnoy8b-VwUkubn5oxU58f1DgbAgXQBHYia9ZwBJ3RUBIOXqhD-zpq6aXRquFZ9/s728-e3650/alibaba.png)


A chain of two critical flaws has been disclosed in Alibaba Cloud's ApsaraDB RDS for PostgreSQL and AnalyticDB for PostgreSQL that could be exploited to breach tenant isolation protections and access sensitive data belonging to other customers.


"The vulnerabilities potentially allowed unauthorized access to Alibaba Cloud customers' PostgreSQL databases and the ability to perform a supply chain attack on both Alibaba database services, leading to an RCE on Alibaba database services," cloud security firm Wiz [said](https://www.wiz.io/blog/brokensesame-accidental-write-permissions-to-private-registry-allowed-potential-r) in a new report shared with The Hacker News.


The [issues](https://twitter.com/ronenshh/status/1648720716450127875), dubbed **BrokenSesame**, were reported to Alibaba Cloud in December 2022, following mitigations were deployed by the company on April 12, 2023. There is no evidence to suggest that the weaknesses were exploited in the wild.


In a nutshell, the vulnerabilities – a privilege escalation flaw in AnalyticDB and a remote code execution bug in ApsaraDB RDS – made it possible to elevate privileges to root within the container, escape to the underlying Kubernetes node, and ultimately obtain unauthorized access to the API server.


Armed with this capability, an attacker could retrieve credentials associated with the container registry from the API server and push a malicious image to gain control of customer databases belonging to other tenants on the shared node.


[![Alibaba Cloud PostgreSQL Databases](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEioIs2G3vuycLMFwnpRBp2c607fH7WFIOkrHIZVzX_mjqxxNRoPOk8vrbq1th67BKwwUIlC-SmUQAKCnXwLmWLbnUAkJgpqr5WZrJ88UqfozxXM9eHnR5zJZDifcDMTAl5bE_cSMUYc4XGe7E6fMOhJoF68w2NDy0HeZHrI39bsd0kQXPoWGcgzGv0y/s728-e365/id.png)
"The credentials used to pull images were not scoped correctly and allowed push permissions, laying the foundation for a supply-chain attack," Wiz researchers Ronen Shustin and Shir Tamari said.


This is not the first time PostgreSQL vulnerabilities have been identified in cloud services. Last year, Wiz uncovered similar issues in Azure Database for PostgreSQL Flexible Server ([ExtraReplica](https://thehackernews.com/2022/04/microsoft-azure-vulnerability-exposes.html)) and IBM Cloud Databases for PostgreSQL ([Hell's Keychain](https://thehackernews.com/2022/12/researchers-disclose-supply-chain-flaw.html)).


The findings come as Palo Alto Networks Unit 42, in its [Cloud Threat Report](https://unit42.paloaltonetworks.com/cloud-threat-report-expanding-attack-surface/), revealed that "threat actors have become adept at exploiting common, everyday issues in the cloud," including misconfigurations, weak credentials, lack of authentication, unpatched vulnerabilities and malicious open source software (OSS) packages.


"76% of organizations don't enforce MFA [multi-factor authentication] for console users, while 58% of organizations don't enforce MFA for root/admin users," the cybersecurity firm said.



  





## Tags:


### Autogenerated tags:
cloud postgresql alibaba
