# CISA touts ‘tremendous growth’ in vulnerability disclosure platform
## The U.S. federal government’s internal clearinghouse for cybersecurity vulnerabilities took in more than 1,300 valid reports in its first 18 months and prompted decisive action on most of them, saving as much as $4.35 million in estimated response and recovery efforts, according to the program’s first annual report.
## Information:

+ Link: https://therecord.media/cisa-vulnerability-disclosure-program-annual-report
+ Source: The Record
+ Author: Joe Warminsky
+ Date published: 25 August 2023, 00:00
+ Date scraped: 25 August 2023, 17:00

## Article:
![Main article image](https://cms.therecord.media/uploads/cisa_c5edd1e14f.jpg)

The U.S. federal government’s internal clearinghouse for cybersecurity vulnerabilities took in more than 1,300 valid reports in its first 18 months and prompted decisive action on most of them, saving as much as $4.35 million in estimated response and recovery efforts, according to the program’s first annual report.


The Vulnerability Disclosure Policy (VDP) Platform has seen “tremendous growth” in onboarding 40 agency programs since its launch in July 2021, the Cybersecurity and Infrastructure Security Agency said Friday in a [news release](https://www.cisa.gov/news-events/news/vdp-platform-2022-annual-report-showcases-platforms-success).


The goal is to have an organized way for agencies to receive discoveries from cybersecurity researchers or other sources and share them across the government, including vulnerabilities identified during bug bounty contests. Typically agencies do not offer rewards for direct submissions, but they do award cash prizes through bug bounty competitions.


Agencies then make submissions to CISA, which collects them in “a streamlined shared service to support the receipt and adjudication” of important vulnerabilities.


“A VDP enables agencies to identify and address security vulnerabilities in their software or systems before these can be exploited by threat actors,” the agency said. “It also encourages researchers to report vulnerabilities and demonstrates federal agencies’ commitment to transparency, accountability, and collaboration with the public security researcher community.”


[The report](https://www.cisa.gov/sites/default/files/2023-08/2023-8-21_VDP_Platform_Annual_Report_508c.pdf) said that as of December 2022, the VDP Platform had “facilitated the remediation of 1,119 vulnerabilities out of 1,330 unique, validated submissions.”


Some of the most commonly reported bugs involve cross-site scripting (XSS), which involve malicious code injected into an app or website; server misconfigurations; and data exposure due to poorly designed web applications or weak encryption, the report said.


Private sector vendors EnDyna and Bugcrowd are partnering with CISA on the program.


The agency issued a [binding operational directive](https://www.cisa.gov/news-events/directives/binding-operational-directive-20-01) (BOD) in 2020 for federal civilian agencies to develop VDPs. The report does not specify which agencies are already participating. The deadlines in the DOB have passed.


This week House lawmakers introduced [legislation](https://therecord.media/proposed-law-vulnerability-disclosure-federal-contractors) that would expand the vulnerability disclosure mandate to federal contractors, not just the agencies themselves. On the military side, the Defense Department has separate [vulnerability disclosure programs](https://therecord.media/defense-department-vulnerability-disclosure-ethical-hackers).




## Tags:


### Autogenerated tags:
cybersecurity vdp
