# Google Cloud launches agentless cryptojacking malware scanner | ZDNet
## The new security feature is designed to hunt down instances of cryptojacking.
## Information:

+ Link: https://www.zdnet.com/article/google-cloud-launches-cryptojacking-malware-scanning-engine/
+ Source: ZDNet
+ Author: Charlie Osborne
+ Date published: 07 February 2022, 16:00
+ Date scraped: 07 February 2022, 18:00

## Article:
![Main article image](https://www.zdnet.com/a/img/resize/8b497cff5a0028d77450ec08e8318cacba872b9e/2021/08/12/880e080a-7301-4a4b-a4e7-def615879cd5/cryptocurrency-hackers.jpg?width=770&height=578&fit=crop&auto=webp)


Google Cloud has announced a new security feature designed to hunt down instances of cryptojacking.

On Monday, the tech giant said the public preview of Virtual Machine Threat Detection (VMTD) is now available in the [Security Command Center](https://cloud.google.com/security-command-center) (SCC). The SCC is a platform for detecting threats against cloud assets by scanning for security vulnerabilities and misconfigurations. 


Timothy Peacock, Product Manager at Google Cloud, said that as organizations continue to migrate to the cloud, workloads are often handled with VM-based architectures.  

Cloud environments are also a prime target for cyberattackers seeking out valuable data, as well as those intending to execute cryptocurrency mining malware.  

Cryptocurrency miners such as XMRig are legitimate programs for mining coins. When in the hands of threat actors, cryptominers can be abused, however, and used without permission on cloud systems.  

In what is known as cryptojacking attacks, miners are deployed on compromised systems to steal the victim's compute resources. Cryptocurrency including Monero (XMR) is often mined by cybercriminals in this way and coins are sent to wallets controlled by the malware's operators.  

According to Google's latest [Threat Horizons report](https://services.google.com/fh/files/misc/gcat_threathorizons_full_nov2021.pdf) (.PDF), out of a sample of compromised instances, 86% were used for cryptocurrency mining and 10% were used to perform scans for other vulnerable instances.






To combat the specter of cryptojacking attacks against VMs operating in Google Cloud, the company's VMTD solution will provide "agentless memory scanning" inside SCC. 

"Traditional endpoint security relies on deploying software agents inside a guest virtual machine to gather signals and telemetry to inform runtime threat detection," Peacock said. "But as is the case in many other areas of infrastructure security, cloud technology offers the ability to rethink existing models." 

Google's approach is to instruct the hypervisor to collect signals that may indicate infection. VMTD will start as a means to detect cryptocurrency mining, but as it hits general availability, the system will be integrated with other Google Cloud functions.  

Users can choose to try out VMTD by enabling it in SCC settings. The service is opt-in and customers can choose the scope of the scanner.  

###  **Previous and related coverage**

* [Meet CoinStomp: New cryptojacking malware targets Asian cloud service providers](https://www.zdnet.com/article/meet-coinstomp-new-cryptojacking-malware-targets-asian-cloud-service-providers/)
* [The future of money: Where blockchain and cryptocurrency will take us next](https://www.zdnet.com/article/the-future-of-money-where-blockchain-and-cryptocurrency-will-take-us-next/)
* [Cryptocurrency scams pose largest threat to investors](https://www.zdnet.com/article/cryptocurrency-scams-pose-largest-threat-to-investors/)



---

**Have a tip?** Get in touch securely via WhatsApp | Signal at +447713 025 499, or over at Keybase: charlie0



---





## Tags:


### Autogenerated tags:
cloud google vmtd scc malware cryptojacking
